Introducing Report Designer

Report Designer is a versatile and powerful report writer that allows you to design reports using your data files. With Report Designer, you can create any type of report, including summarized reports for management and detailed reports for accounting.

Making Design Decisions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Column headings (definition)

» Concepts > Formatting Reports > About column headings

About column headings

Use Column Headings affects the way the program operates during field selection. The command is either turned on or turned off when you select fields. It does not replace or change existing report information.

  • After a column heading has been added to the design, it is considered to be text for editing purposes. The heading is placed above the report field when you first select the field, but it is not linked to the field in any other way. This allows you to change the wording or reposition the text without affecting the report field placement. If you want to delete or reposition the report field and the heading at the same time, use blocking.
  • The headings for each field are predetermined. You can see the default headings when you print a field list using Print Available Fields. Because column headings are treated as text in the design area, it is easy to edit a column heading if you do not like the default heading that is created.
  • Use Column Headings works in conjunction with Column Heading Row. Column Heading Row allows you to assign a row number for the top line of the column heading. The second row of the heading is always assigned to the following row. The placement of the heading within the row is determined by the position of the report field in the body of the report.
  • Use Column Headings is automatically turned on when you create a new design. The command is turned off when you edit an existing design. If you do not want Report Designer to automatically turn on Use Column Headings for new designs, select None for Column Headings on the Preferences tab from the Tools menu, Customize. You can still turn on Use Column Headings at any time.
  • If you want to change the capitalization used in the automatic column headings, select either Initial caps or All caps in Column Headings on the Preferences tab from the Tools menu, Customize.

Customizing default preferences

Turning column headings on and off

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Conditional print areas (definition)

» Concepts > Formatting Reports > About conditional print areas

About conditional print areas

Use Conditional Print Areas if there are specific areas of the report that you need to put conditions on, rather than conditioning the entire report. For example, Conditional Print Areas is useful if you want to create an invoice aging report and you want the invoice amount to print in the appropriate aging column, "Under 30 days," "30-60 days," "60-90 days," etc. The column contents for each of the aging columns is invoice amount. In order to print the invoice amount in the appropriate aging column, you can create a true/false formula for each aging column and attach the appropriate condition to each column. For example, the formula attached as a condition to the "Under 30 days" column would be DAYS(Report date,Invoice date) < 30. (The number of days between the report date and the invoice date must be less than 30.)

However, if you want to limit the data printed for the entire report, not just a section of the report, use a Report Condition. For example, you can create a condition to limit an invoice report to include only those invoices over $100, or you can create a condition to limit a General Ledger transaction report to just those transactions occurring within a specific date range. These type of conditions are set up using Conditions from the Options menu. You can also add and modify conditions at print time by using [Conditions] in the Print Selection window.

Unconditional Page Break system field (definition)

Setting conditional print areas

Adding conditions

Printing from a print selection window

Examples of using multiple conditions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Headers and footers (definition)

» Concepts > Formatting Reports > About headers and footers

About headers and footers

There are three parts of a report design: header, body, and footer. All three sections can contain the same type of information, e.g. fields, totals, conditions, suppressed areas, etc. These three sections are completely independent of each other and even have their own scroll bars.

  • Whether you create a new design or open an existing design, the body section always displays in the design area. The header and footer display based on the Initially Open Windows setting on the View tab (Tools menu, Customize). The header automatically includes standard information such as company name, default report title (derived from the driving record), and page number. You can display or hide the header, body, and footer sections of a design by selecting Header, Body, and Footer on the View menu.
  • The header begins on the top line of the page (with margins allowed) and resizes itself from page to page as needed. For example, the use of suppressed areas can cause the header to vary in size. There is a dashed line across the header, referred to as the cut-off line, with two black triangular handles on either side of it. The cut-off line can be moved up or down by clicking either handle and dragging the line. Place fields and text, that you want to include in the header, above the cut-off line. Though you may have a header with ten lines, you could hide the last five lines if you wanted to by dragging the cut-off line between the fifth and sixth lines.
  • The footer also has a cut-off line that works the same as the one in the header. Place fields and text, that you want to include in the footer, above the cut-off line. The maximum size of the footer is first determined by its contents and then remains fixed in size from page to page regardless if suppressed areas are used. Depending on how many lines you make your footer, the top of the footer begins that many lines up from the bottom margin.

Notes:

  • If you always want to display the header and footer when a new design is created, mark the Header and Footer boxes on the View Tab (Tools menu, Customize).
  • The body will always print following the header even if the header is larger than the logical page. However, if the footer or the combination of the header and footer are larger than the logical page, the footer will be suppressed.

Unconditional Page Break system field (definition)

Totals in headers and footers (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt windows (definition)

» Concepts > Formatting Reports > About prompt windows

About prompt windows

Prompt windows provide a powerful, flexible, and easy-to-use tool for designing and creating your own custom windows for the entry of data field values and display of text at report print time. There are two types of prompt windows: required and optional.

Prompt windows eliminate the need to design multiple variations of the same report to meet different requirements, e.g., month-end or year-end reporting. A report that uses prompt windows to specify what the report should include is tailored to that specific need. Prompt windows can be used for several purposes, including:

  • Controlling the contents of a report by:
  • setting up boxes to indicate which field or fields are to be included.
  • defining a range of values for a given field or fields to include in a report, e.g., transaction dates between 1/1/96 and 3/31/96, all vendor names beginning with A through M, or invoice amounts greater than $100.00.
  • Controlling how a report is sorted.
  • Including text comments that provide information about the report being printed or instructions to the user preparing to print the report.

When you accept a newly created prompt window, the information becomes part of the report design. The prompt window can be edited multiple times. Each time an edit is performed and accepted, the prompt window information is updated as part of the design. If you should cancel, only the changes made during that editing session will be disregarded. When the report design itself is saved, the prompt window information is also saved.

Changing prompt fields and text

Changing the prompt window size

Creating report prompts

Deleting prompt fields and text

Moving prompt fields and text

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


report design components (definition)

» Concepts > Formatting Reports > About report design components

About report design components

The basics of designing a report are the same whether you create a report manually or use a computer program such as Report Designer. Before designing a report, you must first decide what information you want the report to contain, how you want that information sorted, and how you want the report to look. A typical report consists of five components:

  • Heading
  • Column headings
  • Body
  • Totals
  • Footer

Notes:

  • The body controls the report and what prints, therefore you must be sure to always include a body. If the report has no body and you attempt to print preview the report, "Nothing to print" displays, or, if you send the report to a printer, the report is not printed and no warning messages display.
  • If the header or footer is larger than the logical page therefore not allowing at least one line of detail from the body to print, the entire header or footer will be suppressed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals in the body section (definition)

» Concepts > Formatting Reports > About totals in the body section

About totals in the body section

You can define the levels at which totals print, determine how much detail is printed, where grand totals print, and various other aspects of totaling by selecting the Totals command from the Design menu. Although you can choose to have Report Designer make many of the totaling decisions based on the contents of your design, you also have the option to override the automatic totals and define your own.

  • If you mark the Automatically create totals box on the Totals tab (Tools menu, Customize), totals are created as you select fields for the design. However, you can change them by using the Totals command. If you unmark the Automatically create totals box, you must use Totals command to create total fields.
  • When totals are created, they are represented as fields in the body area. Totals are distinguished from report fields by asterisks that display in the field name. You can use the same editing techniques for totals that you use for other report fields. Total fields can also be used in design formulas.
  • The Totals command controls the levels of totaling that take place on the report. It does not control which individual report fields are totaled. To change the totaling for a field, select Field from the Format menu or double-click the field to open the Field Format - Number window and mark or unmark the Total this field box.
  • You can set up subtotals with Totals from the Design menu. For example, to print an invoice distribution report by vendor, mark the Total Levels boxes for Vendor Totals and Invoice Totals. You will get a subtotal for each invoice and then a subtotal of the invoices for each vendor. As the report prints, it accumulates a subtotal for each value in the group. When the value changes, the subtotal is printed. Then, detail for the next value in the group begins to print.

Sort orders (definition)

Totals in formulas (definition)

Groups (definition)

Creating report totals

Summarizing report amounts/detail

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals in headers and footers (definition)

» Concepts > Formatting Reports > About totals in headers and footers

About totals in headers and footers

Totals, also called total fields, work differently in headers and footers than they do in the body section. If an amount field is placed in either the header or footer, and the Total this field box is marked in the Field Format - Number window, Total Type becomes available to modify. There are three types of totals to choose from: Page, Running total for Report, and Running total by (group name). Although you can use only one Total Type per amount field, you can use multiple amount fields with different Total Types assigned to each. Total fields can be used in design formulas in headers and footers.

The chart below describes how the different total types work in the header or footer.

Total Type | In the Header | In the Footer
Page | Always zero | Total for the current page.
Running total for Report | Accumulated total for all pages up to the current page. This total is the same as the running total in the footer of the previous page. | Accumulated total for all pages up to and including the current page.
Running total by (group name) | Accumulated total for all pages within the same group up to the current page. This total is the same as the Unconditional total in the footer of the previous page when the group value doesn’t change. | Accumulated total for all pages within the same group up to the current page.

Headers and footers (definition)

Totals in formulas (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals in formulas (definition)

» Concepts > Formatting Reports > About totals in formulas

About using totals in formulas

Report total fields can be used in formulas to perform additional calculations such as percent complete and total rent per square foot. A total field can be created automatically for each numeric field in a design. They are based on the Total Levels as defined in the Totals window (Design menu, Totals). Total fields can also be created for formulas that return numeric values. For detailed instructions on creating report totals, click here.

To include a total in a formula, click [Index] in the Design Formula Entry window (Tools menu, Formulas, [New]) and select Total Fields from the list. Each total will appear in the list as a combination of the designated Total Level, the name of the field or formula being totaled, and the name of the source record.

  • The same total field can be used in more than one design or quick formula in a report design.
  • A total field cannot be part of a formula that is being used to calculate that total.
  • Total field formulas are valid only in the report design in which they are created. They cannot be used as public formulas.
  • A total will appear on the Total fields' list only if a numeric field or formula is present in the design body and a Total Level has been defined.
  • The Print Control setting on a total field formula will default to that of the original total field, however, this setting can be changed if desired. For detailed instructions on setting print controls, click here.
  • A total field formula that is printed at a detail level will reflect a running total of the corresponding field or formula. The detail level refers to the records or amounts that are included in the calculation of a total.
  • Total field formulas are invalidated under the following conditions:
  • when the original numeric field, formula or total field on which the formula is based is removed from the design.
  • when the corresponding Total Level box is cleared (Design menu, Totals)
  • when the Total this field box is cleared for the original numeric field or formula (Format menu, Field)
  • An invalidated total field formula returns an #ERROR# value and is not automatically removed from the design body or design formula list. For detailed instructions to delete a formula, click here.

Totals in headers and footers (definition)

Totals in the body section (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About using the Counter fields (Increment, Display and Clear)

You can add the Increment, Display and Clear fields to a report design to keep a running count of a selected record or a group of records based on print controls that you specify. When you use these fields in a report design, they must be added in the following order:

  • Counter Increment field, Counter Display field, Counter Clear field

There are five numbered groups of Counter Increment, Counter Display and Counter Clear fields that display in the System Fields list that can be used in combination to allow you to track running counts for one or more records.

Examples

Running count and display of records

Running count and display of records with a restart

Running count and display of records on the same line as totals

Running count and display of records on the same line as totals with a restart

About the System fields record

About using accumulating functions with custom sort orders

Accessing the field list

Print control examples

report design components (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unconditional Page Break system field (definition)

» Concepts > Formatting Reports > About the unconditional page break system field

About the Unconditional Page Break system field

You can use the Unconditional Page Break system field in formulas to control how specific fields or text on your report print when the Unconditional Page Break group changes. A formula that uses this field can only be used in the header or footer of a report. For example, to print information only on the last page of a group, such as vendor, tenant, or commitment, place the Unconditional Page Break system field in a formula and use that formula as a conditional print area on the text or fields. A formula that uses this field is useful in headers and footers as described in the examples.

Examples

Notes:

  • The Unconditional Page Break group is defined in the Group Page Breaks window. For detailed information about how group page breaks are determined, click here.
  • For detailed instructions on using Conditional Print Areas, click here.

Groups (definition)

Headers and footers (definition)

Totals in headers and footers (definition)

Group page break examples

Creating formulas

About the components formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Key fields (definition)

» Concepts > Processing Reports > About key fields

About key fields

Keys are part of the internal structure of data files serving as pointers that direct the system to records in data files. Instead of reading through every record on the disk in the order in which they were recorded, the system can read through a list of key fields quickly, performing sorts, creating lists, or performing quick access to a data record.

  • There is a complete listing of available keys on the Available Fields list found at the end of each record in the Standard Orders section at the bottom of the page. The first order in this section is always the primary key. The additional orders are the Alternate Keys.

Primary Keys

  • The software sets up primary keys for each record in an application. These keys are used by the system to internally keep track of data. The data used to make up the primary key must be unique. The combination of data held in each key makes that record unique.
  • For example, the primary key for the vendor record is the Vendor ID field, so each Vendor ID you set up must be unique. The primary key for the invoice record is the Vendor ID and the Invoice ID fields. The combination of these two fields must be unique and this key prevents the entry of duplicate invoice IDs for the same Vendor ID.

Alternate Keys

  • Alternate keys are additional points on a record that offer an alternative way of storing, sorting, and accessing records. Alternate keys allow the system to access information by a field other than the primary key.
  • For example, in Accounts Payable the primary key on the Vendor Master record is the Vendor ID field. However, because Vendor Name is an alternate key to the record, you can sort reports and view lists in Vendor Name order just as easily as Vendor ID order.

Printing available fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Merging files (definition)

» Concepts > Processing Reports > About merging files

About merging files

Unnamed files

When printing a report design, you can select multiple file types for unnamed files for each record. This is an important feature because it allows tremendous flexibility in your report designs. For example, you can merge files that have not yet been updated (New) with files that have been updated (Current), merge History files with a Current file to obtain a year-to-date or annual report, or merge files from different data folders.

Named files

If you marked Ask Name in the File Locations window allowing you to have named files for a particular source file, you can then select multiple named files for inclusion on a report. For example, a company with a large payroll may use multiple PR Transaction files named for each month of the year for processing. At year-end, this company can run a single report selecting all 12 Transaction files used for the entire year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Processing multiple records (definition)

» Concepts > Processing Reports > About processing multiple records

About processing multiple records

When Report Designer is faced with a number of records from which to draw information, it uses one of the records as a reference point. This record is sometimes referred to as the "primary record" or the "driving record." As the report is processed, the software reads the primary records in the file from top to bottom, gathering the related information for the report from the other records included in the design. By the time the report is completed, every occurrence of the primary record in the file has been read, except those records that were not included in a range if ranges were used. The other records are accessed for collecting report information, but they are not processed systematically from top to bottom.

  • Report Designer automatically determines the primary record. The primary record is indicated in Process all in the Sort Order window, and you can change it there, if needed.
  • An example of how the processing of multiple records can affect a report is a vendor recap report that uses information from both the invoice record and the vendor record. If the invoice record is the primary record, only vendors with invoices are processed and printed out on the subsequent report. If the vendor record is the primary record, all vendors are processed and printed out on the subsequent report, whether or not there is an invoice for each. Depending on how you intend to use the report, either result might be correct. For that reason, Sort Order lets you choose the record that you want to use as the primary record.

About using accumulating functions with custom sort orders

Sort orders (definition)

Selecting records for new designs

Selecting primary records

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Records (definition)

» Concepts > Processing Reports > About records

About records

Records contain pieces of related information called fields about a single subject. Each application has unique records. Below is a list of applications. Click the application name you wish to view records for.

Accounts Payable

Accounts Receivable

Billing

Cash Management

Contracts

Equipment Cost

General Ledger

Information Assistant

Job Cost

Payroll

Property Management

Remote Time Entry

Tax

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sort orders (definition)

» Concepts > Processing Reports > About sort orders

About sort orders

To make the design process easy, Report Designer evaluates the records and fields you select in order to determine a default sort order for the design. As you select fields in the design area, the sort order is adjusted based on the standard sort orders associated with each field and record. This process of continual adjustment allows Report Designer to provide the default controls that are most likely to meet your needs. The automatic modification continues unless you specify a custom sort order using Sort Order from the Design menu. At that point, your selections override any default sort orders that Report Designer might assign.

About using accumulating functions with custom sort orders

Groups (definition)

Entering custom sorts

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Data dictionary (definition)

» Concepts > Processing Reports > About the data dictionary

About the data dictionary

The Data Dictionary records the location and characteristics of all information stored in the software, e.g., JTD cost, Account Balances, etc. Therefore, it can be a very useful tool when designing reports or inquiries because it tells you which record has which information. It also contains information that is needed when designing formulas for reports and inquiries, such as the Primary and Alternate Keys of a record or the special values of a field.

The keys of a report control processing speed, available criteria for conditions, and the other records from which data can be retrieved. Special Values, a column on the Data Dictionary, determines the properties of a field. For example, the AP - Invoice record has a field called Status. This field has a special value of open or fully paid. Knowing this information allows you to condition your invoice reports to display only invoices with a status of open for example.

Key fields (definition)

Records (definition)

Printing available fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Creating a new design

Overview

Create a new design. The design is a map that tells the system the contents and layout of a report and can consist of a header, body, and footer. The header, body, and footer sections of the report design are independent of each other and can therefore have fields, print controls, conditions, etc. added to each individually with no affect on the other sections.

Do not use New Design to edit or copy a previously created report design. Use Open Design instead.

  1. Read the Making design decisions procedure.

    2. How?

  2. From the File menu, select New Design to open the New Design window.
  3. Select one or more records from the Records Available column that contains the fields you want to include in your report. The records are listed by application with the applications listed alphabetically.

    4. How?

  4. Click [OK] to accept the records.
  5. If prompted to Include Page Heading?, click [Yes] or [No]. This prompt displays if the Prompt for Auto Page Heading option is selected on the Preferences tab (Tools menu, Customize). The Untitled Design window opens.
  6. Determine the primary record.

    7. How?

  7. Set up the sort order. Creating a custom sort order makes your report run slower.

    8. How?

  8. From the field list on the right, double-click the fields you want to include in the header, body, and/or footer sections. This moves them to the appropriate design area where the cursor is. When selecting fields, select them in the order you want them to display on the report starting from left to right.
  9. You can display or hide the header, body and/or footer sections of the design by selecting Header, Body or Footer from the View menu. These commands act as toggles and allow you to activate the header, body or footer section(s) of the report design as often as you like. A check mark appears next to the command if the header, body or footer section of the report design is active.
  10. Click [Index] in the field list to switch to a different record or to add additional records if desired.
  11. Create any needed prompt fields.

    12. How?

  12. Develop any formulas necessary to customize the report.
  13. Set the line spacing needed.

    14. How?

  14. Set the totals needed.

    15. How?

  15. Set any necessary conditions for the report.
  16. Set report preferences.

    17. How?

  17. From the File menu, select Save Design to save the report.

    18. How?

  18. From the File menu, select Print to print the report.
  19. From the File menu, select Close Design to close the design.

    20. How?

Notes:

  • The above procedures are a summarized list. These procedures do not have to be performed in the order listed and, in some cases, a design can be created successfully without all of these procedures being completed.
  • To add your newly created report to the Reports menu in an application, refer to the Help for that application.

Tip: In step 8, when selecting fields to include on the report, use [Find] to quickly locate fields you want to use.

Processing multiple records (definition)

Customizing default preferences

Customizing page headings for a specific report

Customizing print options for report designs

Customizing Report Designer colors

Customizing report margins for a specific report

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Making design decisions

Overview

The basics of designing a report are the same whether you create a report manually or use a computer program such as Report Designer. Before designing a report, you must first decide what information you want the report to contain, how you want that information sorted, and how you want the report to look. A typical report has five areas:

  • Heading
  • Column headings
  • Body
  • Totals
  • Footer

Notes:

  • The body controls the report and what prints, therefore you must be sure to always include a body. If the report has no body and you attempt to print preview the report, "Nothing to print" displays, or, if you send the report to a printer, the report is not printed and no warning messages display.
  • If the header or footer is larger than the logical page therefore not allowing at least one line of detail from the body to print, the entire header or footer will be suppressed.
  1. Decide what type of information is to be reported and what records are to be the source of that information. Printing the available fields for your files helps you determine which records to use.
  2. Decide how the report layout should appear by determining if you are going to use a header and/or footer and what information will display in each, column contents, column headings, and column placement. Write out the design layout on paper.
  3. Decide the order you want the data to print. After you have selected the records to be used for your report, decide whether the pre-determined Sort Order is appropriate for your report. You can enter a custom sort if necessary.
  4. Decide if the report requires fields that are not included in the data records. Using mathematical calculations and conditional statements, formulas give you the ability to manipulate the data fields to meet your requirements.
  5. Decide what totals, if any, should be used. Your report can include subtotals and grand totals.
  6. Decide if you want to include all of the data from your records, or just selected records. Data can be included or excluded based on conditions that you set up.
  7. Decide what print specifications are wanted by determining the line spacing, print options, and page breaks.

Column headings (definition)

Conditional print areas (definition)

Key fields (definition)

Processing multiple records (definition)

Sort orders (definition)

Totals in formulas (definition)

Totals in headers and footers (definition)

Totals in the body section (definition)

Groups (definition)

About formula types

About functions

About comparison operators

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Selecting primary records

Overview

The primary record is typically the record with the most detail, and it is usually the record where the dollar amounts come from. Selecting the primary record is a critical decision. To help you with this task, follow the criteria listed below.

The primary record determines the contents of the report. For example, a report primary record can be the GL transaction record with added access to GL account information off the GL Account record. In this case, only accounts with transactions are included on the report. On the other hand, if the same report's primary record is the GL Account record with additional access to the GL transactions, then all accounts are included on the report because the primary record lists all accounts instead of only transactions.

  1. Open an existing design or create a new design.
  2. If this is a new design, select the records to use on the report.
  3. Select Sort Order from the Design menu to open the Sort Order window.
  4. Select the name of the primary record in Process all from the list.
  5. Click [OK] to accept the selection.

Notes:

  • Report Designer automatically chooses a primary record based on the records selected. You should always verify that the correct primary record is set for any new design you create. If Report Designer has chosen the wrong primary record, you must change it to the correct primary record before continuing.
  • If you change your sort order after beginning to create a report design, be aware that it could impact how your report functions.

Tip: Before changing a primary record, remove any totals from the report. Once you have changed the primary records, add the totals back.

Processing multiple records (definition)

Sort orders (definition)

Creating a new design

Opening a design

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Selecting records for new designs

Overview

When creating a new design, one of the first steps is to select which records you need to complete the design. The records that display in the New Design window are determined by the accounting and management applications installed on your computer.

The records included in the design determine the fields that are available as report fields. Sort order, groups, and other functions, such as formulas, are also affected by the records selected.

  1. From the File menu, select New Design to open the New Design window.
  2. Click the record(s) that contain the fields you want to include in the design. Each selected record displays in the Records Selected list.
  3. Click [OK] when all the records needed for the design are selected.

Note: You can add a record at any time during the design process using [Index] and [Add] in the Field list. However, you cannot delete a record after you click [OK] in the New Design window and begin working with your design.

Tip: To deselect a record in the Records Available list before accepting the design, click the highlighted record.

Sort orders (definition)

Groups (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding headers and/or footers to previous versions' designs

Overview

You can add headers and footers to report designs created using earlier versions of Report Designer. However, the cut-off line for the footer is not visible in the design, and you must make a manual adjustment in order for the footer to display properly and for the report to print correctly.

  1. Open the existing design.

    2. How?

  2. To add a header or footer, select Header or Footer respectively from the View menu. The cut-off line for the footer defaults to row 1 and is not visible. The cut-off line for the header is Row 2.
  3. Click either the left or right black, triangular cut-off handle and while holding down the mouse button, drag the cut-off line to the desired line on the report. This will cause additional lines to be included in the Header/Footer.
  4. Add fields by displaying the field list and double-clicking the fields you want to include in the header or footer. This moves them to the appropriate design area where the cursor is. When selecting fields, select them in the order you want them to display starting from left to right. Be sure to add the fields above the cut-off line. The portion of the Header/Footer below the cut-off lines will not print on the report.

Note It may be helpful to display the row and column position on the status bar.

Headers and footers (definition)

Customizing your workstation

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing passwords from designs

  1. Open the design, entering the correct password when prompted for it.

    2. How?

  2. From the Tools menu, select Security.
  3. Select Design Security to open the Design Security window.
  4. Delete all the characters in Design Password.
  5. Click [OK] to accept your selection and return to the design.

Setting up design security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting up design security

Overview

Design security can be set at either the group or operator level (if security is set up) or at the design level with a password. It is also possible to allow specific access rights to a user who does not have security rights, and who does not know the password, to perform a function such as printing a design and allowing modification of conditions at print time.

  1. Open or create the design you want to add design security to.
  2. From the Tools menu, select Security.
  3. Select Design Security to open the Design Security window.
  4. To assign full access of the design to a specific operator or group, enter the ID of the security operator or group in Security ID in the Full Access section of the Design Security window. You can also enter a password to add further security to the design.
  5. To assign print access of the design to a specific operator or group, enter the ID of the security operator or group in Security ID in the Print Access section of the Design Security window. If you want to allow the operator with print access to modify the conditions of the design at print time, mark the Allow modification of conditions at print time box.
  6. Click [OK] to accept the Design Security information.

Notes:

  • When a password is attached to a design file, any operator attempting to open the design must first enter the password.
  • Passwords are case-sensitive.

Creating a new design

Opening a design

Removing passwords from designs

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Closing designs

  1. From the File menu, select Close Design.
  2. If the design is new, a prompt displays asking if you want to save the design. Click [Yes] to open the Save Design window, [No] to close the untitled design without saving it, or [Cancel] to return to the Design window.
  3. If you click [Yes] to open the Save Design window, enter a name in File name and click [Save]. The design is saved to that name and you are returned to the design window.
  4. From the File menu, select Close Design again to close the design.
  5. If the design is an existing design and changes were made, a prompt displays asking if you want to save the changed design. Click [Yes] to save the design to the current design name, [No] to ignore any current changes and close the design, or [Cancel] to return to the Design window. If the design has not changed, the design immediately closes.

Tip: If you want to save any report changes to a new design name, use Save Design As.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting a design

Overview

Delete design files from the disk. With Delete Design, you can maintain the design directory without having to change to an operating system window.

  1. From the File menu, select Delete Design to open the Delete Designs window.
  2. Enter the name of the design you want to delete in File name, or click a design name to display it in File name.
  3. If the design is located in a folder other than the one displayed in Look in, select the appropriate folder.
  4. Click [Open] to delete the selected design. If the Display warning when deleting box is marked on the Preferences tab (Tools menu, Customize), a window opens prompting you to verify the delete action.
  5. Click [OK] to complete the deletion.

Notes:

  • The system does not verify that a filename entered is a Report Designer design file. As long as it has the RPT file extension, the system removes it from the disk.
  • When using Delete, the design file is permanently removed from the system and NOT placed in the Recycle Bin. For this reason, remember to make frequent backups of your designs.

Customizing default preferences

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Opening a design

Overview

Open a design to view, edit, copy, or print it.

  1. From the File menu, select Open Design to open the Open Design window.
  2. Enter the name of the design in File name, or click a design name to display it in File name. If the design is located in a different folder than the one displayed in the Look in folder, select the appropriate folder.
  3. Click [Open] to open the selected design.
  4. View, edit, copy, or print the design.
  5. To save the design under a new name in order to retain copies of both the original design and the modified design, select Save Design As from the File menu. To save the design under the current name, select Save Design from the File menu.

Notes:

  • If you have edited the design and you select Close Design instead of Save Design or Save Design As, a window opens stating that the design has changed and asks if you want to save the design. If you click [Yes], the design is saved under the current name. If you want to save the design to a different name, click [Cancel] and then select Save Design As from the File menu.
  • When you first select Open Design, the folder opened is based on the path for the Reports file type in the File Locations window (File > Company Settings > File Locations). If the file locations path is blank, the data folder is opened. However, after a design is opened from a different folder, the folder information is retained for the remainder of the same session or until a different data folder is selected.

Tip: You can use "best fit" in step 2 to locate and enter a file name quickly. Press [Tab] as many times as necessary to move the cursor to the report list, or click anywhere in the report list with the mouse. Next, type as many characters of the report name as needed to display the report you want in File name. For example, typing AP J displays AP Joint Check Report.RPT in File name.

Accessing the field list

Saving a new design or an existing design to a different name

Saving the current design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing available fields

Overview

Print a listing of selected fields from data dictionary files including:

  • the name of the record selected
  • the name of all of the fields contained in the record
  • the associated field type (e.g., numeric, alpha, date, box, option button, etc)
  • the length of each field
  • special values for option button fields, including standard abbreviations and descriptions.
  • standard sort orders for the record

A hard copy listing is helpful to have for reference purposes when creating report designs, formulas, and conditions.

  1. From the Tools menu, select Available Fields to open the Print Available Fields window.
  2. Select each record from Records Available from which you want to print fields. The records selected display under Records Selected. You can remove records from Records Selected by clicking the highlighted records in Records Available.
  3. Click [OK] when done with the selection process to open the Print Available Fields - Print Selection window.
  4. To include information that can be used for ODBC reporting purposes, e.g., the file type and record number, mark Include information for ODBC reporting. This information prints in addition to the list of fields available in the record(s) selected in step 2.
  5. Modify the Printer Setup and/or Page Setup if necessary.
  6. Click [Start] to begin printing or [Print Preview] to view the field information on the screen.

Note: The Available Fields listing should be printed periodically, particularly after new application releases. It is possible that the dictionary may be different between releases.

Printing from a print selection window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing a report design

  1. Open the report design you want to print.

    2. How?

  2. From the Reports menu, select Print.
  3. If the Data File Selection window opens, select the desired file type (master, invoice, etc.).
  4. If using named files, select the desired file.
  5. Complete the required prompt fields, such as Report date displayed at the top of the window.
  6. If [Options] displays, click it to complete optional prompt fields.
  7. Make other print selections as needed such as: printer setup, page setup, ranges and conditions.
  8. If desired, click [Print Preview] to view the report before it is printed.
  9. Click [Start] to begin processing and printing the report.

Printing a report design

Quick printing an active report design

Printing from a print selection window

Printing to a file

About naming print files

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing a design from disk

  1. From the File menu, select Print Design from Disk.
  2. Select the report design you want to print in the Print Design from Disk window.
  3. Click [Open].
  4. Complete the required prompt fields, such as Report date displayed at the top of the window.
  5. If [Options] displays, click it to complete optional prompt fields.
  6. Make other print selections as needed such as: printer setup, page setup, ranges and conditions.
  7. If desired, click [Print Preview] to view the report before it is printed.
  8. Click [Start] to begin processing and printing the report.

Printing a report design

Quick printing an active report design

Printing from a print selection window

Printing to a file

About naming print files

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Printing design information

Overview

Printing the design file information gives you a:

  • reference when designing a similar report
  • hard copy backup of a report design
  • check for possible errors if the report fails to meet expectations
  1. From the Tools menu, select Design Info.
  2. If no design is currently open, the Design Info window opens for you to select the design you want to print. If a design is open, skip to step 6.
  3. Enter the name of the design in File name, or click a design name to display it in File name.
  4. If the design is located in a folder other than the one displayed in Look in, select the appropriate folder.
  5. Click [Open] to open the selected design.
  6. If a design is currently open, the Print Selection window opens.
  7. Modify the Printer Setup and/or Page Setup if necessary.
  8. To control what design information is included on the printout, click [Options] to open the Design Info Selection window and unmark the items you do not want to include.
  9. Click [OK] to accept the selections and return to the Print Selection window.
  10. Click [Start] to begin printing, or click [Print Preview] to view the document on the screen.

Note: Do not use Design Info to print a report. To print a report, use either Print or Print Report From Disk from the File menu.

Printing from a print selection window

Previewing print information

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Saving a new design or an existing design to a different name

Overview

Assign a name to a new design file or save an existing design to a different name.

  1. From the File menu, select Save Design As to open the Save Design window.
  2. Enter a new name for this design in File name or select a name from the designs list to have the current design replace the selected design.
  3. Click [Save] to save the design under the name displayed in File name. If the name is already in use, you are prompted to overwrite the existing design file by clicking [Yes]. This deletes the existing design and saves the current design to that name. Click [No] to return to the Save Design window to enter a different file name.

Notes:

  • Unless you specify otherwise, the system assumes that you want to save the design under the default Report folder specified in File Locations in the File > Company Properties menu.
  • If you are modifying an existing design and do not want to change the filename, select File > Save Design instead of Save Design As. The design is instantly saved to the current design name without opening the Save Design window.

Tip: When editing an existing design, you should frequently save your changes to a new design name. This allows you to easily return to an earlier version of the design.

Specifying company folder file locations

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Saving the current design

Overview

Quickly save the current design to disk using the same design name.

  1. From the File menu, select Save Design. The design that is open is saved to the current design name. If this is a new design, the Save Design window opens.
  2. Enter a name for the new design in File name.
  3. Click [Save]. If you entered a name already in use, you are prompted to overwrite the existing design file by clicking [Yes]. Otherwise, the design is saved to the name you entered.

Notes:

  • If you want to save the design to a different name, use Save Design As.
  • Unless you specify otherwise, the system assumes that you want to save the design under the default Report folder specified in File Locations in the File > Company Properties menu.

Tip:

  • When editing an existing design, you may want to frequently save your changes to a new design name. This allows you to easily return to an earlier version of the design.
  • If you modify a Sage 300 Construction and Real Estate standard report, you should save it to a new filename to avoid having it replaced when software updates are released.

Saving a new design or an existing design to a different name

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Clearing objects

Overview

Remove objects from the design and replace them with spaces so that other objects in the design in remain in their same positions. This is different from Delete which deletes both objects and spaces.

  1. Click the object in the report design to make it active, or highlight an area of the design by using blocking.
  2. From the Edit menu, select Clear.
  3. If the Display warning when deleting box is marked on the Preferences tab (Tools menu, Customize), a warning window opens asking if you want to clear the highlighted object from the design. Click [OK] to clear the object. If the box is not marked, the object is cleared from the design.

Note: The warning window does not display if the highlighted object contains only text.

Tip:

  • An alternative to using Clear is to select the object(s) to be removed and press the [Delete] key.
  • You also can clear all text characters up to the first non-text object by clicking the first text character to be cleared and pressing [Ctrl + Delete]. Be aware that if you block the text before choosing this procedure, the non-text fields to the right shift left.

Customizing default preferences

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting columns

Overview

Delete one or more columns from the design. A column in the design area is the amount of space that is occupied by one space or character.

  1. Open the design you want to delete columns from.

    2. How?

  2. Position the cursor on any row in the design at the point where you want to delete a column(s). All rows in the design are affected by this procedure, not just the row you mark.
  3. From the Edit menu, select Columns.
  4. Select Delete to open the Delete Columns window.
  5. Enter the number of Columns to be deleted (up to 99).
  6. Click [Delete] or press [Enter].

Notes:

  • All rows, including the column heading rows, have the specified number of columns deleted. Exceptions are rows in which the column to be deleted would split a non-text field. Those rows are left untouched.
  • If there are report fields in any of the rows to be deleted, and if the Display warning when deleting box is marked on the Preferences tab (Tools menu, Customize), it is necessary to confirm the deletion.
  • Deleting is always to the right of where the cursor is.

Tip: You can bypass steps 3 and 4 by using blocking. The left edge of the block designates the starting position, and the width of the block indicates the number of columns to delete. Select the block, then select Delete from the Edit, Columns menu.

Customizing default preferences

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting objects

Overview

Remove an object from a design. After you delete an object, any remaining objects to the right of the deleted object shift to the left to take up the space that was occupied by the deleted object. If you want to remove objects from a design, but don't want remaining objects to be repositioned, use Clear instead.

  1. In the design area, click the object to be deleted to make it active, or use blocking to select several objects to be deleted.
  2. From the Edit menu, select Delete.
  3. If the Display warning when deleting box is marked on the Preferences tab (Tools menu, Customize), a warning window opens asking if you want to delete the highlighted object from the design. Click [OK] to delete the object. If the box is not marked, the object is deleted from the design.

Note: This warning does not display if you are deleting text only.

Tip: An alternative to using Delete is to select the object to be removed and press [Ctrl + Delete].

Clearing objects

Customizing default preferences

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting rows

  1. Open the design you want to delete rows from.

    2. How?

  2. Click anywhere in the row that is to be the first row deleted.
  3. From the Edit menu, select Rows.
  4. Select Delete to open the Delete Rows window.
  5. Enter the number of rows to be deleted (up to 99).
  6. Click [Delete] or press [Enter].

Note: If there are report fields in any of the rows to be deleted, and if the Display warning when deleting box is marked on the Preferences tab (Tools menu, Customize), you are asked to confirm the deletion.

Tip: You can bypass steps 3 and 4 by using blocking. The top row of the block marks the first row to delete, and the number of rows in the block indicates the number of rows to be deleted. The width of the block does not affect the amount of information that is deleted. Select the block, then select Delete from the Edit, Rows menu. The system automatically deletes the number of rows blocked.

Customizing default preferences

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Inserting columns

Overview

Insert one or more columns in the design. A column in the design area is the amount of space that is occupied by one space or character.

  1. Open the design you want to insert columns in.

    2. How?

  2. Position the cursor on any row in the design area at the point where you want to insert the column(s). All rows in the design are affected by this procedure, not just the row you mark.
  3. From the Edit menu, select Columns.
  4. Select Insert to open the Insert Columns window.
  5. Enter the number of columns to be inserted (up to 99).
  6. Click [Insert] or press [Enter].

Notes:

  • All rows, including the column heading rows, have the specified number of columns inserted. Exceptions are rows in which the left-most insertion column would split a non-text field. Those rows are left untouched.
  • Inserting is always to the left of where the cursor is.

Tip: You can bypass steps 3 and 4 by using blocking. The left edge of the block marks where the insertion begins, and the width of the block determines the number of columns inserted. Select the block, then select Insert from the Edit, Columns menu. The system automatically inserts the number of columns blocked.

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Inserting rows

  1. Open the design you want to insert rows in.

    2. How?

  2. Click anywhere in the row that is immediately below the area where the new row(s) in be located.
  3. From the Edit menu, select Rows.
  4. Select Insert to open the Insert Rows window.
  5. Enter the number of rows to be inserted (up to 99).
  6. Click [Insert] or press [Enter].

Tip: You can bypass steps 3 and 4 by using blocking. The top row of the block indicates where the insertion should begin, and the number of rows in the block indicates the number of rows to be inserted. Select the block, then select Insert from the Edit, Rows menu. The system in automatically insert the number of rows blocked.

Deleting rows

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Moving objects

Overview

Move a selected object to a different location within the design area. The moved object is replaced with spaces and does not affect the placement of other objects.

  1. In the design area, click the object to be moved to make it active, or use blocking to select several objects to be moved.
  2. From the Edit menu, select Move. The cursor changes to a four-headed arrow icon and the object or block selected is shown as an empty box that moves with the icon.
  3. Move the arrow icon in the design area by moving the mouse or use the arrow keys. Although the original object remains stationary, a box representing the object follows the movement of the icon to indicate the new placement.
  4. When satisfied with the new position of the outline box, click the mouse or press [Enter] to anchor the object. The selected object is removed from the former location and placed in the new location.

Tip: An alternative to using Move is to select the object(s) to be moved by clicking the object or blocking an area with the mouse, hold the left mouse key down, and drag the selected area to a new location.

Sliding objects left or right

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sliding objects left or right

Overview

Open or close space in a design row(s). This is similar to Move, except it moves objects only left or right and it automatically selects all objects to the right of the cursor for movement. Also, Slide cannot move objects over the top of other objects not selected.

  1. In the design area, click the object to be moved to make it active, or place the cursor at the location in which you want to insert blank space.
  2. From the Edit menu, select Slide. A dotted, vertical line appears at the selection point to mark the original location of the block. The cursor becomes a double-headed arrow.
  3. Move the arrow cursor left or right by using the mouse or the left and right arrow keys. The object, and everything to the right of it, is moved to the left or right accordingly. As you move the arrow cursor, a solid vertical line appears as a marker for the current position.
  4. Click the mouse or press [Enter] to anchor the block in the new location.

Note: Press [Esc] at anytime during the procedure to cancel the operation and return the block to its original location.

Moving objects

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Using blocking

Overview

A method of selecting information in the design area for editing is to block it. Much like blocking in a word processor, blocking in Report Designer highlights an area of information on the design layout. A block is considered to be a single object for editing purposes. Because you can include more than one item (field, text, formula) in a block, blocking is an efficient way to perform a single operation on multiple items in your design at one time.

  1. Position the mouse pointer at one edge of the object you want to highlight.
  2. Press the left mouse button and hold it down while dragging the mouse through the object.
  3. When the elements you want to include in the block are highlighted, release the mouse button.
  4. Perform the desired procedure on the block.

Notes:

  • Blocking can be used with the following commands: Clear, Move, Slide, Delete, Rows, Columns, Character, Field, Print Controls, and Column Heading Row.
  • You must block objects before they can be edited.
  • For blocking purposes, the first character in a report field represents the field. That means if you include the first character of a field in the block, the editing operation you select is performed on the field as if the entire field had been highlighted. If you highlight a portion of a field that does not include the first character, the editing operation in not be performed on that field.

Clearing objects

Deleting objects

Deleting rows

Moving objects

Sliding objects left or right

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Entering custom sorts

Overview

In addition to the standard sort orders that are available, Report Designer allows you to create and modify custom sort orders through the use of a Sort List. When you print a report where a custom sort order is used, Report Designer sorts the report information according to the fields and formulas you entered on the Sort List. Report Designer sorts first by the first field on the list, then where the values in the first sort are the same, by the second field, and so on until the information is in the precise order you specified. For example, if you sort a vendor invoice report by Vendor, and then by Amount Paid, the invoices print in vendor number order first. However, when two or more invoices have the same vendor number, those invoices are sorted by the amount paid and then the vendor.

  1. Open an existing design or create a new design.
  2. From the Design menu, select Sort Order to open the Sort Order window.
  3. Enter the primary record that drives the report in the Process all field.
  4. Click [Custom sort] to open the Custom Sort Order window.
  5. Create the desired sort order by selecting fields from the field list. The field list contents are determined by the records included in the design and by the record selected in Process all in the Sort Order window. You can select up to 15 fields to sort and they are processed in the order selected.
  6. When finished, click [OK] accept your selection and return to the Sort Order window.
  7. Click [OK] to return to the Design window.

Notes:

  • When printing a report, custom sorts generally take longer than standard sorts because you cannot take advantage of the sort keys already present in the file. However, you might not notice any time difference unless you have large data files or if you include several different records in the sort.
  • If a field you want is not listed in the Field list or is not available when you use [Index] and choose another record, you either did not include the proper record in your design, or the field is not available for sorting based on the primary record you selected in Process all. Because custom sort options are determined in part by your primary record selection, any custom sort information you might have entered is deleted if you change the primary record.
  • If you select fields that do not originate on the primary record and you will be using an accumulating function, such as ASUM or ACOUNT, you may need to use a LOOKUP function formula, in the custom sort order, to access the non-primary record fields.

Click here for an example and additional information about using accumulating functions with a multiple record sort.

Processing multiple records (definition)

Sort orders (definition)

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting or changing sort orders

Overview

Provides an easy way to control the order in which information appears on your report. Based on the records and fields selected for the report design, Report Designer automatically determines the most likely sort order for the report while you design it. You do not need to access Sort Order from the Design menu unless you want to modify the order that Report Designer has assigned.

  1. Open an existing design or create a new design.
  2. From the Design menu, select Sort Order to open the Sort Order window.
  3. Enter the primary record that drives the report from the Process all list.
  4. Select the sort order from the Sort Order list for the primary record name displayed to the left.
  5. Click [OK] to accept your selections and return to the Design window.

Notes:

  • The sort order affects the following items: Conditions, Ranges, Totals/Summarization, Group Page Breaks, Line Spacing, and formulas using accumulating functions.
  • If you do not want to use one of the standard sort orders assigned by the software, click [Custom sort] to set up your own.

Tip:

  • If you know the sort order you need to use, especially if it is a non-standard order, it is a good idea to select the sort order using Sort Order before making a lot of field selections. That way the groups and group-related controls that are dependent on sort order (for example, totals, line spacing, and group page breaks) are less likely to need adjustment than if you change the sort order at the end of the design process.
  • Using standard sort orders allows reports to process faster.

About using accumulating functions with custom sort orders

Processing multiple records (definition)

Sort orders (definition)

Creating a new design

Entering custom sorts

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Creating report totals

Overview

Although you can choose to have Report Designer make many of the totaling decisions based on the contents of your design, you also have the option to override the automatic totals and select your own with Totals from the Design menu.

  1. Open an existing design or create a new design.
  2. From the Design menu, select Totals to open the Totals window.
  3. To indicate which totals you would like to include on your report, mark the appropriate boxes in Total Levels.
  4. To print the total for a group, but not the detail, make a selection in Summary Level. Non-numeric fields cannot be summarized.
  5. To control whether total amounts print with or without an asterisk on the report, make a selection in Total Indicator.
  6. To have Report Designer drop the total if there is only one item in the total, mark the Drop the total if only one group prints box.
  7. To have the system apply drop totals only to the first level that prints, mark the When total prints, include higher levels box.
  8. Mark the Start grand totals on a new page box to have the page advance before printing grand totals
  9. To have the detailed information for the report dropped so that only the grand totals and report headings print, mark the Only print grand totals box.
  10. Click [OK] to accept your selections and return to the Design window.
  11. Run a print preview to verify that the totaling is correct.

Notes:

  • The total levels and summary level options available are determined by the sort in your design. To modify the total groupings, change the sort order or create a custom sort.
  • If you choose to summarize for a group, you can select only total levels above that group. The Total Levels boxes for the summarized group, and any groups below it, will be unavailable.
  • If the total you want is not available, you need to create an ASUM formula.

Tip: Unmark all the Total Levels boxes if you plan to do extensive editing of a design. This removes the totals fields from the design area leaving more room for design work. When you are finished editing and have finalized the sort order, you can select Totals to add the total fields back into the design.

Sort orders (definition)

Totals in formulas (definition)

Totals in headers and footers (definition)

Totals in the body section (definition)

Groups (definition)

Creating a new design

Customizing default preferences

List of Payroll formula functions

List of Property Management functions

List of Accounts Receivable Formula Functions

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing line spacing

Overview

You can control the spacing between items that print on the report. For each group in the design, you can select whether items in the group are single, double, or triple-spaced. For example, if you are printing an invoice recap by vendor, you might want the individual invoices to be single-spaced, but you might also want a double-space between the last line of information for one vendor and the first line of information for another vendor.

Default spacing is assigned by Report Designer based on the most common choice for each group. If the defaults are acceptable, it is not necessary to modify them.

  1. Open a design you want to change line spacing for.

    2. How?

  2. From the Design menu, select Line Spacing to open the Line Spacing window.
  3. Select the spacing level (single, double, or triple) for each group listed.
  4. Click [OK] to accept your selection and return to the Design window.

Note: For the purpose of line spacing, totals assigned to groups are considered to be part of the group information. In other words, line spacing comes after the totals for each value in the group. If you want to change the spacing between the detail and the total, use the edit techniques available in the design area. If you want to set up new default spacing between detail and totals, use the setting on the Totals tab (Tools menu, Customize).

Totals in formulas (definition)

Totals in headers and footers (definition)

Totals in the body section (definition)

Groups (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Summarizing report amounts/detail

Overview

If you want to print the total for a group but do not want the detail to print, use the Summary Level to select the level of detail that you want summarized. The content of the Summary Level list is determined by the groups in your design. Non-numeric fields cannot be summarized. If Report Designer encounters non-numeric fields for a group you are summarizing, sometimes dashes (- -) print to represent the field. If this occurs, review your print controls. It may be possible to get correct results by modifying.

  1. Open an existing design or create a new design.
  2. From the Design menu, select Totals to open the Totals window.
  3. To print the total for a group, but not the detail, make a selection in Summary Level.
  4. Click [OK] to accept your selection and return to the Design window.

Notes:

  • If the group is being summarized and you want something to print in a non-numeric field, the system uses the first instance of that non-numeric field as the value for that field on the report.
  • If you choose to summarize for a group, you can select only total levels above that group. The Total Levels boxes for the summarized group, and any groups below it, will be unavailable.

Totals in formulas (definition)

Totals in headers and footers (definition)

Totals in the body section (definition)

Groups (definition)

Creating a new design

Creating report totals

Opening a design

Print control examples

Setting print controls

Summarizing report amounts/detail

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Accessing the field list

Overview

You can display or hide the Field list thereby providing more efficient use of the design window. When you hide the Field list, more room is available in the design area to see the layout of your report.

  1. Open a design.

    2. How?

  2. From the View menu, select Field List to display the Field list on the right side of the Design window. A check mark displays next to the name when it is displayed.
  3. From the View menu, select Field List again to hide the Field list.

Key fields (definition)

Account record (GLM)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing the appearance of fonts

Overview

You can change the font for selected text.

  1. Open an existing design or create a new design.
  2. In the Design window, click a field or use blocking to highlight a range of fields.
  3. From the Format menu, select Character.
  4. Select Font to open the Font window.
  5. Select the Font, Font style, and Size you want to use.
  6. Select the type of Effects and Color you want to use.
  7. The type of font selected displays in Script and a sample displays in the Sample box.
  8. Click [OK] to accept your font selections and return to the Design window.

Note: The software incorporates a printing feature known as "shrink to fit". If a report is wider than the size of the paper selected for printing, the font is automatically scaled to fit the report on the paper selected.

Tip:

  • You can change the Font style (i.e., Bold and Italic) by clicking the field or blocking a range of fields and selecting Bold or Italic from the Format, Character menu.
  • You can add an underline, double underline, or overline to a selection by clicking the field or blocking a range of fields and selecting the applicable item from the Format, Character menu.
  • You can change the character format to "default" by clicking the field or blocking a range of fields and selecting the Reset to Default item from the Format, Character menu.

Creating a new design

Opening a design

About shrink to fit

About character format

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing views

Overview

You can display the different sections of the report design or a different view of the design detail in the Design window. For the views, a different color is used for each one to indicate the detail. Report Designer defaults to the View Settings specified by selecting Customize from the Tools menu.

The sections of the report design are:

  • Header
  • Body
  • Footer

The available design views are:

  • Normal - displays the standard view of the design with no special detail.
  • Print Controls - displays how often information prints on the report.
  • Suppressed Areas - displays those areas of the report design designated with the Suppress blank rows option.
  • Conditional Print Areas - displays objects designated with conditional printing in a color defined in Foreground Colors on the Colors tab (Tools menu, Customize).
  • Fonts - displays different character attributes in different colors.

After any editing, it is a good idea to change to the different views to verify that no changes or significant alterations have occurred.

  1. Open a design.

    2. How?

  2. From the View menu, select the section(s) (Header, Body, or Footer) or view (Print Controls, Suppressed Areas, Conditional Print Areas, or Fonts) you want to activate. A check mark displays next to the active section or view name.
  3. From the View menu, select Normal to return to the standard view of the design area.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Defining column heading rows

Overview

You can designate the row number where the top line of new column headings is to be placed. The second line of the heading is then placed on the row just below the first. The position of the heading within the row is determined by the placement of the report field within the body of the report.

  • Column Heading Row is available any time you have a design in memory and Use Column Headings is turned on. Use Column Heading Row to change the current column heading row at any time during the design process. Existing column headings are not moved when you change the Column Heading Row, only new column headings are moved based on the new column heading row. If you need to reposition existing column headings within the design area, you can edit them as you would any text.
  • The column heading row is stored as part of the design file. That means that the row designated as the column heading row when the design was last saved is automatically used as the column heading row when the design is reopened. If you are creating a new design, the column heading row is automatically assigned as three rows above the row on which you placed the first field.
  1. Open an existing design or create a new design.
  2. From the Format menu, verify that Use Column Headings is turned on. This is denoted by a check mark next to the name.
  3. From the Format menu, select Column Heading Row to open the Column Heading Row window.
  4. Enter a number up to 250 to represent the row in the design in which the top line of any new automatic column headings should be placed. The second line of the headings are placed in the row immediately under the designated column heading row. The default is 3.
  5. Click [OK] to accept the new column heading row designation.

Note: The current column heading row number displays next to Column Heading Row on the Format menu.

Tip: To change the current column heading row from the design area, create a block on the row where you want the top heading of new column headings to be placed, then select Column Heading Row. This bypasses the Column Heading Row window and allows you to set the row by sight without having to determine the number of the new row.

Column headings (definition)

Creating a new design

Opening a design

Turning column headings on and off

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Defining field formats

Overview

You can control how individual fields display on a report by using Field (Format menu). Depending on the type of field you are editing, you can change the length, punctuation, underlining, and other attributes that affect the appearance of the field on the report.

Each field has standard defaults for field format that are consistent with the most common use of that field. If you want to know about the attributes of a field before you include it in your report design, you can print a listing of data fields using Available Fields (Tools menu). In addition to the field type for each field, the listing includes the default field length and any special field values.

  1. Open the design for which you want to change field formats.

    2. How?

  2. Highlight a field in the design area by clicking it with the left mouse button, or use blocking to select a block of fields.
  3. From the Format menu, select Field. The Field Format window opens. The Field Format window that opens is determined by the type of field you select. The field types are Box, Date, Elapsed Time, List, Memo, Name, Number, Option Button, Phone, Social Security Number, Structure, Text, and Time.

Note: Blocking allows you to change the attributes of several fields at the same time. However, if you include more than one field in a block, the field type must be the same.

Tip:

  • You can skip step 2 by double-clicking the highlighted field. This automatically opens the appropriate field format window.
  • You can also change the appearance numeric fields (that is, dollar sign, commas, and decimal digits) by clicking a field or blocking a range of numeric fields and selecting Comma, Dollar, Single Digit, or Two Digits from the Format, Character menu.

Field format shortcuts (definition)

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Determining group page breaks

Overview

You can determine when page advances occur during report printing. Because your selections are included in each design file, the page breaks you use can vary from design to design.

The software automatically breaks at the end of a page to reprint headings and leave margins according to the controls you have established in the design. In addition to these automatic page breaks, you can assign page breaks by group.

An unconditional page break advances the page based on the data that is printing. For example, if you select the Vendor record as the unconditional page break group, the paper advances each time a new vendor is encountered. As a result, the information for each vendor is printed on a separate page.

A conditional page break advances the page when there is insufficient room to print all of the information for a group on the current page. For example, if you select the Job record as the conditional page break group, the information for each job is checked before it is printed to determine if it will fit on the current page. If it will not fit on the current page, the page advances before the information is printed.

If you are using both types of page breaks in a design, the unconditional page break must be based on a group that is higher in the sort order than the group selected for the conditional page break. For example, if you are printing a list of invoices by vendor, you might select Vendor from the Unconditional Page Break list and Invoice Record from the Conditional Page Break list.

  1. Open an existing design or create a new design.
  2. From the Design menu, select Group Page Breaks to open the Group Page Breaks window.
  3. Select the type of page breaks to set (Conditional or Unconditional). You can use one or both types of page breaks in a design. The contents of the lists are determined by the groups that are included in the current design. To modify the groups, change the sort order or create a custom sort.
  4. To have the page numbering begin at 1 after each page break, mark the Reset page number when the page breaks box.
  5. Click [OK] to accept your selections and return to the Design window.

Note: The software prevents you from assigning illogical combinations of page breaks by disabling groups in the lists based on your selections.

Unconditional Page Break system field (definition)

Creating a new design

Group page break examples

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Formatting reports for export

As part of creating a successful report design, you must remove the headers, define the print options, and set single line spacing when you plan to export the report to Excel or a text file.

Click for instructions

Formatting reports for export to Excel

Formatting reports for export to a text file

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing suppressed areas

  1. Open the design you want to remove suppressed areas from.

    2. How?

  2. Use blocking to highlight the area of the design in which you want to remove the suppressed areas.
  3. From the Format menu, select Suppress Areas to open the Suppress Areas window.
  4. Unmark the Suppress blank rows box and the Restrict suppress to area box or click [Delete] to remove these options.
  5. Click [OK] to the Remove Suppress Area from the block? message.
  6. Click [OK] to accept your selection and return to the Design window.

Removing suppressed rows

Suppressing blank areas

Suppressing blank rows

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing suppressed rows

  1. Open the design you want to remove suppressed rows from.

    2. How?

  2. Use blocking to highlight the area of the design in which you want to remove the suppressed rows.
  3. From the Format menu, select Suppress Areas to open the Suppress Areas window.
  4. Unmark the Suppress blank rows box or click [Delete] to remove this option.
  5. Click [OK] to the Remove Suppress Area from the block? message.
  6. Click [OK] to accept your selection and return to the Design window.

Removing suppressed areas

Suppressing blank areas

Suppressing blank rows

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppressing blank areas

  1. Open the design you want to suppress blank areas in.

    2. How?

  2. Use blocking to highlight the area of the design in which you want to eliminate blank areas.
  3. From the Format menu, select Suppress Areas to open the Suppress Areas window.
  4. Mark the Suppress blank rows box and the Restrict suppress to area box, to suppress, or not print blank areas in the highlighted region.

Note: To view those areas of the report design designated with the Suppress blank rows option, select Suppressed Areas from the View menu. Suppressed areas display in a block of color.

Removing suppressed areas

Removing suppressed rows

Suppressing blank rows

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppressing blank rows

Overview

Prevents rows from printing where all the fields in the row to be suppressed are empty. The rows below the suppressed rows move up and fill the blank space.

  1. Open the design you want to suppress blank rows in.

    2. How?

  2. Use blocking to highlight the area of the design in which you want to eliminate blank rows.
  3. From the Format menu, select Suppress Areas to open the Suppress Areas window.
  4. Mark the Suppress blank rows box to suppress, or not print, blank rows in the highlighted region.

Note: To view those areas of the report design designated with the Suppress blank rows option, select Suppressed Areas from the View menu. Suppressed areas display in a block of color.

Removing suppressed areas

Removing suppressed rows

Suppressing blank areas

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting conditional print areas

Overview

You can control the printing of data on a report based on the results of a true/false formula attached to a field. Conditional printing should not be confused with Report conditions. Conditional Print Areas apply a condition to a specific area of a report, whereas Report conditions are applied to the entire report.

  1. Open the design on which you want to set a conditional print.

    2. How?

  2. Click an object to select it, or use blocking to highlight an area of your design.
  3. From the Format menu, select Conditional Print Areas.
  4. Select the formula you want to use. The formulas display by type, for example, application, design, and public. Only formulas that can return a true/false or yes/no value appear on the list. As each formula is highlighted, the contents of that formula displays in the lower part of the window.
  5. If the formula you want to use is not on the list, you need to create a new formula. Click [Cancel] to exit the Conditional Print window.
  6. Repeat steps 1-3. The formula you created now displays in the Formula window.
  7. Click [OK] to accept the conditional print and return to the Design window.

Conditional print areas (definition)

Prompt windows (definition)

Using blocking

About formula types

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting print controls

Overview

Print controls dictate how often a value is repeated on a report. For example, page headings usually print once for every page and not every time a transaction is printed. On the other hand, you might want specific transaction detail to print once for each transaction, and not print once per page.

Report Designer automatically assigns print controls as design information is entered. Print controls are based on the records and fields selected and on the current sort order controls. To override the automatic settings, change Print Controls from the Design menu.

Each element of a design has a print control. Print controls can be changed field by field, or blocking can be used to highlight several elements at a time.

If you select group Print Controls (other than the group at the lowest level of detail), you have several options to repeat the selected value(s) including when the group information continues onto a new page, at the end of the group information, and at the group total level. For example, if you are printing the vendor name and address once for each vendor as a line above the invoice detail, and you mark the Reprint when the group is continued on a new page box, the vendor name and address repeats on the new page if the invoice information continues on to a new page. If you do not mark the box, invoices print on the new page without the vendor name and address.

You can display the Print Control information in the design window by selecting Print Controls from the View menu.

  1. Open the design for which you want to set print controls.

    2. How?

  2. Select a field in the design by clicking it or use blocking to select several fields.
  3. From the Design menu, select Print Controls to open the Print Controls window.
  4. Select how often you want the items selected to repeat in the Print once per… selection list.
  5. If you select a group in the Print once per… selection list, select when the group information repeats by marking the appropriate box(es). For additional information about these items, click [image] on the window and then click the item.
  6. Click [OK] to accept the Print Controls selections and return to the Design window.

Notes:

  • When the Print Controls window opens, the active control for the selected field or block is highlighted. If you select a block that contains a mixture of print controls, Report Designer alerts you by highlighting Mixed print controls on the list. Mixed print controls is not a valid print control selection. Its purpose is informational only.
  • The print controls options available for a design are dependent on the design contents. You always have the option of having report information print only at the end of the report or once for every page, but the remaining choices, are dependent on the groups being used in your design. Groups are used throughout Report Designer to identify and organize the various levels of data within the design.

Tip:

  • If a print control is needed that is not on the list, use a custom sort.
  • By turning on Print Controls from the View menu, you can click a field and see the print controls displayed in the design window.

Sort orders (definition)

Groups (definition)

Print control examples

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turning column headings on and off

Overview

You can streamline the creation of column headings in the design by using Use Column Headings which is a toggle to turn on and off column headings. When turned on, column headings are automatically added to the design whenever a field is selected. The automatic column headings can save time when creating columnar reports because you do not have to enter headings or worry about placing them correctly in the design area. If you do not want column headings for certain fields, you can turn the automatic column headings off until you have completed your field selection, then turn them on again when you want them.

  1. Open the design you want to turn column headings on or off for, or, start a new design.

    2. How?

  2. From the Format menu, select Use Column Headings to turn on automatic column headings. A check mark displays next to Use Column Headings when it is turned on. No other input is necessary.
  3. To turn off automatic column headings, select Use Column Headings again from the Format menu.

Note: If Use Column Headings is turned on and the fields being selected for the design are in the same column but different rows, a warning message displays indicating that the column headings are overlapping existing text. You can cancel or mark the remove column heading box and click [Retry]. This turns off the column headings for this field only.

Column headings (definition)

Defining column heading rows

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Viewing conditional print areas

  1. Open the design you want to view conditional print areas in.

    2. How?

  2. From the View menu, select Conditional Print Areas. Objects with conditions attached display in a different color. A message also displays at the bottom of the portion of the Design window when the cursor is on the affected area.
  3. To return to the normal view, select Normal from the View menu.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing prompt fields and text

Overview

The value of a data field or the wording of text can be changed simply by selecting it and making the desired changes. Changes to data fields or text can be done with a mouse or with the keyboard.

  1. Open an existing report design or create a new report design.
  2. From the Design menu, select Prompt Windows.
  3. Select Required to open the Required Prompt Window or Optional to open the Optional Prompt Window, depending on the type of prompt you want to change fields and text for.

Mouse method

  1. In the Required Prompt window or the Optional Prompt window, select the data field or text you want to change by clicking it to highlight it.
  2. Click [Edit] to open either the Prompt Field Contents window or the Text Contents window, depending on whether you selected a prompt field or text. The attributes of the highlighted object display in the window.
  3. Make the changes and click [OK] to accept your changes and return to the appropriate prompt window.

Keyboard method

  1. In the Required Prompt window or the Optional Prompt window, select the data field or text by choosing [Select/Create]. A position marker in the shape of a box displays in the center of the prompt window.
  2. Use the arrow keys to move the box anywhere over the data field or text you want to edit and press [Enter]. The object is highlighted.
  3. Choose [Edit]. The Prompt Field Contents window or the Text Contents window opens, depending on whether you selected a prompt field or text. The attributes of the highlighted object display in the window.
  4. Make the changes and choose [OK] to accept your changes and return to the appropriate prompt window.

Tip: You can bypass Step 2 under Mouse method by double-clicking the data field or text. The object is highlighted and the Prompt Field Contents window or the Text Contents window opens immediately.

Prompt windows (definition)

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing the prompt window size

Overview

To accommodate more fields or text, you may need to change the size of the Required Prompt Window or Optional Prompt Window. The size of the window can be changed only by using a mouse. The arrow keys cannot be used because there is no way to select the border with the keyboard.

  1. Open an existing report design or create a new report design.
  2. From the Design menu, select Prompt Windows.
  3. Select Required to open the Required Prompt Window or Optional to open the Optional Prompt Window, depending on the type of prompt window you want to resize.
  4. Place the mouse pointer on the edge of the window border until it becomes a double-headed arrow.
  5. Press the mouse button and, holding it down, drag the window to the desired size.
  6. Release the mouse button to anchor the new size.

Notes:

  • The prompt window size is stored in the design along with the rest of the prompt window, and displays at this size at print time.
  • ¡ The maximum size for the Required Prompt Window is 12 rows by 76 columns. The maximum size for the Optional Prompt Window is 17 rows by 76 columns. However, because the Optional Prompt Window is a scrollable window, the maximum size actually available is 250 rows by 350 columns.

Prompt windows (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Creating report prompts

Overview

You can create custom windows which display text or prompt the operator for entry of certain data at the time of printing. There are two types of prompt windows:

  • Required - Automatically appear at print time.
  • Optional - Only displays if you click [Options] in the Print Selection window. [Options] does not display unless an Optional report prompt exists.

All prompts can be set with a default value so that they do not have to be answered each time the report is processed.

  1. Open an existing report design or create a new report design.
  2. From the Design menu, select Prompt Windows.
  3. Select Required to open the Required Prompt Window or Optional to open the Optional Prompt Window, depending on the type of prompt you want to create.
  4. Mark the position of the prompt by placing the mouse pointer on the desired location in the prompt window and click it, or click [Select/Create]and click [OK]. Both actions open the Prompt Options window. The new field position can be repositioned later if necessary.
  5. Select either Create field to open the Prompt Field Contents window or Create text to open the Text Contents window.

    6. If creating a text prompt, complete steps 13-18

    If creating a field prompt, complete steps 6-12

  6. Enter a description for the field in Description. The description becomes the identifier for this prompt field when displaying a list of prompt fields.
  7. Select the field type in Type.
  8. Select the initial value of the field in Initial Value.
  9. If you want to use the description as the text that appears in the prompt window, mark the Use description as field prompt box.
  10. Specify other field characteristics. These characteristics display on the right side of the window and change based on the field type chosen.
  11. Click [OK] to accept your selections and return to the Required Prompt window.
  12. Click [OK] when finished adding prompt fields to the Required Prompt window to return to the Design window.
  13. Enter a description for the text in Text.
  14. Select the text style in Style.
  15. Select the justification for the text (right or left) in Justification.
  16. Select the color for the text in Color.
  17. Click [OK] to accept your selections and return to the Required Prompt window.
  18. Click [OK] when finished adding text fields to the Required Prompt window to return to the Design window.

Note: Prompt fields can be incorporated into a formula just like any other report field. When creating a formula, you need to access the Prompt Fields record using [Index]. This lists all the prompt fields created for this report design. (Prompt fields are stored with the design in which they are created.) When prompt fields are used in a formula, the report processes the prompt field the same as it would a report field. The value the prompt field assumes is determined by the operator each time the report is run. You can also use this formula to condition the report.

Tip:

  • When creating a prompt field, use [Prefill] in the Prompt Contents window to select the field value you want to use for the prompt. The system prefills the default values for that field.
  • Sometimes the text on a field is too long and requires a text prompt to be created next to the field prompt.

Prompt windows (definition)

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting prompt fields and text

Overview

Any data field or text can be deleted from a prompt window with a mouse or with the keyboard.

  1. Open an existing report design or create a new report design.
  2. From the Design menu, select Prompt Windows.
  3. Select Required to open the Required Prompt Window or Optional to open the Optional Prompt Window, depending on the type of prompt you want to delete fields and text from.

Mouse method

  1. In the Required Prompt window or the Optional Prompt window, select the data field or text to be deleted by clicking it.
  2. Click [Delete]. If the object selected is text, it is deleted from the prompt window immediately. If the object selected is a data field, you are asked to confirm the deletion.

Keyboard method

  1. Choose [Select/Create]. A position marker in the shape of a box displays in the center of the prompt window.
  2. Use the arrow keys to move the box anywhere over the data field or text you want to delete and press [Enter]. The object is highlighted.
  3. Choose [Delete] or press the [Delete] key. If the object selected is text, it is deleted from the prompt window immediately. If the object selected is a data field, you are asked to confirm the deletion.

Notes:

  • If you did not mark the Display warning when deleting box on the Preferences tab (Tools menu, Customize), no warning message displays and the data field is deleted immediately. The exception to this is if the prompt field is referenced elsewhere in the report, e.g., Report Date. In this case, you receive a warning message even if the box is not marked.
  • If a prompt field is used elsewhere and it is deleted, the design may have errors when it is opened. You need to locate all the fields that contained the prompt field in order to correct the report design.

Tip: If you have a text field that is the field description and a custom prompt field, deleting one does not automatically delete the other. You must manually delete both.

Prompt windows (definition)

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Moving prompt fields and text

Overview

Moving a field or text to a new location in the prompt window can be done with a mouse or with the keyboard.

  1. Open an existing report design or create a new report design.
  2. From the Design menu, select Prompt Windows.
  3. Select Required to open the Required Prompt Window or Optional to open the Optional Prompt Window, depending on the type of prompt you want to move fields and text for.

Mouse method

  1. Click the data field or text you want to move to highlight it. The mouse pointer changes to a four-headed arrow.
  2. Click [Move].
  3. Use the mouse to point to the area you want to move the field to.
  4. Double-click the mouse or click [OK] to anchor the field in the new location.

Keyboard method

  1. In the Required Prompt window or the Optional Prompt window, select the data field or text you want to move by choosing [Select/Create]. A position marker in the shape of a box displays in the center of the prompt window.
  2. Use the arrow keys to move the box anywhere over the data field or text and press [Enter]. The entire object is now highlighted.
  3. Choose [Move].
  4. Use the arrow keys to move the object.
  5. Press [Enter] to anchor the object in its new location.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing the sequence order of colors

  1. Open an existing design or create a new one.
  2. From the Tools menu, select Customize to open the Customize window.
  3. Click the Colors tab.
  4. To reposition a color on the Foreground Colors or Background Colors lists, click the color in the list you want to move.
  5. Holding down the left mouse button, move the mouse up or down through the list.
  6. When the color is in the desired position, release the left mouse button.
  7. Repeat this process until the list displays in the color sequence you want.

Creating a new design

Customizing Report Designer colors

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customizing default preferences

Overview

You can set controls for various aspects of the report design. Included in the Customize window are controls for automatic page heading, column headings, negative number format, and several other features.

These controls can be set once and saved. They can be changed later if required. Changes apply to editing done to any design within the current session of Report Designer.

  1. Open an existing design or create a new one.
  2. From the Tools menu, select Customize to open the Customize window.
  3. Click the Preferences tab.
  4. Select the Auto Page Heading Option you want to use.
  5. Select how you would like Column Headings to display.
  6. Select the Default Negative Format for negative numbers.
  7. Mark the boxes for the additional features you want to use.
  8. Click [OK] when done to accept the default settings and return to the Design window.

Note: If "Field List expands design window" is marked, the size of the design window fluctuates when you toggle between designs. The Design window alignment may vary slightly when opening different windows in the application.

Column headings (definition)

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customizing page headings for a specific report

Overview

Page heading decisions are saved separately with each design. The controls set here override the controls set on the Page Heading tab (Tools menu, Customize). You can modify the page headings as often as you like.

  1. Open an existing design or create a new one.
  2. From the File menu, select Page Setup.
  3. Select Page Headings to open the Page Headings window.
  4. If no automatic page heading is desired, unmark Use page heading. If you unmark the box, none of the options presented in the following steps are available.
  5. To include the default system fields in the heading, mark the Use system defaults box. System defaults to be inlcuded must also be selected in the Page Headings group on the Reports tab in the Options window (Tools menu, Options). When the Use system defaults box is marked, the page heading format is defined by the Default page Heading Options on the Page Heading tab (Tools menu, Customize).
  6. In the Page Heading Width box, choose Variable or Fixed. If you select Fixed, enter the appropriate width.
  7. Enter a title and subtitle, or change it if one exists.
  8. To include optional fields in the page heading for this report, mark the desired boxes in Optional Fields. If the Use system defaults box is marked, the System Date, System Time, Data File Names, and First Page Only boxes are unavailable.
  9. If necessary, change the report date and/or system date formats.
  10. Click [OK] when finished creating the page heading for the report to accept your selections and return to the Design window.

Note: When the Report Date Format and System Date Format fields are set to Use Default, the default settings stored on the General tab (Tools menu, Options) will be used when the report is printed.

Tip: A shortcut method to open the Page Headings window is to double-click the page heading field in the design area.

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customizing print options for report designs

Overview

You can control various aspects of printing for each report. For example, you can control how page numbering starts, how negative numbers are presented, whether a cover page prints, and what the default font is. These controls are saved with the design. They can be changed later if required.

  1. Open an existing design or create a new one.
  2. From the File menu, select Page Setup.
  3. Select Print Options to open the Print Options window.
  4. Mark the boxes for the Design Print Options you want to use.
  5. Mark the boxes for the Default Output Device you want to use.
  6. Select how to print negative numbers.
  7. Enter the starting page number.
  8. Select the Design Font to use.
  9. Click [OK] to accept the print options settings and return to the Design window.

Note: If System default is marked under Default Output Device or under Design Font, the system looks to the General tab (Tools menu, Customize) for the settings for Use Printer Fonts, Print to File, and Font.

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customizing Report Designer colors

Overview

You can customize the colors used for the different views available from the View menu. By having control over the colors used in the display, you can choose the colors that work best for you.

  1. Open an existing design or create a new one.
  2. From the Tools menu, select Customize to open the Customize window.
  3. Click the Colors tab.
  4. Foreground colors are listed in the sequence used when displaying Print Controls or Conditional Print Areas.
  5. Change the color sequence if necessary.
  6. Background colors are listed in the sequence used when displaying Suppressed areas.
  7. Change the color sequence if necessary.
  8. Click [OK] to accept the default settings and return to the Design window.

Conditional print areas (definition)

Changing the sequence order of colors

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customizing report margins for a specific report

Overview

You can adjust report placement on the page through the use of margins. Because these settings override Reports tab settings (Tools menu, Options) and are saved with each design, you can use them to help meet the unique printing requirements you might have for a particular report.

When a new design is created, the default margin settings on the Reports tab (Tools menu, Options) are used to prefill the fields in the Margins window.

  1. Open an existing design or create a new one.
  2. From the File menu, select Page Setup.
  3. Select Margins to open the Margins window.
  4. Unmark Use System Default if marked.
  5. Enter the amount of space, in inches, that you want to use for the top, bottom, left and right margin.
  6. Click [OK] to accept the margin settings and return to the Design window.

Note: If Use System Default remains marked, the system uses the margin settings controls on the Reports tab (Tools menu, Options).

Creating a new design

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Setting default page headings

Overview

A page heading contains information that prints on each page of the report. A typical page heading might have the company name, report title, report date, and page number. You can use some shortcuts for the creation of page headings to simplify the design process.

Certain page heading settings can be overridden prior to printing using Page Setup from the File menu.

  1. Open an existing report design or create a new report design.
  2. From the Tools menu, select Customize to open the Customize window.
  3. Click the Page Heading tab ( for Page Heading).
  4. Mark the boxes for the information you want to include for the default page headings.
  5. Select any Report Date or System Date formats if needed.
  6. Click [OK] when done making your page heading decisions to accept your selections and return to the Design window.

Note: The automatic page heading is created as a single field at the top of the design. Delete it or move it as you would any other field in the design.

Creating a new design

Customizing page headings for a specific report

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding and changing design notes

Overview

Design notes can contain any type of information you might need such as a clarification of the purpose of the report, how often the report should be run, a reminder to ask someone a question about the report, contact information, and so on. Sage 300 Construction and Real Estate report designs use design notes to describe the purpose of the report, prompts or conditions attached to the report, and any special considerations. Design notes are attached to the design itself and not the report. When the report prints, the design notes do not print, except on a cover page if you choose that option.

  1. Open an existing design or create a new one.
  2. From the Design menu, select Design Notes.
  3. Enter or modify design information in the appropriate areas. Use the scroll bar to the right to view text not visible.
  4. Click [OK] to accept your entries and return to the report design.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field format shortcuts (definition)

About field format shortcuts

Below are some shortcut options to simplify field formatting:

  • If you highlight a field in the design area, the name is replaced with an example of the current format of the field. Although you will not see all of the field attributes reflected in the design area, many aspects of the format, such as report field length, justification, and the number of decimal positions for a number field, can be determined by looking at the format in which an active field is displayed. By using this display feature in the design area, you can sometimes bypass the Field Format window completely.
  • Double-click a field in the design area to automatically open the appropriate Field Format window instead of first selecting the field, then selecting Field (Format menu).
  • To change the length of a field, position the mouse pointer on the right edge of the active field. When the pointer changes to a two-headed arrow, press the mouse button and drag the mouse to the left or right until the field displays with the desired length. Release the mouse button to anchor the new length. This bypasses the Field Format window altogether.
  • Change the attributes of a field before you select it from the Field list. To do this, highlight the appropriate field on the list, select Field (Format menu), make the desired changes, then select the field from the list.

Note: When you use Field to change field attributes from the Field list, the changes affect only the highlighted field. After you have either selected the field or moved the selection bar off of the field, the field format reverts to the standard defaults for that field.

Defining field formats

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Groups (definition)

About groups

Groups are a part of the internal structure of the design that helps Report Designer anticipate your needs for different controls. Groups are used throughout Report Designer so that the software can identify different levels of data in the design. In order to accommodate these different levels of detail and allow the organization of the data in meaningful ways, Report Designer evaluates the records and fields included in your design and establishes groups. The groups are based on sort order, record structure, key fields, and other internal information. You cannot change groups directly, although you can influence the group hierarchy by entering a custom sort order.

  • Report Designer uses groups throughout the design process to establish a wide variety of report controls. For example, totaling, page breaks, and print controls are all based on group information.
  • One of the controls that affects groups most dramatically is sort order. If you plan to change the sort order of the design, it is best to do so before selecting fields for the design. That way the other controls that are based on group information are less likely to need adjustment later in the design process.

Key fields (definition)

Sort orders (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About Report Designer View Options

You can select from two sets of report options (Default View and Initially Open Windows) on the View tab (Tools menu, Customize) that determine how the "default view" for a report design will look when opened. It is useful to set up a default view which contains the elements you use most when you are working with report designs.

For example:

  • when you are designing a new report, you may want to see the header, body, and field list.
  • when you open an existing design, you may only want to see the colored print controls and the body of the design.

Click here to find out more about Default View Options

Click here to find out more about Initially Open Windows

Important

The default view options you select on the View tab are only active when you are opening a new report design (File, New Design) and when you opening and existing design (File, Open Design). If you open a report design from the most recently used file list (the report design list at the bottom of the File menu), the system always displays the report design with the view options that were saved with the report the last time it was closed and does not use the default view options selected on the View tab.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About using accumulating functions with custom sort orders

When you are using a custom sort order that contains fields from a record other than the primary record and you are also using accumulating functions, such as ASUM or AMAX, you must use the LOOKUP function, in a formula, to access those fields. Without the use of a LOOKUP function formula to represent the non-primary record fields, all fields in the sort order and the number being accumulated must be selected from the primary record.

For example, to total the amount paid for Accounts Payable invoices in Job, Vendor, Invoice order, use an ASUM formula with Invoice as the break parameter and a LOOKUP function formula for Job in the custom sort order as follows:

ASUM(Invoice (AP-Dist Payment), Amount Paid (AP-Dist Payment))

LOOKUP(Job (AP-Distribution), Vendor (AP-Dist Payment), Invoice (AP-Dist Payment), Dist Seq (AP-Dist Payment))

In this example, the AP Distribution Payment record is the primary record from which vendor, invoice and amount paid data is available. Since job is not available on the primary record, the LOOKUP function formula is used as a custom sort order field to obtain the job value.

The components of these formulas are:

  • ASUM — function used to create a total.
  • Invoice — break parameter that indicates you want a total by invoice.
  • Amount Paid — the number being accumulated. When a match is found, the Amount Paid from each AP-Distribution Payment record is added to get a total amount.
  • LOOKUP — you want to look up the Job from the AP-Distribution record since it is not available on the AP-Dist Payment record. The key for this record is Vendor, Invoice, Dist Seq, which are on the primary record.
  • Job — the field you want to look up.
  • Vendor, Invoice, Dist Seq — the key from the AP-Distribution record (where Job is stored). Vendor, Invoice, Dist Seq are on the AP-Dist Payment record.

Note: The break parameter used in an accumulating function must be part of the sort order, either as a primary key in a standard sort order or as a specified field in a custom sort. In the example above, Invoice is specified in the custom sort order. Coincidentally, it is also a key field in both AP-Distribution Payment record standard orders.

Tip: To determine the primary keys on a record, select Available Fields from the Tools menu to print the list of fields for the record. At the bottom of the field list, in the Standard Order section, the primary keys are listed in parentheses under the first order listed.

Processing multiple records (definition)

Sort orders (definition)

Entering custom sorts

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Default View Options

The Default View options on the View tab (Tools menu, Customize) allow you to select how you want new report designs and existing report designs to display when opened. You can select one of five options:

  • Normal – mark this option to set the default view to normal when a report design is opened. The normal view includes the body, header, and field list.
  • Print Controls – mark this option to set the default view to display designated print control areas when a report design is opened. If there are specific areas of the report that have designated print controls, they will display in a different color.
  • Suppressed Areas – mark this option to set the default view to display suppressed areas when a report design is opened. Areas with suppressed blank rows display in a block of color.
  • Conditional Print Areas – mark this option to set the default view to display conditional print areas when a report design is opened. Objects designated with conditional printing display in a color defined on the Colors tab (Tools menu, Customize) display.
  • Fonts – mark this option to set the default view to display font settings when the report design is opened.

Important The Default View Option selected above does not apply to a report design opened from the most recently used file list (the report design list at the bottom of the File menu). When a report design is selected from this list, the system always displays the report design with the view options that were saved with the report the last time it was closed and does not use the default view options selected on the View tab.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Initially Open Windows Options

The Initially Open Windows options allow you to select specific report elements you may want to display when a report design is opened. You can select one of three states for each of the Initially Open Windows options:

  • marked – if an option is marked (a check mark appears in the box) it always displays when a new or existing report design is opened.
  • unmarked – if an option is unmarked (no check mark appears in the box) it does not display when a new or existing report design is opened.
  • default – if an option selected as the default (check mark with gray fill appears in the box) the option may or may not display, depending if you are opening a new report design (File menu, New Design) or opening an existing report design (File menu, Open Design). Select this option to let the system choose which report design options to display when you open or modify a report design.

Note: You can only select one state per option.

The options you can select are:

  • Header – mark this option to set the default view to display the header when a new or existing report design is opened. If this option is unmarked, the header does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in the box), the header displays when you open a new report design (File, New Design) but does not display when you open an existing report design (File, Open Design).
  • Footer – mark this option to set the default view to display the footer when a new or existing report design is opened. If this option is unmarked, the footer does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in the box), the footer does not display when you open a new report design (File, New Design) or when you open an existing report design (File, Open Design).
  • Field List – mark this option to set the default view to display the field list when a new or existing report design is opened. If this option is unmarked, the field list does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in the box), the field list displays when a new report design is opened (File, New Design) but does not display when you open an existing report design (File, Open Design).

Important These options do not apply to report designs opened from the most recently used file list (the report design list at the bottom of the File menu). When a report design is selected from this list, the system always displays the report design with the view options that were saved with the report the last time it was closed and does not use the default view options selected on the View tab.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running count and display of records

If you want to print a running total of the number of invoices for a group of vendors, you can add the Counter 1 Increment and Counter 1 Display fields next to the Invoice record in the report design and set the print controls for these fields to Print once per invoice as follows:

Vendor record

Invoice record* Counter 1 Increment* Counter 1 Display*

Note: Print Controls = Print once per invoice*

When the report is printed, a number displays next to each invoice that represents a running total of the number of invoices for the group of vendors:

Vendor A |  |
 | Invoice 101 | 1
 | Invoice 102 | 2
Vendor B |  |
 | Invoice 201 | 3
 | Invoice 202 | 4
 | Invoice 203 | 5

Note: Notice that only the Counter 1 Display field prints on the report. The Counter 1 Increment field must be used with the Counter 1 Display field in the report design, but when the report is printed, the Counter 1 Increment field is automatically defaulted to not print.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running count and display of records on the same line as totals

If you want to print the incremental total number of invoices for a vendor on the same line as the vendor totals, you can use the Counter Increment and Counter Display fields in the report design as follows:

Vendor record | Counter 1 Increment* | Counter 1 Display*
Invoice record | Counter 2 Increment** |
Vendor Totals | Incremental Number of Invoices: Counter 2 Display***

Note:

  • Print Controls = Print once per vendor*
  • Print Controls = Print once per invoice**
  • Print Controls = Print at end of vendor***

In this example, the report prints as follows:

Vendor A | 1 |  |
 | Invoice 101 |  |
 | Invoice 102 |  |
Vendor Totals |  | Incremental Number of Invoices: | 2
Vendor B | 2 |  |
 | Invoice 201 |  |
 | Invoice 202 |  |
 | Invoice 203 |  |
Vendor Totals |  | Incremental Number of Invoices: | 5

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running count and display of records on the same line as totals with a restart

If you want to print the incremental total number of invoices for a vendor at the totals level, and then display the incremental total number of invoices for the next vendor at the totals level, you can use the Counter Increment, Counter Display, and Counter Clear field(s) in the report design as follows:

Vendor record | Counter 1 Increment* | Counter 1 Display* | Counter 2 Clear*
Invoice record | Counter 2 Increment**

Vendor Totals

Incremental Number of Invoices: Counter 2 Display***

Notes:

  • Print Controls = Print once per vendor*
  • Print Controls = Print once per invoice**
  • Print Controls = Print at end of vendor***

In this example, the report prints as follows:

Vendor A

1

 | Invoice 101 |  |
 | Invoice 102 |  |
Vendor Totals |  | Total Number of Invoices: | 2
Vendor B | 2 |  |
 | Invoice 201 |  |
 | Invoice 202 |  |
 | Invoice 203 |  |
Vendor Totals |  | Total Number of Invoices: | 3

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running count and display of records with a restart

If you want to print a running total of invoices for each vendor you can use the Counter Clear field in conjunction with the Counter Increment and Counter Display fields in the report design as follows:

Vendor record | Counter 1 Clear* |
Invoice record | Counter 1 Increment* | Counter 1 Display*

Note: Print Controls = Print once per invoice*

In this example, the report prints as follows:

Vendor A |  |
 | Invoice 101 | 1
 | Invoice 102 | 2
Vendor B |  |
 | Invoice 201 | 1
 | Invoice 202 | 2
 | Invoice 203 | 3

Note Notice that the Counter 1 Clear field re-sets the Counter 1 Increment field equal to 0 each time a new vendor ID is encountered. When the Counter 1 Increment and Counter 1 Display fields are evaluated by the system, a running total of the number of invoices for each vendor is printed next to each invoice.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unconditional page break system field examples

  • PM Open Item Statement – On the final page of each tenant's statement you could print the phrase, "Please pay by due date to avoid late charges". For multiple page statements, the phrase, "…continued", could be printed at the bottom of pages preceding the final page.
  • JC Subcontract document – In a multiple page subcontract document you could print the phrase, "Please invoice in triplicate" in the heading on the first page only. In the footer of the last page of each subcontract, you might print the terms and conditions of purchase text.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Aging Basis detail

Aging Basis – the date on the transaction record compared to the Aging As Of Date. Options are Invoice Date, Accounting Date, or Due Date.

The following dates are used as the Aging basis for different transaction types when you select Invoice Date, Accounting Date or Due Date as the Aging Basis.

Aging Basis | Transaction Type | Date from the transaction record used as Aging Basis
Invoice Date | Issued Invoice or Invoice | Status Date
Invoice Date | Cash Receipt or Cash Receipt Adjustment | Deposit Date
Invoice Date | Invoice Adjustment and Adjustment Type of Not Used | Status Date
Invoice Date | If none of the above for Invoice Date, then | Reference Date
Accounting Date | Any | Accounting Date
Due Date | Any | Due Date

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Detail Exists As Of function

Use to determine whether or not a contract has non-zero detail items as of a specific date. This function is used in a formula that is used with conditional print areas. It prints a contract and description when the contract total is zero, but individual detail lines are not zero. The level of detail examined is determined by the Unpaid Only parameter.

This function is available for selection from the AR – Functions index when you create a new Design Formula using the Formulas command (Tools menu). Use it with contract aging and statement reports that use the Accounts Receivable transaction file as the "Process all" record (Design menu – Sort Order). The Activity.ARA file must also be included in the report design.

Syntax

Contract Detail Exists As Of(Contract, Customer, Aging As Of Date, Aging Basis, Unpaid Only)

Parameters

Contract – the Contract ID.

Customer – the Customer ID.

Aging As Of Date – the date used to compare and determine whether records are included in the accumulation. Use a date field or enter a specific date using NEWDATE(mmddyy).

Aging Basis – the date on the transaction record compared to the Aging As Of Date. Options are Invoice Date, Accounting Date, or Due Date. The transaction type may affect which date on the transaction record is used. How?

Unpaid Only – Yes or No. If Yes, then determine if the contract has non-zero detail when summarized to the status level. If No, then determine if the contract has non-zero detail when summarized to the activity level.

Return

True (1) if true; False (0) if false

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Detail Exists As Of function example

The AR Aging Detail by Contract report contains the Contract Detail Exists As Of function. The function is included in the Suppress Cont CND Design formula. The Suppress Cont CND formula is applied as a conditional print area for the contract, contract description, and contract total fields in the report design.

Suppress Cont CND = Customer Detail Exists As Of(Contract [AR Transaction], Customer [AR Transaction], Aging as of Date [prompt], Aging Basis [prompt], Unpaid Only [prompt])

Example of the formula using hard-coded values rather than prompts for the Aging Basis and Unpaid Only parameters:

Suppress Cont CND = Customer Detail Exists As Of(Contract [AR Transaction], Customer [AR Transaction], Aging as of Date [prompt], "Accounting Date", Yes)

Without this function, the report prints lines of customer detail that net to zero without the Contract ID and description.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer Detail Exists As Of function

Use to determine whether or not a customer has non-zero detail items as of a specific date. This function is used in a formula that is used with conditional print areas. It prints a customer ID and name when the customer total is zero, but individual detail lines are not zero. The level of detail examined is determined by the Unpaid Only parameter.

This function is available for selection from the AR – Functions index when you create a new Design Formula using the Formulas command (Tools menu). Use it with customer aging and statement reports that use the Accounts Receivable transaction file as the "Process all" record (Design menu – Sort Order). The Activity.ARA file must also be included in the report design.

Syntax

Customer Detail Exists As Of(Customer, Aging As Of Date, Aging Basis, Unpaid Only)

Parameters

Customer – the Customer ID.

Aging As Of Date – the date used to compare and determine whether records are included in the accumulation. Use a date field or enter a specific date using NEWDATE(mmddyy).

Aging Basis – the date on the transaction record compared to the Aging As Of Date. Options are Invoice Date, Accounting Date, or Due Date. The transaction type may affect which date on the transaction record is used. How?

Unpaid Only – Yes or No. If Yes, then determine if the customer has non-zero detail when summarized to the status level. If No, then determine if the customer has non-zero detail when summarized to the activity level.

Return

True (1) if true; False (0) if false

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer Detail Exists As Of function example

The AR Aging Detail by Customer report contains the Customer Detail Exists As Of function. The Aging As Of Date, Aging Basis and Unpaid only parameters are prompts in this report design. The function is included in the Suppress Cust CND Design formula. The Suppress Cust CND formula is applied as a conditional print area for all customer fields in the first row and for customer totals in the third row of the report design.

Suppress Cust CND = Customer Detail Exists As Of(Customer [AR Transaction], Aging as of Date [prompt], Aging Basis [prompt], Unpaid Only [prompt])

Example of the formula using hard-coded values rather than prompts for the Aging Basis and Unpaid Only parameters:

Suppress Cust CND = Customer Detail Exists As Of(Customer [AR Transaction], Aging as of Date [prompt], "Accounting Date", Yes)

Without this function, the report prints lines of customer detail that net to zero without the Customer ID and name.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Detail Exists As Of function

Use to determine whether or not a job has non-zero detail items as of a specific date. This function is used in a formula that is used with conditional print areas. It prints a job and description when the job total is zero, but individual detail lines are not zero. The level of detail examined is determined by the Unpaid Only parameter.

This function is available for selection from the AR – Functions index when you create a new Design Formula using the Formulas command (Tools menu). Use it with aging and statement reports that use the Accounts Receivable transaction file as the "Process all" record (Design menu – Sort Order). The Activity.ARA file must also be included in the report design.

Syntax

Job Detail Exists As Of(Job, Customer, Aging As Of Date, Aging Basis, Unpaid Only)

Parameters

Job – the Job ID.

Customer – the Customer ID.

Aging As Of Date – the date used to compare and determine whether records are included in the accumulation. Use a date field or enter a specific date using NEWDATE(mmddyy).

Aging Basis – the date on the transaction record compared to the Aging As Of Date. Options are Invoice Date, Accounting Date, or Due Date. The transaction type may affect which date on the transaction record is used. How?

Unpaid Only – Yes or No. If Yes, then determine if the contract has non-zero detail when summarized to the status level. If No, then determine if the contract has non-zero detail when summarized to the activity level.

Return

True (1) if true; False (0) if false

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Detail Exists As Of function example

The AR Aging Detail by Job report contains the Job Detail Exists As Of function. The function is included in the Suppress Job CND Design formula. The Suppress Job CND formula is applied as a conditional print area for the job, job description, and job total fields in the report design.

Suppress Job CND = Job Detail Exists As Of(Job [AR Transaction], Customer [AR Transaction], Aging as of Date [prompt], Aging Basis [prompt], Unpaid Only [prompt])

Example of the formula using hard-coded values rather than prompts for the Aging Basis and Unpaid Only parameters:

Suppress Job CND = Detail Exists As Of(Job [AR Transaction], Customer [AR Transaction], Aging as of Date [prompt], "Accounting Date", Yes)

Without this function, the report prints lines of job detail that net to zero without the job ID and description.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of Accounts Receivable Formula Functions

Customer Detail Exists As Of

Contract Detail Exists As Of

Job Detail Exists As Of

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Balance as of – example

To find the bank balance for Bank ID FirstAP, on June 1, 1999, use this function:

Bank Balance as of ("FirstAP", NEWDATE(06011999))

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Balance as of function

Use to return the bank balance as of a specific date.

Syntax

Bank Balance as of (Bank ID, Date)

Parameters

Bank Account – Bank ID

"As of" Date – Cleared date

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cash Balance as of - example

To find a cash account balance for Bank ID FirstAP, GL Cash Account 10-1001.10, on June 1, 1999, use this function:

Cash Balance as of ("FirstAP", "10-1001.10",NEWDATE(06011999))

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cash Balance as of function

Use to return the GL cash account balance as of a specific date.

Syntax

Cash Account as of (Bank Account, GL Account, Date)

Parameters

Bank Account - Bank ID

GL Cash Account - Cash account for which you want to find the balance.

"As of" date, - Accounting date

Return

Numeric with 2 decimal places.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of Cash Management formula functions

Bank Balance as of function — returns the bank balance as of a specific date.

Cash Balance as of function — returns the GL cash account balance as of a specific date.

Register Balance as of function — returns the register balance as of a specific date.

Running Register Balance function — returns the register balance as of a specified transaction.

Running GL Cash Account Balance

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Register Balance as of - example

To find the register balance for Bank ID, "FirstAP", on June 1, 1999, use this function:

Register Balance as of ("FirstAP", NEWDATE (06011999))

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Register Balance as of function

Use to return the register balance as of a specific date.

Syntax

Register Balance as of (Bank ID, Date)

Parameters

Bank Account - Bank ID

"As of" date - Reference date

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running Register Balance - example

To find the running balance for bank FirstAP, per transaction, use this function:

Running Register Balance("FirstAP", Run, Sequence).

This function returns the register balance for each transaction.

Bank Account | Check Number | Amount | Balance
FirstAP | 101 | $100.00 | $1200.00
FirstAP | 102 | $49.99 | $1150.01
FirstAP | 103 | $30.00 | $1120.01

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running GL Cash Account Balance

Use to return the cash account balance as of a specified transaction. Use instead of the Cash Balance as of application formula function when you need the cash account balance returned more than once per bank.

Syntax

Running GL Cash Account Balance (Bank Account, Transaction Run, Transaction Sequence, Cash Detail Run, Cash Detail Sequence)

Parameters

Bank account - Bank ID

Transaction Run - Transaction run number

Transaction Sequence - Transaction sequence number

Cash Detail Run'

Cash Detail Sequence

Return

Numeric with 2 decimal places.

Records used by the formula

CM-Bank Account

CM-Gl Cash Account Balance

CM-Cash Detail Record

Warning If you apply conditions to any report or inquiry containing this application formula function, we recommend that you condition on only the GL Cash Account. Date and other conditions may not produce accurate results.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running GL Cash Account Balance example

To find the running balance for the GL cash account for FirstAP, per transaction, use this function:

Running GL Cash Account Balance(Bank Account, Transaction Run, Transaction Sequence, Cash Detail Run, Cash Detail Sequence).

This function returns the cash account balance for each transaction.

Bank Account | Trans. Amount | Balance
FirstAP 1 | $100.00 | $1200.00
FirstAP 2 | $49.99 | $1150.01
FirstAP 3 | $30.00 | $1120.01

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Running Register Balance function

Use to return the register balance as of a specified transaction. Use instead of the Register Balance as of application formula function when you need the register balance returned more than once per bank.

Syntax

Running Register Balance (Bank ID, Run, Sequence)

Parameters

Bank account - Bank ID

Run – Transaction run number

Sequence – Transaction sequence number

Return

Numeric with 2 decimal places.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals

Use to select the levels at which totals print and to determine how much detail is printed, where grand totals print, and various other aspects of totaling. See Creating report totals for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Line Spacing

Use to control the spacing between items in each group that prints in the report. See Changing line spacing for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Group Page Breaks

Use to set when page advances occur during report printing. See Determining group page breaks for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sort Order

Use to control the order in which information appears on your report. See Setting or changing sort orders for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditions

Use to set up or edit conditions for the report design. See Setting report conditions for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Controls

Use to change print controls. See Setting print controls for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt Windows - Required

Use to create or change custom, required prompt windows for the entry of field values and display of text at report print time. See Creating report prompts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt Windows - Optional

Use to create custom data fields and text that are not mandatory. See Creating report prompts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Data File Selection

Use to store file selections in the design file and bypass file type selection at print time. For unnamed files, you can select one to three data file types for each record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Notes

Use to enter or edit miscellaneous information regarding the design such as the purpose of the report or contact information. See Adding and changing design notes for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Controls window

Use to change the print controls for the field selected in the design.

Sort orders (definition)

Groups (definition)

Print control examples

Setting print controls

Items In This Window

Print once per

Select the print control which best fits your needs for the selected object. The print control options available for a design are dependent on the design contents. You always have the option of having report information print only at the end of the report or once for every page, but the remaining choices are dependent on the groups being used in your design. Groups are used throughout Report Designer to identify and organize the various levels of data within the design.

  • For example, if you are creating a standard Accounts Payable invoice report, your options in the Print once for every field would be Vendor and Invoice Record, because Vendor and Invoice are the groups the software establishes for that type of report design. Print on every page and Print at end of report are also available options.
  • When the Print Controls window opens, the active control for the selected object is highlighted. If you select a block that contains a mixture of print controls, Report Designer alerts you by highlighting Mixed print controls on the list. Mixed print controls is not a valid print control selection. Its purpose is informational only.

Reprint when the group is continued on a new page

If you want the selected value or values to be repeated if the group information continues onto a new page, mark this box. For example, if you are printing the vendor name and address once for each vendor as a line above the invoice detail, and you mark the Reprint when the group is continued on a new page box, the vendor name and address repeat on the new page if the invoice information continues on to a new page. If you do not mark the box, invoices print on the new page without the vendor name and address. This box is available only for group print controls.

  • There are situations when the Reprint when the group is continued on a new page option is not needed and it is unavailable. This occurs for print controls for the lowest group because this information automatically continues to the next page if a page break is needed.
  • Reprint when the group is continued on a new page is unavailable when you select the print control option Print on every page or Print at end of report. These options already contain page controls.

Print at end of group

Mark this box to print the report field selected at the end of the group level specified in the Print Controls window.

For example, to print the Retainage Balance at the end of each job in the Job Cost Receivable Aging by Invoice as of Accounting Date report, you would select the following options in the Print Control window:

  • Select Print once per job.
  • Mark the Print at end of group box (for example, to print the Retainage Balance as part of each job).

Print as part of total

Mark this box to print the report field selected as part of the group total level specified in the Print Controls window. This option works in association with options selected in the Totals window (Design menu) by assigning attributes of a total field to the report field selected.

Example #1

If you:

Mark the Print as part of total box (Design menu, Print Controls), and mark the Drop the total if only one group prints box (Design menu, Totals).

The report field selected:

Prints only when there are two or more detail records above the group level.

Example #2

If you:

Mark the Print as part of total box (Design menu, Print Controls), and do not mark the Drop the total if only one group prints box (Design menu, Totals).

The report field selected:

Prints regardless if there is only one detail record.

Example #3

If you:

Do not mark the Print as part of total box (Design menu, Print Controls), and mark the Drop the total if only one group prints box (Design menu, Totals).

The report field selected:

Prints regardless if there is only one detail record. Other total fields with Print as part of total marked would not appear when there is only one detail record.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Notes window

Use to enter or edit design notes for the report design. At the bottom of this window are the Statistics that provide the following design information:

  • File Name: — Displays the complete filename, including directory and path.
  • Created: — Displays the date and time the design was first created.
  • Last saved: — Displays the date and time the design was last saved.
  • Last saved by: — Displays the Operator ID (name) of the person who last saved the design. This field is filled in only if Security Administration is on.

Items In This Window

Description

Enter a description (up to 60 characters) of the design.

Author

Enter the name of the person (up to 30 characters) entering the design notes, or the person who entered the design. If Security Administration is on, this field prefills with the operator ID (name) of the operator who created the design.

Comments

Enter any comments that apply to this design. Design notes can hold any type of miscellaneous information you wish. Some suggested uses are:

  • An explanation of the purpose of the report.
  • A description of when to print the report.
  • Contact information.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Line Spacing window

Use to select the line spacing between items in a group. Although you can see the results of changes to the Line Spacing controls by looking at a printed report, changes to Line Spacing are not reflected in the layout of the design on the design window. This is because Line Spacing affects the spacing between occurrences of a group on the report, whereas the design layout provides a template for how the group information appears.

Groups (definition)

Changing line spacing

Setting or changing sort orders

Items In This Window

Line spacing between

Select the line spacing option for each group that displays. Default spacing is assigned by Report Designer based on the most common choice for each group. Options are:

  • Single — Single-space between items within the group.
  • Double — Double-space (leave a blank line) between items within the group.
  • Triple — Triple-space (leave two blank lines) between items within the group.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals window

Use to specify totaling attributes for the report.

Items In This Window

Total Levels

To control the totals that print on the report and whether you want to print grand totals, mark the box(es) next to the desired total level description(s). The level value for each box is determined by the groups in your design. The boxes can be marked in any combination.

As the report prints, it accumulates a total for each value in the group. When the value changes, the total is printed, and the next value in the group prints. For example, if you are printing an invoice distribution report by vendor, and mark the Total Levels boxes for Vendor Totals and Invoice Totals, you get a total for each invoice and then a total of the invoices for each vendor.

Tip: If you plan to do extensive editing of a design, you might want to unmark all of the Totals Levels boxes. This removes the totals fields from the design area, leaving more room for design work. When you are finished editing and have finalized the sort order, select Totals from the Design menu to add the total fields back into the design.

Summary Level

If you want to print the total for a group but do not want the detail to print, select the level of detail that you want summarized. The content of the Summary Level list is determined by the groups in your design.

  • If you choose to summarize for a group, you can select only total levels above that group. The Total Levels boxes for the summarized group, and any groups below it, are unavailable.
  • If the group you want to summarize by is not available, use Sort Order from the Design menu to change your sort order to make that group available.
  • You can also summarize non-numeric fields by using Print Controls from the Design menu to change the print control to above the summarized level so that the first value in the field displays.

Summarization example

There are three invoice amounts to print. On the left, the invoice detail and the total is shown. On the right, the invoices have been summarized.

Without Summarization | With Summarization
10.25 | 72.75
20.00 |
42.50 |
72.75 |

Total Indicator

Select how you want to control the printing of totals:

  • Single asterisk - Print a single asterisk after each total amount.
  • No asterisk - Does not print asterisks after each total amount.
  • Overlines - Prints a line above each total amount.

The design area display is not affected by your selection in this field. Total fields in the design area always display with two asterisks to help identify total fields readily.

Drop the total if only one group prints

To have Report Designer drop the total if there is only one item in the total, mark this box.

The example that follows illustrates how totals print with the box marked or unmarked.

Drop Totals (box unmarked) | Drop totals (box marked)
10.00 | 10.00
15.00 | 15.00
25.00 | 25.00
5.00 | 5.00
5.00 |
15.00 | 15.00
18.00 | 18.00
33.00 | 33.00

Drop the total if only one group prints example

The example that follows illustrates how totals print with the box marked or unmarked.

Drop totals (box unmarked) | Drop totals (box marked)
10.00 | 10.00
15.00 | 15.00
25.00 | 25.00
5.00 | 5.00
5.00 |
15.00 | 15.00
18.00 | 18.00
33.00 | 33.00

When total prints, include higher levels

To have the system apply "drop totals" only to the first total level that prints, mark this box. Drop the total if only one group prints must be marked for this item to be available.

Start grand totals on a new page

To have the page advance before it prints grand totals, mark this box. If you unmark the box, and you include Grand Totals in the Total Levels field, grand totals print immediately after the last detail information.

Only print grand totals

To have the detailed information for the report dropped so that only the grand totals and report headings print, mark this box. Unmark the box to print detail. The default is unmarked.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sort Order window

Use to set sort orders for specific records.

About using accumulating functions with custom sort orders

Processing multiple records (definition)

Sort orders (definition)

Entering custom sorts

Setting or changing sort orders

Items In This Window

Process all

Select a primary record from the list if more than one record was used in the design. Because the report is processed based on the primary record, this field affects the amount of information included on your report. If you are unsure of the primary record to select, refer to About processing multiple records clarification.

Sort Order

Select from the list the sort order for the primary record name displayed to the left. The standard sort orders for the primary record display as well as the custom sort order, if one has been entered for the design. When printing a report, custom sorts generally take longer than standard sorts because you cannot take advantage of the sort keys already present in the file. However, you might not notice any time difference unless you have large data files, or if you include several different records in the sort.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Custom sort]

Opens the Custom Sort Order window to create a custom sort order.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Group Page Breaks window

Use to select how you want page breaks to occur for this design from the two option lists that display. The contents of the lists are determined by the groups that are included in the current design. You can use one or both types of page breaks in a design. The software automatically breaks at the end of a page to reprint headings and leave margins according to the controls you have established in the design. In addition to these automatic page breaks, you can assign page breaks by groups.

Tip: If a group is not available to break on, change the sort order using Sort Order from the Design menu to make it available.

Groups (definition)

Determining group page breaks

Group page break examples

Setting or changing sort orders

Items In This Window

Unconditional Page Break

An unconditional group page break is similar to a hard page break which advances the page at predetermined points in the document or report. However, with an unconditional page break, the page advance is based on the data that is printing rather than on a location in the document. For example, if you assign an unconditional group page break to the Vendor Record, the paper advances each time a new value in Vendor is encountered. As a result, the information for the individual vendors is printed on separate pages.

Select No unconditional page break to not use unconditional page breaks for this design, or select a group from the list to trigger a page advance whenever the value in the group changes.

Conditional Page Break

A conditional group page break is similar to an unconditional page break except that before the page advances, Report Designer checks to see if the amount of data that is to be printed for the next value within the group fits on the current page. If it fits, the paper does not advance, and the information prints on the current page. If all of the information for the next value within the group does not fit on the current page, the paper advances to a new page before printing. In many circumstances, this makes the report more readable because group information is not split between two pages. If the information for the next value within the group needs more than a page, the page advances before printing any information for the new value, then prints for as many pages as are needed.

Select No conditional page break if you do not want to use conditional page breaks in the current design. Otherwise, select the group on which you want to base conditional page breaks. Whenever the value in that group changes during printing, Report Designer checks to see if there is sufficient room on the current page to include all of the report information for that group. If there is no room, the page advances before the information is printed.

Reset page number when the page breaks

To reset the page number to the beginning page number after every page break, mark this box. This field is unavailable until a page break is selected from Unconditional Page Break. The beginning page number is specified in the Print Options window.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Custom Sort Order window

Use to create and modify custom sort orders through the use of a sort list. When you print a report where a custom sort order is used, Report Designer sorts the report information according to the fields and formulas you entered on the sort list. It sorts first by the first field on the list, then where the values in the first sort are the same, by the second field, and so on until the information is in the precise order you specified.

For example, if you sort a vendor invoice report by Vendor, and then by Amount Paid, the invoices print in vendor number order. However, where two or more invoices have the same vendor number, those invoices are sorted by the amount paid within the vendor.

Note: Because custom sort options are determined in part by your selection in Process all, any custom sort information you might have entered is deleted if you change the Process all record.

About using accumulating functions with custom sort orders

Processing multiple records (definition)

Sort orders (definition)

Entering custom sorts

Accessing the field list

Setting or changing sort orders

Items In This Window

Item list

Select from the list of items available for use in creating or modifying the custom sort.

[Index]

Opens the Index window to display different items for selection.

[Find]

Provides a place for you to enter the name (or part of the name) of the item for which you are searching.

[Prev]

Selects the previous occurrence of the entered characters.

[Next]

Selects the next occurrence of the entered characters.

[Order]

Opens the Field Order window to change the display order of the listed items.

Sort list

As sort fields, formulas, and prompts are selected from the Item list, they display in order on the sort list. If you select more than four fields, the sort list scrolls down, allowing you to select up to 15 fields for sorting.

  • Each field selected can be sorted in either ascending or descending order. For numeric fields, ascending order is lowest to highest. For alpha fields, ascending order is numbers then letters alphabetically.
  • If you enter a custom sort order that yields the same report results as one of the standard sort orders, a warning displays when you accept the Custom Sort Order window and asks Do you want to use the standard order? You can either choose to use the custom sort order you entered (answer No to the question), or you can delete it and select one of the standard sort orders (answer Yes).
  • Even though the custom sort might not be identical to one of the standard sort orders (there might be more elements in one of the standard sorts, or the custom sort might contain some redundancies such as sorting by Check number and then by Check Date), the standard sort order achieves the same report results more efficiently than the custom sort order.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Erase last]

Deletes the last selection on the sort list. If you need to change a selection above the last field, use [Erase last] to work your way back up the list, then reselect the fields in the proper order.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Required Prompt window

Use to create, edit, delete, and position custom prompt fields and text. This window opens with a default size of 3 rows by 72 columns. However, you can change the size of this window.

  • A Report date field automatically displays in this window. It can be used as is, edited, moved to another location, or deleted. A warning message displays if you attempt to delete or change the type for Report date if it is being used in the page heading or elsewhere in the report design.
  • Because only one Report date field is allowed per design, the Report date box, which displays in the Prompt Field Contents window when Date is selected as the Type, is unavailable.

Prompt windows (definition)

Changing prompt fields and text

Changing the prompt window size

Creating report prompts

Deleting prompt fields and text

Moving prompt fields and text

Items In This Window

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Select/Create]

Selects an existing prompt field or text to edit, delete, or move, or creates a new one. A small box displays in the window indicating the placement of the selection.

[Test]

Opens a copy of the Print Selection window as it appears at print time, and contains the prompt fields you designed. One exception is initial values coming from a header field. Since no data files are available at design time, fields with a header field initial value do not have an initial value. Otherwise, fields should have the same attributes you created them with.

You can enter test entries in each prompt field. Click either [Start] or [Cancel] to return to the Required Prompt window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Optional Prompt window

This window is similar to the Required Prompt Window except that the optional prompt fields and/or text do not display at the top of the Print Selection window. Instead, they display in a window which opens when [Options] in the Print Selection window is clicked. The default title of this window is Options, but the title can be changed.

With a default size of 16 rows by 76 columns, this window provides more window space than the Required Prompt Window. You can change the size of this window if necessary. Because of its larger window size, an optional prompt window might be used as an extension of a required window.

Note: [Options] does not display in the Print Selection window unless an Optional Prompt Window exists.

Prompt windows (definition)

Changing prompt fields and text

Changing the prompt window size

Creating report prompts

Deleting prompt fields and text

Moving prompt fields and text

Items In This Window

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Select/Create]

Displays a small box in the Optional Prompt window indicating the placement of a new field or text. Click the box or [OK] to open the Prompt Options window to continue setting up the field or text.

[Test]

Opens the Options window where you can view and test the prompt fields you designed.

[Sequence]

Opens the Field Processing Sequence window to set the sequence of the prompt field entries for processing.

[Title]

Opens the Title window to change the name of the Options window which opens when [Options] is clicked in the Print Selection window.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Text Contents window

Use to create text to be displayed in a prompt window at report print time. Possible uses are:

  • Identify the purpose of the report.
  • Clarify information printed on the report.
  • Instruct the operator how to complete the prompt window.
  • Remind the operator of steps to be completed before and after printing the report.

Prompt windows (definition)

Creating report prompts

Items In This Window

Text

Enter a text string (up to 75 characters) to display in the prompt window. Multiple-line text paragraphs cannot be wrapped from one line to the next. Each line must be entered as a separate text prompt.

Halftone

To have the text appear in gray, mark this box.

Bold

To have the text appear in bold type, mark this box.

Compressed

To have the letters in the text appear condensed together, mark this box.

Double

To have the letters in the text appear twice as wide as normal, mark this box.

Italic

To have the text appear in italic type, mark this box.

Fixed

To have each letter in the text take up the same amount of space, mark this box.

Justification

Select how the text is to be aligned. Options are:

  • Left - Justify entries to the left.
  • Right - Justify the entries to the right.

Color

Select the color for the text. There are 17 colors available, or you can assign the text the same color as one of the three following desktop color scheme options:

  • Normal - gives the text the same color as the Window Text color selected for your desktop.
  • Static - gives the text the same color as the Button Text color selected for your desktop.
  • Frame - gives the text the same color as the Window Frame color selected for your desktop.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt Options window

Use this window to select whether you want to create a prompt field or prompt text.

Prompt windows (definition)

Creating report prompts

Items In This Window

Prompt options

Select the type of prompt field you want to create. Options are:

  • Create field - Select this option to open the Prompt Field Contents window.
  • Create text - Select this option to open the Text Contents window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Required Prompt Window - Print Selection Test window

Use this window to test and preview the required prompt field(s) you set up in the Required Prompt window.

Prompt windows (definition)

Creating report prompts

Items In This Window

[Start]

Accepts the entry or entries made in the test prompt field(s) and returns you to the Required Prompt window. If the entry or entries in the test field(s) do not meet the requirements specified in the Prompt Field Contents window for each required prompt field, a message displays indicating the error.

[Cancel]

Closes this window without accepting any of the current entries.

[Print Preview]

This option is not available in the Required Prompt Window - Print Selection Test window.

[Help]

Starts Help and displays information about this window.

[Printer Setup]

This option is not available in the Required Prompt Window - Print Selection Test window.

[Page Setup]

This option is not available in the Required Prompt Window - Print Selection Test window.

[Ranges]

This option is not available in the Required Prompt Window - Print Selection Test window.

[Conditions]

This option is not available in the Required Prompt Window - Print Selection Test window.

[Sequence]

Opens the Field Processing Sequence window to set the sequence of the prompt field entries for processing.

[Help]

Starts Help and displays information about this window.

[Edit]

Opens the Prompt Field Contents window or the Text Contents window, depending on the type of custom prompt highlighted, allowing you to edit that field.

[Delete]

Removes the custom prompt from the window.

[Move]

Moves the custom prompt to a new location in the window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Initial Value - Field window

Initial Value – Field window

Select an item in the list to prefill the prompt field at print time. Only those items whose format matches the Type field appear in the list.

Prompt windows (definition)

Creating report prompts

Finding items in a list

Items In This Window

Item list

Select from the list of items available for use in creating or modifying the prompt field.

[Index]

Opens the Index window to display different items for selection.

[Find]

Provides a place for you to enter the name (or part of the name) of the item for which you are searching.

Find entry

Enter the name (all or part of the name) of the item for which you are searching.

[Prev]

Selects the previous occurrence of the entered characters.

[Next]

Selects the next occurrence of the entered characters.

[Order]

Opens the Field Order window to change the display order of the listed items.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefill window

Use to select a field from one of the records you are using in your design to use as the default setting on your own custom prompt window. The attributes associated with the field selected are automatically filled in on the prompt window.

Prompt windows (definition)

Creating report prompts

Items In This Window

Item list

Select from the list of items available for use in creating or modifying the prompt window.

[Index]

Opens the Index window to display different items for selection.

[Find]

Provides a place for you to enter the name (or part of the name) of the item for which you are searching.

Find entry

Enter the name (all or part of the name) of the item for which you are searching.

[Prev]

Selects the previous occurrence of the entered characters.

[Next]

Selects the next occurrence of the entered characters.

[Order]

Opens the Field Order window to change the display order of the listed items.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Processing Sequence window

Use to set the sequence of the prompt field entries for processing.

Items In This Window

By Row, By Column

Select how you want the prompt fields to be sequenced for processing.

  • By Row — Prompt fields are entered left to right by row, starting with the top row and continuing down the window.
  • By Column — Prompt fields are entered by column top to bottom, starting with the first column on the left and continuing with the following columns to the right.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt Field Contents window

Use this window to create a prompt field. There are eight types of prompt fields available to place on the custom prompt window. The possible field types are:

Text Time

Numeric Phone Number

Check Box Social Security Number

Date Drop-down List Box

Note: The fields that display in this window depend on the type of field selected.

Tip: To copy the attributes of a field that already exists in the database, use [Prefill].

Prompt windows (definition)

Creating report prompts

Items In This Window

Description

Enter a description of up to 25 characters for the field being created. This description appears in the list under the Prompt Fields group. Duplicate descriptions are not allowed.

Type

Select the type of prompt field you are creating. The fields on the right side of the Prompt Field Contents windows change according to the type you select. Options are:

Text Time

Numeric Phone Number

Check Box Social Security Number

Date Drop-down List Box

Initial Value

Select the initial value of the field. Options are:

  • None — When the prompt field displays, it is empty if it is an entry field. If it is a list, the first item is highlighted.
  • Field — Choosing this option opens the Initial Value - Field window which contains a list of field choices to use as the initial value. The name of the selected field is displayed next to the word Field in this option. At print time, the value of the selected field is obtained and placed in the prompt field.
  • Constant — This selection makes Value available which is displayed to the right. Before you are able to enter a value as the initial value to display at print time, you must first enter a value in Size.

Value

Enter a value to display for this prompt field at print time. You must select Constant under Initial Value in order for the field to be available.

Use description as field prompt

To use the Description contents as the prompt for the field, mark this box. Leave the box unmarked to omit a prompt.

When you select Prompt Fields in field selection lists, the field description is always used as the field name whether or not this box is marked.

Size (Text type)

Enter the length of the prompt field. This is the actual field size in the prompt window.

Max characters (Text type)

Enter the maximum number of characters that can be entered in the Text field. The maximum number of characters can be larger than the value in size. The field scrolls to accommodate the additional characters. If left blank, the Size field determines the maximum characters.

Required entry (Text type)

If an entry in this prompt field is mandatory, mark this box.

Capitals (Text type)

If the characters in the text field should display in upper case, mark this box.

Name field (Text type)

If the prompt field is to be used to enter names, mark this box. Names entered in the last, first format are switched to display as first, last on the printed report.

Justification (Text type)

Select the justification (alignment) of characters entered in the Text field. Options are:

  • Left — Justify entries to the left.
  • Right — Justify entries to the right.

Number of digits (Numeric type)

Enter the total number of digits allowed in the field. The actual field size is increased automatically if the field is signed, has commas, or has decimals.

Required entry (Numeric type)

If an entry in this prompt field is mandatory, mark this box.

Signed (Numeric type)

If negative values are allowed, mark this box.

Commas (Numeric type)

If commas can be entered and displayed in the field, mark this box.

Disallow zero (Numeric type)

If you do not want to allow a value of zero to be entered in the prompt field, mark this box. This option does not prevent the operator from leaving the field blank unless the Required entry box is marked.

Leave blank if zero (Numeric type)

If the field should be considered blank if a zero is entered, mark this box. This option has no effect if the Disallow zero box is marked.

Decimal places (Numeric type)

Enter the number of digits that you want to allow after the decimal point. The Range of entry values setting is unavailable if Decimal places are used.

Range of entry values - From (Numeric type)

Enter a From value (up to three digits) to establish a beginning for a range of numbers that can be entered for this numeric prompt field. The number must be positive and contain no punctuation. If Decimal places are used, this field is unavailable.

  • At print time, if an operator enters a value outside of the range, the error message "Number too small" or "Number too large" displays. The operator is forced to enter a value within the range.
  • If you use the Range of entry values option, it is suggested that your Description include the valid range. For example, your Description might read "Enter a code (101-106)."

Range of entry values - To (Numeric type)

Enter a To value (up to three digits) to establish an ending for a range of numbers that can be entered for this numeric prompt field. The number must be positive and contain no punctuation. If Decimal places are used, this field is unavailable.

  • At print time, if an operator enters a value outside of the range, the error message "Number too small" or "Number too large" displays. The operator is forced to enter a value within the range.
  • If you use the Range of entry values option, it is suggested that your Description include the valid range. For example, your Description might read "Enter a code (101-106)."

Required entry (Date type)

If an entry in this prompt field is mandatory, mark this box.

Date entry format (Date type)

Select the date format to use. The format selected determines the size of the field. The separator characters ( - or / ) are determined by the selection made for Date format on the General tab (Tools menu, Options). Separator characters can be entered or omitted when the date is entered at print time. However, they always display and print. Options are:

  • 12-31-99 — Displays the date with two digits each for the month, day, and year.
  • 12-31-1999 — Displays the date with two digits each for the month and day, and four digits for the year.
  • 12-31 — Displays the date with two digits each for the month and day.
  • 12-99 — Displays the date with two digits each for the month and year.

Report date (Date type)

If the field is to be used as the Report date, mark this box. This field appears is unavailable if a Report date already exists. Only one Report date prompt field is allowed per design. The Report date is special in that it automatically appears in the page heading when the Report date box is marked on the Page Heading tab (Tools menu, Customize).

Required entry (Time type)

If an entry in this prompt field is mandatory, mark this box.

Time entry format (Time type)

Select the time format to use. The format selected determines the size of the field. Options are:

  • 23:59 — Displays the time with two digits each for hours and minutes.
  • 23:59:59 — Displays the time with two digits each for hours, minutes, and seconds.

Time type

Select the type of time the entry in the field represents. Options are:

  • Time of day — Represents the time of day.
  • Elapsed time — Represents the time as elapsed or total time.

Required entry (Phone Number type)

If an entry in this prompt field is mandatory, mark this box.

Phone entry format

Select the format to use for the entry of a telephone number. The format selected determines the size of the field. Options are:

  • 999-9999 — Displays the telephone number with the exchange number separated from the line number with a hyphen.
  • 999-999-9999 — Displays the telephone number with the area code, separated from the exchange number with a hyphen.
  • (999)999-9999 — Displays the telephone with the area code enclosed in parenthesis.

Required entry (Social Security Number type)

If an entry in this prompt field is mandatory, mark this box.

Item (Drop-down List Box type)

Enter an item name (up to 25 characters) to display in the drop-down list box prompt field. Press [Enter] to move your entry into the Item list below and clear Item for another entry. Continue adding item names until you have completed the entries. The items you enter here determine the contents of the drop-down list box.

  • If you want your drop-down list to be the same as the list used by a field, use [Prefill], and select that data field name. The drop-down list for your prompt field is prefilled with the list from the selected field. The items you enter in this field determine the contents of the drop-down list box.

Item list (Drop-down List Box type)

Displays each item name entered in Item.

[Erase last]

Removes the last entry in the Item list above.

List box rows

Enter the number of rows the drop-down list box displays when opened. If the number of lines exceeds the space available on the screen, fewer lines display. The scroll-bar in the drop-down list box allows access to all of the items in the list.

List box width

Enter the number of characters wide the drop-down list box is to be. If this field is blank, the box is automatically sized based on the longest item entered.

Open list box automatically

To cause the drop-down list box to open automatically when it becomes active, mark this box. Unmark this box to require clicking the down arrow before the box opens.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Prefill]

Opens the Prefill window to allow you to enter default entries for items in this window. When setting up a new prompt window, these items prefill with the information you enter (for this session only).

[List]

Opens the Initial Value Field window which displays a list of available system fields.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Title window

Use to change the title of the Options window that opens when [Options] is clicked in the Print Selection window.

Items In This Window

Window title

Enter your own title for the Options window. You can enter up to 78 characters for a title. The default title is Options.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Options window

Use to view and test the optional prompt field(s) you designed. You can enter test entries in each optional prompt field. Click either [OK] or [Cancel] to return to the Optional Prompt window.

Items In This Window

[Cancel]

Closes this window without accepting any of your entries and returns to the Optional Prompt window.

[OK]

Accepts your current entries and returns to the Optional Prompt window.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Source window

Use to select a field from the original record in order to access the secondary record. This window only opens in Report Designer if there is more than one field on the original record that can be used to access the secondary record.

Items In This Window

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Data File Selection window

Use to specify the file types for the report you are about to print. You can specify more than one file for unnamed files for each record.

Items In This Window

Record

Displays the records included in the report design that require data file selection. Only the records that are found in more than one file type are listed. For example, if you include vendor name and address in the design, AP - Vendor does not display in the Record list because vendor records are found only in the Accounts Payable Master File.

If the design contains more than one record that accesses the same file types, thereby requiring a data file selection, you can select up to three data files for each record. All of the records that share the same data file are listed in the Record list for your reference, but only one is available.

File

As you move the selection bar through the Record list, the options available for the highlighted record display in the File list. For example, if under Record you select GL Transaction, the options in File are New, Current, and History because those are the three types of GL transaction files available. Select when printing also displays as an option in File.

If you accept the Select when printing option for a File, the Data File Selection window opens when you print the report. This option allows you to use one design to print information from a number of file types. If you select other options on the File list, the software automatically uses those file types when you print the report.

If you do not have file selections in the design for all of the records that are accessed when the report is printed, the Data File Selection window opens when you print the report to prompt you for the needed data file information.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Available Fields - Print Selection window

Use to specify the options for printing the list of available fields in the record(s) selected in the Print Available Fields window. This window opens after clicking [OK] in the Print Available Fields window.

Printing available fields

Items In This Window

Include Information for ODBC Reporting?

To include in this report record information that can be used when accessing data via ODBC, mark this box. If you mark this box, the following information prints on the report in addition to the list of available fields for the record(s) selected in the Print Available Fields window.

Included in Header – Record Information

  • File Type
  • Record Number
  • Whether the record can be created via ODBC

Included in Columns – Record Field Information

  • Internal Cryptic Field Name (i.e. from Accounts Payable invoice record; OIVND = Vendor, OIINV = Invoice, OIDESC = Description)
  • Field Code
  • An "X" by fields that are ODBC replaceable. (Note: ODBC replaceable fields must be originally created in the source application. When a field is ODBC replaceable, ODBC can write values to that field, but not directly create it.)

[Printer Setup]

Opens the Printer Setup window to modify printer options before printing. [Printer Setup] displays with asterisks if printer options have been changed.

[Page Setup]

Opens the Page Setup window to modify page options before printing. [Page Setup] displays with asterisks if page options have been changed.

[Cancel]

Closes this window without accepting any of the current entries.

[Start]

Starts printing the list of available fields for the record(s) selected.

[Print Preview]

Opens the Print Preview window to view the pages before printing.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditions (Design menu)

Use to set up or edit conditions for the report design.

Conditions windows

Adding conditions

Changing conditions

Deleting conditions

About comparison operators

Creating an initial condition

Examples of using multiple conditions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditions windows

Adding Condition

Changing Condition

Condition Selection

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Data File Selection (Design menu)

Use to store file selections in the design file and bypass file type selection at print time. For unnamed files, you can select one to three data file types for each record.

Window

Note:

When you select Data File Selection, the Data File Selection window opens only if there are records in the design that require source file selection. Otherwise, a message displays stating "No Data File selections available."

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Notes (Design menu)

Use to enter or edit miscellaneous information regarding the design. Design notes can contain any type of information you might need, such as a clarification of the purpose of the report, how often the report should be run, a reminder to ask someone a question about the report, contact information, and so on. Design notes are attached to the design itself and not the report. When the report prints, the design notes do not print, except on a cover page, if you choose that option.

Window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Group page break examples

The table that follows contains three examples of how you might use group page breaks.

You want | Unconditional Page Breaks To | Conditional Page Breaks To
A separate invoice recap for each vendor. | Vendor |
An invoice recap that doesn't break to a new page midway through an invoice. |  | Invoice record
A separate invoice recap for each vendor that doesn't break to a new page midway through an invoice. | Vendor | Invoice record

If you are using both types of page breaks in a design, the unconditional page break must be based on a group that is higher in the sort order than the group selected for the conditional page break. For example, if you are printing a list of invoices by vendor, you might select Vendor from the Unconditional Page Break list and Invoice Record from the Conditional Page Break list.

The software prevents you from assigning illogical combinations of page breaks by disabling groups in the lists based on your selections.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Group Page Breaks (Design menu)

Use to set when page advances occur during report printing. Because your selections are included in each design file, the page breaks you use can vary from design to design.

Window

Groups (definition)

Determining group page breaks

Group page break examples

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Groups

Groups are established automatically for a report design and used internally by the system to provide a method of organizing data in meaningful ways. Groups are based on sort order, record structure, key fields, and other information used for each design.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Line Spacing (Design menu)

Use to control the spacing between items in each group that prints in the report. You can select whether items in the group are single, double, or triple-spaced. For example, if you are printing an invoice recap by vendor, you might want the individual invoices to be single-spaced, but you might also want a double-space between the last line of information for one vendor and the first line of information for another vendor.

For the purpose of line spacing, totals assigned to groups are considered to be part of the group information. In other words, line spacing comes after the totals for each value in the group. If you want to change the spacing between the detail and the total, use the edit techniques available in the design area.

Window

Note: To set up new default spacing between the detail and total areas, go to the Totals tab from the Tools menu, Customize.

Tip: If the group you want to change spacing for is not available, change the sort order using Sort Order (Design menu) to make it an option.

Groups (definition)

Changing line spacing

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Optional (Design, Prompt Windows menu)

Use to create custom data fields and text that are not mandatory.

Windows

Prompt windows (definition)

Changing prompt fields and text

Changing the prompt window size

Creating report prompts

Deleting prompt fields and text

Moving prompt fields and text

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Optional windows

Optional Prompt

Options

Title

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Controls (Design menu)

Use to change print controls.You only need to change the print controls if you want to override the automatic settings.

Window

Sort orders (definition)

Groups (definition)

Print control examples

Setting print controls

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt field

A prompt field allows the operator to respond to a question, enter values, mark boxes and select a value from lists. Prompt fields appear at print time in the Print Selection window and in the Options window, which is available by clicking [Options] from the Print Selection window. Prompt fields can be used in the report design as report fields and in conditions and formulas.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt text

Prompt text displays in the Print Selection window when the report is printed or in the Options window which is available by clicking [Options] from the Print Selection window. Possible uses include:

  • Identify the purpose of the report.
  • Clarify information printed on the report.
  • Instruct the operator how to complete the prompt window.
  • Remind the operator of steps to be completed before and after printing the report.

Items In This Window

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prompt Windows (Design menu)

Optional

Required

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Required (Design, Prompt Windows menu)

Use to create or change custom, required prompt windows for the entry of field values and display of text at report print time. See Creating report prompts for detailed instructions.

Windows

Prompt windows (definition)

Changing prompt fields and text

Changing the prompt window size

Creating report prompts

Deleting prompt fields and text

Moving prompt fields and text

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Required windows

Field Processing Sequence

Initial Value - Field

Prefill

Prompt Field Contents

Prompt Options

Required Prompt

Required Prompt - Print Selection Test

Text Contents

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sort Order (Design menu)

Use to control the order in which information appears on your report. Although sorting can be a complicated task for the software, Sort Order is easy to use whether you need a simple or a complex sort order. In fact, based on the records and fields selected for the report design, Report Designer automatically determines the most likely sort order for the report while you design it. You do not need to access Sort Order unless you want to modify the order that Report Designer assigned.

Windows

About using accumulating functions with custom sort orders

Processing multiple records (definition)

Sort orders (definition)

Entering custom sorts

Setting or changing sort orders

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sort Order windows

Custom Sort Order

Sort Order

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals (Design menu)

Use to select the levels at which totals print and to determine how much detail is printed, where grand totals print, and various other aspects of totaling. Although you can choose to have Report Designer make many of the totaling decisions based on the contents of your design, Totals allows you to override the automatic totals and select your own.

  • If you mark the Automatically create totals box on the Totals tab (Tools menu, Customize), totals are created as you select fields for the design. However, they can be changed using Totals. If you unmark the Automatically create totals box, you must use Totals to create total fields.
  • When totals are created, they are represented as fields in the design area. Total fields are distinguished from report fields by asterisks that enclose the field name. You can use the same editing techniques for total fields that you use for other report fields.
  • Totals controls the levels of totaling that take place on the entire report. Totals does not control which individual report fields are totaled. To change the totaling for a field, double-click on the field to open the Field Format window and mark or unmark the Total this field? box.

Window

Totals in formulas (definition)

Totals in headers and footers (definition)

Totals in the body section (definition)

Creating report totals

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unable to Read Formulas

If you receive an "Unable to read formula" error message, the following steps may be taken to repair or replace the unreadable formula:

  • The formula can be restored from backup files. Formulas created by the user are stored in the user.frm folder in the Timberline Office directory. (For example, C:\...\Timberline Office\formulas\user.frm)
  • If the formula was user created, it can simply be recreated and stored in the formulas folder under a new name.
  • For additional help, check the knowledgebase or contact Customer Support at (800) 551-8307.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Clear

Use to remove objects from the design area. See Clearing objects for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Move

Use to move objects to a different location in the design area. See Moving objects for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Slide

Use to open or close space in a design row by moving selected objects left or right. See Sliding objects left or right for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete

Use to remove objects from the design area. See Deleting objects for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rows - Insert

Use to add one or more rows in the report design area. See Inserting rows for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rows - Delete

Use to delete one or more rows from the report design area. See Deleting rows for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Columns - Insert

Use to specify the number of columns to insert in the report design. See Inserting columns for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Columns - Delete

Use to specify the number of columns to delete in the report design. See Deleting columns for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Insert Rows window

Use to specify the number of rows to insert in the report design.

Inserting rows

Items In This Window

Enter the number of rows you want to insert.

Enter the number of rows you want to insert in the design area. You can insert up to 99 rows at a time.

[Insert]

Inserts the number of rows specified and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete Rows window

Use to specify the number of rows to delete in the report design.

Deleting rows

Items In This Window

Enter the number of rows you want to delete.

Enter the number of rows you want to delete from the design area. You can delete up to 99 rows at a time. Spaces, fields, and text can be removed from the design area.

[Delete]

Deletes the number of rows specified and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Insert Columns window

Use to specify the number of columns to insert in the report design.

Inserting columns

Items In This Window

Enter the number of columns you want to insert.

Enter the number of columns you want to insert in the design area. You can enter up to 99 columns at a time.

[Insert]

Inserts the number of columns specified and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete Columns window

Use to specify the number of columns to delete in the report design.

Deleting columns

Items In This Window

Enter the number of columns you want to delete.

Enter the number of columns you want to delete from the design area. You can delete up to 99 columns at a time. Spaces, fields, and text can be removed from the design area.

[Delete]

Deletes the number of columns specified and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Clear (Edit menu)

Use to remove objects from the design area. The deleted object is replaced with spaces to keep the alignment of other objects within the design unchanged.

Clearing objects

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Columns (Edit menu)

Delete

Insert

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete (Edit, Column menu)

Use to delete one or more columns from the report design area.

Window

Deleting columns

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete (Edit menu)

Use to remove objects from the design area. After an object is deleted, any design information to the right of the deleted object and on the same row shifts to the left to take up space that was occupied by the deleted object.

Deleting objects

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete (Edit, Rows menu)

Use to delete one or more rows from the report design area.

Window

Deleting rows

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Insert (Edit, Columns menu)

Use to add one or more columns in the report design area.

Window

Inserting columns

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Insert (Edit, Rows menu)

Use to add one or more rows in the report design area.

Window

Inserting rows

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Move (Edit menu)

Use to move objects to a different location in the design area. The spot where the moved objects were previously located is replaced with spaces.

Moving objects

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Object

An element of information in the report design area. An object can be:

  • Field - Information from an accounting and management products application data record.
  • Formula - Public formula, application formula, quick formula, or design formula.
  • Text - Operator typed information, column headings, or total descriptions.
  • Block - Highlighted area containing any of the above as well as spaces.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rows (Edit menu)

Delete

Insert

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Slide (Edit menu)

Use to open or close space in a design row by moving selected objects left or right. All objects to the right of the cursor are automatically selected for movement. Selected objects cannot be moved over the top of other non-selected objects.

Sliding objects left or right

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


New Design

Use to create a new report design. See Creating a new design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Open Design

Use to open an existing report design. See Opening a design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Close Design

Use to close the current report design. See Closing designs for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Save Design

Use to save the current report design to the same name. See Saving the current design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Save Design As

Use to write the current report design to a design file on disk or to a different directory. See Saving a new design or an existing design to a different name for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete Design

Use to delete a design from the system. See Deleting a design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Preview active design

Use to preview the active design.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Active Design

Use to print the active report design. If desired, you can specify printer options and select ranges and conditions. See Printing a report design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Design from Disk

Use to print a report from a design file stored on disk. See Printing a design from disk for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Setup - Margins

Use to specify margin settings for a specific report design. See Customizing report margins for a specific report for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Setup - Page Headings

Use to specify new page heading attributes or change existing page heading attributes for a design. See Customizing page headings for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Setup - Print Options

Use to specify particular print attributes for a report. See Customizing print options for report designs for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


New Design window

Use to select the record or records you want to include in your report.

Processing multiple records (definition)

Records (definition)

Making design decisions

Selecting records for new designs

Items In This Window

Records Available

Select the record(s) you want to use for this report design. As you select a record, it displays in the Records Selected column. The list of available records that appears is based on which accounting and management products you have on your computer.

Records Selected

Displays the records selected from the Records Available field to be used for the report. You can remove a record from this column by clicking it again in the Records Available column.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Margins window

Use to specify margin settings for a specific report design.

Customizing report margins for a specific report

Items In This Window

Use system default

To use the margins set for the default printer, mark this box. The default settings are stored on the Reports tab (Tools menu, Options).

Top

Enter the amount of space, in inches, that you want to use at the top of a page.

Bottom

Enter the amount of space, in inches, that you want to use at the bottom of a page.

Left

Enter the amount of blank space, in inches, that you want to leave on the left side of the page before the first column of your report prints.

Right

Enter the amount of blank space, in inches, that you want to leave on the right side of the page.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Headings window

Use to specify new page heading attributes or change existing page heading attributes. Page heading selections are saved separately with each design. You can change a page heading as often as you like. If the automatic page heading does not provide exactly what you want, you can create a custom page heading using system fields, other fields, and text.

Customizing default preferences

Customizing page headings for a specific report

Page heading

Items In This Window

Use page heading

To include a single field in the design to control the heading, mark this box. The remaining controls in the Page Heading window determine the contents of the automatic page heading field.

  • If the box is not marked, the remaining fields in the window are unavailable, and no automatic heading field is included in the design.
  • If the automatic page heading does not provide exactly what you like, unmark this box and design your own custom page headings using system fields, other fields, and text.

Use system defaults

To use the default page heading defined on the Page Heading tab (Tools menu, Customize), mark this box. When this box is marked, the System Date, System Time, Data File Names, and First Page Only boxes are unavailable.

Page Heading Width

Select how you want the placement of the page heading in relation to the width of the report design. Options are:

  • Variable - The placement of information in the automatic page heading adjusts to the design width. You can add, change, or delete columns in the body of the report design without having to worry about adjusting the placement of heading information.
  • Fixed - Allows you to enter a specific width for the automatic page heading.

Columns

If you selected Fixed for Page Heading Width, enter the desired width for the page heading. The maximum width allowed for page headings is 350.

Report Title

The first line defaults to the name of the primary record used for the report. For example, if Vendor is the primary record for your report, this item prefills with "Vendor Report." If you want to use a different name, enter a name of up to 80 characters.

Subtitle

Enter a subtitle of up to 80 characters for your report. The subtitle prints on the row directly below the first report title.

Company Name

To include the company name in the page heading, mark this box. Each time you print the report, the company name is retrieved from the TS.CTL file. This allows you to use the report design for more than one set of data without the need to change the design each time. The default is to include Company Name in automatic page headings.

Page Number

To include the page number in the page heading, mark this box. Report Designer numbers the report pages according to the Starting page number designated in the Print Options window and the Reset page number when the page breaks option specified in the Group Page Breaks window. The default is to include Page Number in automatic page headings.

Design Name

To include the name of the design in the page heading, mark this box. For example, you might save a vendor list design in a file named "VLIST." If you mark this box, Design: VLIST prints in the heading on each page. The design name is not automatically included in the page heading.

You can prevent confusion in your office by including the design file name in the page heading. When individuals in your office discuss a specific report design, they can refer to the design name rather than trying to describe the report's appearance.

Output File Name

To include Output File Name: and the name of the print file for reports sent to a print file in the page heading, mark this box. For reports sent to a printer or to the terminal screen, Output File Name: printer name or Output File Name: Screen print respectively. The output file name is not automatically included in the page heading.

Operator

To include the current Operator ID in the page heading, mark this box. The operator is not automatically included in the page heading.

This option can be used only if Security is in effect. If you mark this box and you are not using Security, Operator: Not Used prints in the heading.

Report Date

To print a date other than the system date in the page heading, mark this box. For example, you might want to print the period ending date rather than the date the report was actually printed. The default is to include the report date in automatic page headings.

If you include the report date in your page headings, you are prompted for a Report Date at print time.

System Date

To include the system date in page headings, mark this box. The default is to not include system date in automatic page headings.

This box is unavailable if the Use system defaults box is marked.

System Time

To include the system time, in hours and minutes, that the report is printed in the page heading, mark this box. The default is to not include system time in automatic page headings.

This box is unavailable if the Use system defaults box is marked.

When you use print files, the system time is the time at which the report was printed to the file. It is not the time at which you used Printouts from the File menu to send the contents of the print file to a printer.

Data File Names

To include, in the report's page heading, the name(s) of the data file(s) used to print the report, mark this box. This feature is a valuable audit trail because you can see at a glance where the information on the report originated. The default is to not include data file names in automatic page headings. When this box is marked, the First Page Only box is available.

This box is unavailable if the Use system defaults box is marked.

First Page Only

To print, on the report's first page only, the name(s) of the data file(s) used to print the report, select this check box. The default is marked.

This box is unavailable if the Data File Names box is unmarked.

Record Security

To print whether the report has record security enabled or disabled, select this check box. To enable record security on a report, you must have record security set up. Ask your application administrator to check your account settings in the Security Administration tool. You also must and enable security in the report design (Tools > Design Security > Enable Prefix, Enable, Bank, or Enable Job).

Report Date Format

If you marked the Report Date box, select the format to use for the report date as it displays in the page heading. If you choose Use Default (the first selection in the list), the report date format defaults to the Date Format specified on the General tab (Tools menu, Options). Mm represents month, dd represents day, and yy or yyyy represents year.

System Date Format

If you marked the System Date box, select the format to use for the system date as it displays in the page heading. If you choose Use Default (the first selection in the list), the system date format defaults to the Date Format specified on the General tab (Tools menu, Options). Mm represents month, dd represents day, and yy or yyyy represents year.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Options window

Use to specify particular print attributes for a report.

Customizing print options for report designs

Items In This Window

Use cover page system default

To use the selection made on the Reports tab (Tools menu, Options), for whether or not to print a cover page, mark this box. The default is marked.

Print cover page

To print a cover page before the first page of the report, mark this box. The cover page includes the name of the design file, the names of the data files that were used, any ranges that were selected or conditions that were applied, and the date and time that the report was printed.

Print Design Notes on cover page

To print any design notes entered for the report design on the cover page, mark this box. The default is unmarked.

Use form feeds

To use special printer-specific form feed characters to start a new page, mark this box. This is helpful when you want to transfer file printouts to other software. The default is marked.

Landscape

To print a design in landscape, mark this box.

Convert whitespace to tabstop

To treat whitespace (two or more spaces) as a tabstop, mark this box. This helps to align columns when printing with proportional fonts. The default is marked.

System default

Mark this box to use the selections made for Use printer fonts and Print to file on the General tab (Tools menu, Customize) to determine what action to take. The Use Printer Fonts and Print to File boxes will be unavailable if this box is marked. The default is marked.

Use Printer Fonts

To print using device fonts available on the selected printer, mark this box. Device font output prints faster than output using TrueType system fonts. The selection made here can be overridden at print time. The default is unmarked. If System default is marked, this item is unavailable.

Print to File

To send the report to a print file (TXT, DEV, or PRN) as the default, mark this box. If this box is marked, [Select File] becomes available. If you do not use [Select File] to specify a filename, Report Designer automatically opens the Print File Selection window to prompt you for a filename at print time. The default is unmarked. If System default is marked, this item is unavailable.

[Select File]

Opens the Print File Selection window to specify the filename to send the report to. If you do not use [Select File] to specify a filename, Report Designer automatically opens the Print File Selection window to prompt you for a filename at print time.

Print Negative Numbers As

Select the format to use when printing negative numbers. The options apply only to the placement of the minus sign or parentheses. The formats of the actual fields are not affected by this option. The default is 999-. Options are:

  • 999- - Negative number is followed by a minus sign.
  • -999 - Negative number is preceded by a minus sign.
  • (999) - Negative number is displayed in parentheses.

The selection made here overrides the selection made for Default Negative Format on the Preferences tab (Tools menu, Customize).

Starting page number

Enter a number at which to begin pagination. The starting page number defaults to 1. If you do not want page numbering to occur for this report, unmark the Page Number box on the Page Heading tab (Tools menu, Customize).

System default

To use the font specified for Font on the General tab (Tools menu, Customize) as the default font at print time, mark this box. If you unmark this box, the Font window opens automatically for you to select a different font. The default is marked.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Placement Conflict window

Use to resolve a conflict in field placement in the Design window. This window opens if you try to insert or move an object over an existing field, column heading, or text. A message explaining the placement error displays in the upper portion of the window. Also, the software automatically marks the box(es) most likely to resolve the conflict. The box(es) that appear in this window may vary, depending on the type of placement error.

Items In This Window

Remove column headings

To remove the column heading of the field you are inserting or moving to make it fit, mark this box.

Shrink field to fit

To reduce the size of the field you are inserting or moving to the size necessary to make it fit, mark this box.

[Retry]

Retries to insert or move the field in the design after performing the action in the box(es) marked.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design window

Use to input a new report design or edit an existing design. The Design window is the focal point of Report Designer. The Field List displays at the right of the design area when this window first opens for a new design. You can close the list to increase the design area by selecting Field List from the View menu. The Field List does not automatically display when you open an existing design.

The design area can display a header, body, and footer section. For both new or existing designs, the header and body sections display when the Design window is first opened. However, you can control which sections display by using Header, Body, or Footer from the View menu. You can also change the view of the design area (Suppressed Areas, Print Controls, and Conditional Print Areas) by choosing the appropriate commands from the View menu.

Changing views

Items In This Window

Item list

Select from the list of items available for use in creating or modifying the current report design.

[Index]

Opens the Index window to display different items for selection.

[Find]

Provides a place for you to enter the name (or part of the name) of the item for which you are searching.

Find entry

Enter the name (all or part of the name) of the item for which you are searching.

[Prev]

Selects the previous occurrence of the entered characters.

[Next]

Selects the next occurrence of the entered characters.

[Order]

Opens the Field Order window to change the display order of the listed items.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Current Design & Print Design from Disk - Print Selection windows

Print Active Design & Print Design from Disk - Print Selection windows

Use the Print Active Design - Print Selection window to print the active report design.

Use the Print Design from Disk - Print Selection window to print a report from a design file stored on disk.

Note: If you included records in the design that are found in one or more file type, the Data File Selection window opens before the Print Selection window for you to specify the file type to use.

Items In This Window

[Start]

Begins processing, which includes printing according your print selections.

[Cancel]

Closes this window without accepting any of the current entries.

[Print Preview]

Opens the Print Preview window to view the report before printing.

[Help]

Starts Help and displays information about this window.

[Printer Setup]

Opens the Printer Setup window to modify printer options before printing. [Printer Setup] displays with asterisks if printer options are changed.

[Page Setup]

Opens the Page Setup window to modify page options before printing. [Page Setup] displays with asterisks if page options are changed.

[Ranges]

Opens a Range Selection window to specify a range of records and possibly sub-records to access during processing. [Ranges] displays with asterisks if ranges are specified.

[Conditions]

Opens the Add Condition window if no conditions are specified. If conditions are specified, opens the Condition Selection window. [Conditions] displays with asterisks if conditions are specified.

[Options]

Opens the Options window to complete the user-defined information set up as Optional from the Design menu, Prompt Windows command. The title of this window may be changed. See Custom Descriptions for more information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print windows

Print Active Design - Print Selection

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Close Design (File menu)

Use to close the current report design.

Closing designs

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete Design (File menu)

Use to delete a design from the system.

Window

Deleting a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete Designs window

Use to enter a filename for the report design you want to delete.

Deleting a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Margins (File, Page Setup menu)

Use for a specific report design to adjust report placement on the page by allowing control of the amount of blank space that surrounds the report on the page with the use of margins. Because these settings override the standard printer settings and are saved with each design, you can use them to help meet the unique printing requirements you might have for a particular report.

Window

Customizing report margins for a specific report

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


New Design (File menu)

Use to create a new report design.

Windows

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


New Design windows

Design

New Design

Placement Conflict

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Open Design (File menu)

Use to open an existing report design. After the design opens, you can edit, print, or save it under a new filename.

Windows

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Open Design window

Use to specify the name of the report design file you want to open.

Opening a design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Open Design windows

Design

Open Design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page heading

A page heading is a single field at the top of the design that can be deleted or moved like any other field in the design. It contains information that prints on each page of the report. A typical page heading might have the company name, report title, report date, data file name and page number. The data file name can be set to print either on the first page only or on all pages. See Customizing page headings for detailed instructions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Headings (File, Page Setup menu)

Use to create or change the page heading for your report. Page headings can be generated automatically for new designs by marking Always use Auto Page Heading on the Page Heading tab (Tools menu, Customize).

Window

Customizing default preferences

Customizing page headings for a specific report

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Setup (File menu)

Use to specify margins, page headings and print options for a report design.

Margins

Page Headings

Print Options

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Design from Disk (File menu)

Use to print a report from a design file stored on disk.

Windows

Note: If you included records in the design that are found in one or more file type, the Data File Selection window opens before the Print Selection window for you to specify the file type to use.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Design from Disk windows

Print Design from Disk - Print Selection

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Options (File, Page Setup menu)

Use to control various aspects of printing for a report. For example, you can control how page numbering starts, how negative numbers are presented, whether a cover page prints, and what the default font is. This information overrides the defaults set on the Preferences tab (Tools menu, Customize).

Window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Save Design As (File menu)

Use to write the current report design to a design file on disk or to a different directory. You can either replace an existing design or create a new design file. Long filenames can be used.

Window

Tip: If you are modifying an existing design and do not want to change the filename, select Save Design from the File menu instead of Save Design As. The design is saved to the existing design name without opening the Save Design window.

Saving a new design or an existing design to a different name

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Save Design (File menu)

Use to save the current report design to the same name.

Saving the current design

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Save Design window

Use to enter a filename for the report design you want to save. Long filenames can be used.

Saving a new design or an existing design to a different name

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Font

Use to change the font of the selected object(s) in the Font window that opens. See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Overline

Use to overline the selected object(s). See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Double Underline

Use to double underline the selected object(s). See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Bold

Use to change the selected object(s) to bold type. See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Italic

Use to italicize the selected object(s). See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Underline

Use to underline the selected object(s). See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Comma

Use to insert commas for the selected object(s). See Defining field formats for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Dollar

Use to insert a dollar sign in front of the selected object(s). See Defining field formats for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Single Digit

Use to display one digit decimal place for the selected object(s). See Defining field formats for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Two Digit

Use to display two digit decimal places for the selected object(s). See Defining field formats for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field

Use to control how fields display on a report. See Defining field formats for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppress Areas

Use to control how blank rows and areas within a design are handled at print time. See Suppressing blank rows and Suppressing blank areas for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditional Print Areas

Use to select a formula to be used to control printing of the highlighted object(s) on the report. See Setting conditional print areas for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Use Column Headings

Use to streamline the creation of column headings in the report design. See Turning column headings on and off for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Column Heading Row

Use to assign a row number for the top line of the column heading. See Defining column heading rows for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character - Reset to Default

Use to change the character format to default. See Changing the appearance of fonts for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Check box window

Use to edit a check box field in the report design. These fields are easily recognized in an entry window (setup or processing) by the box preceding the field description. If there is a check mark in the box, it is considered marked. Otherwise, it is considered unmarked.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with a length of 1. To change the length of a check box field, enter a new number.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the check box field.
  • Center - Values are centered in the check box field.
  • Right - Values line up to the right side of the check box field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Column Heading Row window

Use to indicate the row number for the top line of the column heading. When necessary, the second row of the heading is always assigned to the following row.

Items In This Window

Row number

Enter the number of the row you want for the top line of the column heading.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditional Print Areas window

Use to select a formula to be used to control printing of the highlighted object(s) on the report.

Note: To see which objects have conditional printing, activate the Conditional Print Areas view from the View menu. Objects with conditions attached display in a different color and a message displays in the bottom portion of the Design window when the cursor is on the affected area.

Conditional print areas (definition)

Prompt field

Setting conditional print areas

Using blocking

Creating formulas

About formula types

Items In This Window

Print when the formula is TRUE

Select the formula you want to use from the list. Formulas display by type, e.g., application, design, and public. The formula displays in the bottom portion of the window. If you want to create a new formula, select Formulas from the Tools menu.

Display area

Displays the contents of the selected formula. Double-click this area to modify the formula contents.

Suppress blank lines if FALSE

To suppress, or not print, blank lines when a formula is false, mark this box.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

[Delete]

Removes the conditional print option.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Date window

Use to edit a date field in the design area.

Items In This Window

Length

Prefills with the standard number of characters in the active date field. If you choose a different date format, or if the layout of your design dictates a different length, you can enter a different length. However, if you shorten the length and the field contents do not fit in the report field, asterisks fill the field on the report. If that happens, the contents can be abbreviated to fit in the field by marking the Abbreviate box.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the date field.
  • Center - Values are centered in the date field.
  • Right - Values line up to the right side of the date field.

Abbreviate

If the contents of the field do not fit within the space allotted in Length, mark this field to omit characters until the value fits within the specified length.

Default format

Mark this box to have the date format for this field default to the date format specified on the General tab (Tools menu, Options). When you mark this box, the Format list is disabled. If you do not mark this box, the Format list is enabled and allows you to select a date format for this field.

Format

Select the date format you want to use from the list that displays. As you move the selection bar through the list, the system date is displayed in the corresponding format at the bottom of the list window. Months are represented by "mm", days are represented by "dd", and years are represented by "yy" or "yyyy". If the value in Length does not accommodate the highlighted format, asterisks display for the format example.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Elapsed Time window

Use to edit an Elapsed time field in the report design. Even though seconds are stored in the field, you can choose to print the field without the seconds.

Field format shortcuts (definition)

Creating report totals

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active elapsed time field. If you choose a different time format, or if the layout of your design dictates a different length, you can enter a different length. However, if you shorten the length and the field contents do not fit in the report field, only the characters that fit print on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Total this field

To total the field according to the totals controls established for the design, mark this box. If the box is unmarked, no totaling takes place. If you want the field to total, but are not satisfied with the levels of totals that are printing on the report, leave the Total this field box marked, and use Totals from the Design menu to modify the totals controls for the design.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the elapsed time field.
  • Center - Values are centered in the elapsed time field.
  • Right - Values line up to the right side of the elapsed time field.

Format

Select from the list of time formats that display under Format. As you move the selection bar through the list, the corresponding format is displayed at the bottom of the list window. In the display, hours are represented by "hh," minutes are represented by "mm," and seconds are represented by "ss." If the value in Length does not accommodate the highlighted format, asterisks display for the format example.

Header/Footer Total Type

Select the type of total to use in the header or footer. Options are:

  • Page - Displays the total for the current page when placed in the footer. Page totals in the header are always zero.
  • Running totals for report - In the header, displays an accumulated total for all pages up to the current page. This total is equal to the running total in the footer of the previous page. In the footer, displays an accumulated total for all pages up to and including the current page.
  • Running total for group: - Displays an accumulated total for all pages with the same group. When the group changes as a result of an unconditional page break, a new accumulated total begins for the next group.

Current unconditional page break display

When Running total for group is selected for the Header/Footer Total Type, displays the unconditional group page break selected in Group Page Breaks from the Design menu. If no unconditional page break is selected, then None displays here.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Memo window

Use to change the Length and Memo depth for memo fields.

  • Length - Prefills with the standard number of characters in the active memo field. To change the length, enter a new number.
  • Memo depth - Select how many lines, or rows, of a memo field you want to print on the report.

Field format shortcuts (definition)

Defining field formats

Using Memo Fields

Items In This Window

Length

Prefills with the standard number of characters in the active memo field. To change the length, enter a new number.

Because Memo fields can contain a lot of text, use the Length field to determine how many words print on a line of the report before the memo field contents wrap to the next line. If you use a long field length, more words can fit on each line of the report. If you use a shorter field length, less information can print on each line. With fewer words per line, it takes more lines to print the memo field contents on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Memo depth

Select how many lines, or rows, of a memo field you want to print on the report. Options are:

  • Variable - Print the entire memo.
  • Max - Print only the number of rows indicated in Rows.

Rows

Enter the maximum number of rows in a memo you want to print on the report. Rows is unavailable unless Max is the Memo depth selected.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Name window

Use to edit a name field such as Vendor Name or Employee Name in the report design. Names are often entered in a specific format to accommodate sorting in alphabetical order.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active name field. To change the length, enter a new number. However, if you shorten the length and the field contents do not fit in the report field, the contents are reduced according to your selection in Abbreviation.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length. Options are:

  • Left - Values line up to the left side of the name field.
  • Center - Values are centered in the name field.
  • Right - Values line up to the right side of the name field.

Abbreviation

Select the action to take if the contents of the field do not fit within the space allotted in Length. Options are:

  • Abbreviate - Omit characters until the value fits within the specified length.
  • Truncate - Drop ending characters until the value fits within the specified length.

Format

Select how you want the name to display on reports. As you move the selection bar through the list, the highlighted order is displayed at the bottom of the list. In order for Format to affect the name field, the name must be initially set up in the proper format.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Number window

Use to edit a number field in the report design. Number fields contain only numeric values. The most common use of number fields is for amount information, but other numeric fields, such as check number, use the number field format as well.

Field format shortcuts (definition)

Creating report totals

Customizing print options for report designs

Defining field formats

Items In This Window

Length

Prefills with the standard number of digits in the active number field. You can shorten or lengthen the field as needed for your report. If you shorten the standard field Length, the field contents might not fit in the report field. If that happens, asterisks fill the field on the report.

Decimal places

Enter the number of decimal places you want to use when values from the active field are printed. The window defaults to the standard decimal format for each field. A number can have up to nine decimal places.

Decimals suppressed

This attribute works in conjunction with the Decimal places field. If you want ending zero decimal values to be dropped, enter the number of decimal places that should be dropped if all of the values that would print in those positions are zero.

For example, if Decimal places has a value of 4, and Decimals suppressed has a value of 2, the numbers below would print on the report as follows:

  • .1200 would print as .12
  • .1234 would print as .1234
  • .1230 would print as .1230
  • .1000 would print as .10

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Total this field

To total the field according to the totals controls established for the design, mark this box. If the box is unmarked, no totaling takes place. If you want the field to total, but are not satisfied with the levels of totals that are printing on the report, leave the Total this field box marked, and use Totals from the Design menu to modify the totals controls for the design.

Signed

To have negative values print with a minus sign or with parentheses according to the selection made in Print Negative Numbers As in the Print Options window, mark this box. If you unmark the box, negative values are printed without the negative sign, but are still considered as negative numbers in calculations.

Because a minus sign requires one column and parentheses require two columns, you might want to unmark the Signed box if you have limited design space and are dealing only with positive numbers.

Commas

To use commas, mark this box. For example, 1,234,567.89 versus 1234567.89.

Leave blank if zero

To use blanks for zero values in the active field, mark this box. To have zero values represented either by a single zero or by zeros in the decimal positions, depending on how the field is formatted, unmark this box.

Print with $ symbol

To print a dollar sign in the active field, if that field represents currency, mark this box. The dollar sign displays with the field layout in the Design window.

Print in English

To print the numeric values from the active field as text, mark this box. For example, if the numeric value is 100, it prints "One hundred dollars and no cents." The layout of the field in the Design window displays as English with arrows to indicate the boundaries and justification of the field. The Print in English option is available only if there is a 2 in Decimal places. To print the numeric values from the active field as numbers, unmark this box.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the number field.
  • Center - Values are centered in the number field.
  • Right - Values line up to the right side of the number field.

Rounding Option

If the number you enter in Decimal places is smaller than the number of decimal places actually contained in the field, Report Designer must either round the extra decimal values or truncate them. Select one of the following options which best suits your needs:

  • Round - Round decimal values to the number of Decimal places used for this report field. Decimal values of 5 and above are rounded up. Values below 5 are rounded down.
  • Truncate - Drop decimal positions that exceed the number of Decimal places used for this report field.

The following contains examples of how field values can be rounded or truncated.

Field Value | Decimal Places | Rounded | Truncated
123.45 | 1 | 123.5 | 123.4
57.83624 | 2 | 57.84 | 57.83
742.46 | 0 | 742 | 742

Fill Option

Allows you to control how unused space in the numeric report field is used. If the value that prints does not fill the field, you can either leave the unused portion blank, or you can fill the unused positions with asterisks or zeros. Select the option that best suits your needs for this field:

  • No fill - Do not fill unused positions.
  • Asterisks - Fill unused positions with asterisks. For example, the number 256 might print as ******256.
  • Zeros - Fill unused number positions with zeros. For example, the value 256 might be represented as 00000256.

Total Type

Select the type of total to use in the header or footer:

  • Page - Displays the total for the current page only.
  • Running total for Report - Displays an accumulated total for all pages up to and including the current page.
  • Running total by (group name) - Displays an accumulated total for all pages with the same group. When the group changes as a result of an unconditional page break, a new accumulated total begins for the next group.

Current unconditional page break display

Displays the unconditional group page break selected in Group Page Breaks from the Design menu. If no unconditional page break is selected, then None displays here.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Phone window

Use to edit a phone field in the report design. The Phone field format is used by any field that is designated as a telephone number.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the number of characters in the active phone field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, only the characters that do fit print on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the phone field.
  • Center - Values are centered in the phone field.
  • Right - Values line up to the right side of the phone field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Option button window

Use to edit an option button field in the report design.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active option button field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, the contents are reduced according to your Abbreviation selection.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the option button field.
  • Center - Values are centered in the option button field.
  • Right - Values line up to the right side of the option button field.

Abbreviation

Select the action to take if the contents of the field do not fit within the space allotted in Length.

  • Abbreviate - Omit characters until the value fits within the specified length.
  • Truncate - Drop ending characters until the value fits within the specified length.

Format

Select how you want the value of the option button to be presented on the report. As you move the selection bar through the Format list, an example of the highlighted format displays at the bottom of the list window. Options are:

  • Full text -- Print the full description of the option.
  • Abbreviate text -- Use the standard three- or four-character abbreviation assigned to each value in the list field.
  • Index number -- Print the numeric value associated with the selection. Index numbers begin with 1 and are numbered sequentially down the list.

Use Available Fields from the Tools menu to print the standard abbreviations and index numbers for each option button field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Social Security Number window

Use to edit a Social Security number field in the report design.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active Social Security number field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, only the characters that do fit print on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the Social Security number field.
  • Center - Values are centered in the Social Security number field.
  • Right - Values line up to the right side of the Social Security number field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Structured window

Use to edit a structured field in the report design.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Structured field

Has a specific format assigned by the user. GL Account and Job Cost Code are examples of structured fields.

Length

Prefills with the standard number of characters in the active structured field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, only the characters that do fit print on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Punctuation

To print the user-defined punctuation with the field values, mark this box. To have the field values print without punctuation, unmark the box.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the structured field.
  • Center - Values are centered in the structured field.
  • Right - Values line up to the right side of the structured field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppress Areas window

Use to specify whether or not to suppress blank rows or areas in a design at print time.

Note: To view those areas of the report design designated with the Suppress blank rows option, select Suppressed Areas from the View menu. Suppressed areas display in a block of color.

Suppressing blank rows

Using blocking

Items In This Window

Suppress blank rows

To suppress, or not print, blank rows within the highlighted area, mark this box. Unmark the box or choose [Delete] to remove this option.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

[Delete]

Removes the suppress blank rows option.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Restrict Areas to Suppress

To suppress, or not print, a highlighted area mark this box. The Suppress blank rows box must be marked to activate the Restrict suppress to area box. The Restrict suppress to area option recognizes start and stop columns for a specific highlighted area. If there is a blank area you do not want to print, you can highlight the area and mark the Suppress blank rows box and the Restrict suppress to area box and the blank area highlighted is not printed.

For example, if you are printing vendor address labels across a page and the first two address labels have a blank Address line 2 that you do not want to print:

Vendor name | Earhart, Garcia & Associates | Federal Delivery Service | Ford Metals, Inc.
Address 1 | 455 SW 5th, Suite 320 | Route 2, Box 9878 | Oswald Business Park
Address 2 |  |  | 980 North Water Street
City, St, ZIP | Portland, Oregon 97215 | San Carlos, CA 95422 | Oregon City, OR 97040

In order to not print the blank Address 2 lines for the first two address labels, you can highlight the Address 2 line in the report design for each of the three address labels, mark the Suppress blank rows box, and the Restrict suppress to area box (Suppress Areas, Format menu) to have the address labels print as follows:

Vendor name | Earhart, Garcia & Associates | Federal Delivery Service | Ford Metals, Inc.
Address 1 | 455 SW 5th, Suite 320 | Route 2, Box 9878 | Oswald Business Park
Address 2 | Portland, Oregon 97215 | San Carlos, CA 95422 | 980 North Water Street
City, St, ZIP |  |  | Oregon City, OR 97040

However, given the same example, if you only mark the Suppress blank rows box and highlight the Address 2 line for all three vendors, the blank rows will print because the Suppress blank rows option does not recognize blank areas on a line, it only recognizes a blank line and the address labels would be printed as follows:

Vendor name | Earhart, Garcia & Associates | Federal Delivery Service | Ford Metals, Inc.
Address 1 | 455 SW 5th, Suite 320 | Route 2, Box 9878 | Oswald Business Park
Address 2 |  |  | 980 North Water Street
City, St, ZIP | Portland, Oregon 97215 | San Carlos, CA 95422 | Oregon City, OR 97040

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Text window

Use to edit a text field in the report design.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Text field

Contains some combination of letters, numbers, symbols, and punctuation. Typically, there is no special format for information in a text field, and because the field can contain many kinds of characters, it is not available for math functions.

Examples of text fields are:

  • Vendor
  • Employee address
  • GL Account title

Length

Prefills with the standard number of characters in the active text field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, asterisks fill the field on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the text field.
  • Center - Values are centered in the text field.
  • Right - Values line up to the right side of the text field.

Abbreviation

Select the action to take if the contents of the field do not fit within the space allotted in Length.

  • Abbreviate - Omit characters until the value fits within the specified length.
  • Truncate - Drop ending characters until the value fits within the specified length.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - Time window

Use to edit a time field in the report design. Although time might be entered and viewed in a specific format within an application, you can select one of several different formats for printing the field values in Report Designer.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active time field. To change the length, enter a new number. However, if you shorten the Length and the field contents do not fit in the report field, only the characters that do fit print on the report.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the time field.
  • Center - Values are centered in the time field.
  • Right - Values line up to the right side of the time field.

Format

Select a time format from the list. As you move the selection bar through the list, the corresponding format is displayed at the bottom of the list window. In the display, hours are represented by "hh," minutes are represented by "mm," seconds are represented by "ss," and the am/pm designation is represented by "xm." If the value in Length does not accommodate the highlighted format, asterisks display for the format example.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format - List window

Use to edit a list field in the report design. List fields in an entry window (setup or processing) give you a list of options to choose from.

Field format shortcuts (definition)

Defining field formats

Items In This Window

Length

Prefills with the standard number of characters in the active list field. To change the length, enter a new value. However, if you shorten the length and the field contents do not fit in the report field, the contents are reduced according to your abbreviation selection.

Underline

To underline the contents of the field, mark this box. The underline does not display in the design area on the screen, but it prints on your report.

Justification

Select the alignment of the value within this field based on the Length:

  • Left - Values line up to the left side of the list field.
  • Center - Values are centered in the list field.
  • Right - Values line up to the right side of the list field.

Abbreviation

If the contents of the field do not fit within the space allotted in Length, select how you want to shorten. Options are:

  • Abbreviate - Omit characters until the value fits within the specified length.
  • Truncate - Drop ending characters until the value fits within the specified length.

Format

The contents of a List field can be represented in one of three ways on a report. Select the option that best meets your needs. As you move the selection bar through the Format list, an example of the highlighted format displays at the bottom of the list window.

  • Full text -- Print the full description of the list item.
  • Abbreviate text -- Use the standard three-character or four-character abbreviation assigned to each value in the list field.
  • Index number -- Print the numeric value associated with the selection. Index numbers begin with 1 and are numbered sequentially down the list.

Use Available Fields from the Tools menu to print the standard abbreviations and index numbers for each List field.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bold (Format, Character menu)

Use to change the selected object(s) to bold type. Bold is a toggle that can be turned on or off by selecting it. A check mark displays next to Bold when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Character (Format menu)

Bold

Comma

Dollar

Font

Italic

Single Digit

Two Digit

Underline

Overline

Double Underline

Reset to Default

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Column Heading Row (Format menu)

Use to assign a row number for the top line of the column heading. The second row of the heading is always assigned to the following row. The placement of the heading within the row is determined by the position of the report field in the body of the report. Column Heading Row is unavailable if Use Column Headings is unmarked.

Window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Comma (Format, Character menu)

Use to insert commas for the selected object(s). Comma is a toggle that can be turned on or off by selecting it. A check mark displays next to Comma when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditional Print Areas (Format menu)

Use to control the printing of data on a report based on the results of a True/False formula (IF statement) attached to an object or field. Formulas are displayed by type, e.g., application, design, and public.

Window

Conditional print areas (definition)

Prompt windows (definition)

Setting conditional print areas

Using blocking

Creating formulas

About formula types

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Dollar (Format, Character menu)

Use to insert a dollar sign in front of the selected object(s). Dollar is a toggle that can be turned on or off by selecting it. A check mark displays next to Dollar when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Double Underline (Format, Character menu)

Use to double underline the selected object(s). Double underline is a toggle that can be turned on or off by selecting it. A check mark displays next to Double Underline when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Elapsed time

A total amount of time that includes hours, minutes, and seconds.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field (Format menu)

Use to control how fields display on a report. Depending on the type of field you are editing, you can change length, punctuation, underlining, and other attributes that affect the appearance of the report. The Field Format window that opens is determined by the type of field selected.

Windows

Notes:

  • Blocking allows you to change the attributes of several fields at the same time. However, if you include more than one field in a block, the field type must be the same.
  • If editing a single field, you can double-click the field in the report design to open the appropriate Field Format window.

Field format shortcuts (definition)

Defining field formats

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field Format windows

Field Format - Check box

Field Format - Date

Field Format - Elapsed Time

Field Format - List

Field Format - Memo

Field Format - Name

Field Format - Number

Field Format - Option button

Field Format - Phone

Field Format - Social Security Number

Field Format - Structured

Field Format - Text

Field Format - Time

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Font (Format, Character menu)

Use to change the font of the selected object(s) in the Font window that opens.

Changing the appearance of fonts

About printer and scalable fonts

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Italic (Format, Character menu)

Use to italicize the selected object(s). Italic is a toggle that can be turned on or off by selecting it. A check mark displays next to Italic when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Line Spacing Troubleshooting

When printing reports, if the design contains an unconditional group page break (UGPB), care must be taken when working with objects (i.e. Formulas, Text, or Fields). Objects that have a print control at the UGPB level or higher must be placed in the header of the design rather than the body. Failure to do so will result in formatting problems, such as overlapped text, when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Memo field

A text field that can contain more than one line of input. For example, Notes that you attach to records in various accounting and management applications use the memo field format.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Option button field

Provides a list of choices from which you must choose one.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overline (Format, Character menu)

Use to overline the selected object(s). Overline is a toggle that can be turned on or off by selecting it. A check mark displays next to Overline when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reset to Default (Format, Character menu)

Use to change the character format to "default" for the selected object(s).

About shrink to fit

About character format

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Single Digit (Format, Character menu)

Use to display only the first digit decimal place for the selected object(s). For example, a vendor total amount of $1,281.80 displays as $1,281.8. Single Digit is a toggle that can be turned on or off by selecting it. A check mark displays next to Single Digit when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppress Areas (Format menu)

Use to control how blank rows and areas within a design are handled at print time. Use blocking to highlight the area of the design in which you want to eliminate blank rows (or highlight an individual field or object, if applicable).

Window

Restrict Areas to Suppress

Suppressing blank rows

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Two Digit (Format, Character menu)

Use to display two digit decimal places for the selected object(s). Two Digit is a toggle that can be turned on or off by selecting it. A check mark displays next to Two Digit when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Underline (Format, Character menu)

Use to underline the selected object(s). Underline is a toggle that can be turned on or off by selecting it. A check mark displays next to Underline when it is turned on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Use Column Headings (Format menu)

Use to streamline the creation of column headings in the report design. Use Column Headings is a toggle that can be turned on or off by selecting it. A check mark displays next to Use Column Headings when it is turned on.

When turned on, column headings are automatically added to the design whenever a field is selected. The automatic column headings can save time when creating columnar reports, because you do not have to type in headings or worry about placing them correctly in the design area. If you do not want column headings for certain fields, you can turn the automatic column headings off until you have completed your field selection, then turn them on again when you want them.

Note: The Use Column Headings command is automatically turned on when you create a new design. The command is turned off when you edit an existing design.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Using memo fields

Use memo fields in the header, body or footer on a report design.

When using memo fields in the header or footer, it is best to set the memo depth to Max and enter a maximum number of rows. Then, move the red line in the header or footer to allow for the maximum number of rows for this field to expand. This will prevent overlapping of text.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


ABN Number example

GL Fiscal Entity Info function example

  • Account format equals xx-xx-xxxx.xx.
  • Fiscal Entity Level equals prefix b.
  • For the following prefix b 10-10 the ABN equals 22 222 222 222

GLFiscalEntityInfo ("abn",10-10, "prefix b") returns 22 222 222 222

If partial prefix, nothing is returned. For example:

GLFiscalEntityInfo ("abn", 10, "prefix a") returns blank because the ficsal entity level could not be determined.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


ABN Number function

GL Fiscal Entity Info function

Use to find the ABN number for reporting.

Syntax

GL Fiscal Entity Info ("desired fiscal entity field", Account, "account section")

Records Used

Prefix A, Prefix B, Prefix C, Account

Parameters

Desired Fiscal Entity field - A string indicating which fiscal entity field the function should return. Valid values for the first parameter are 'ABN'.

Account - Opional. Either an account, a prefix (partial or full), or a text string, such as "10-10-10-1001.01" indicating where to retrieve the fiscal entity setting. If the parameter is blank, the function will retrieve the fiscal entity setting from the data folder. If a partial prefix is supplied, GL will try to determine the fiscal entity level. If GL cannot determine the fiscal entity level, nothing will be returned.

Account Section - A string indicating what account section (such as "full prefix", "full account") the second parameter is. This is an optional parameter if there is no second parameter. Valid values for the third parameter are 'account', 'prefix a', 'prefix b', 'prefix c'. 'full prefix'.

  • Return

The field asked for (required field) in parameter 1.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Account Section function example

To find an account section such as the full prefix, use this function :

Account Section (Account, "full prefix")

This function will return 10-10-10, based on the following information in the Account record:

Account #

10-10-10-1001.00

Note: If anything other than "full prefix" (case insensitive) is entered for the second parameter, an error message appears.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Account Section function

Use to retrieve a portion of an account from the full account.

Syntax

Account Section (Account, "desired section")

Parameters

Account -- Full account number

"Desire Section" -- A string indicating which section of the account to return. Valid values for the second parameter are 'full prefix'.

Return

The section asked for in parameter two.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Balance Sheet Account example

To find the balance sheet account (such as a Balance Sheet Account with three prefixes), use this function:

GL Balance Sheet Account (10-10-10, 1001.01)

This function returns 10-00-00-1001.01

Note: If you don't enter a Balance Sheet base, you will not return a balance sheet account.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Balance Sheet Account function

Use to return a balance sheet account when passed a prefix and base. The balance sheet account will be returned formatted.

Syntax

GL Balance Sheet Account (Full prefix, full base)

Record used

GL Account Record

Parameters

Full prefix - the account's full prefix

Full base - the entire base (base and suffix, if one exists).

Return

Full balance sheet account, formatted

Note: If the prefix is partial, the formula will not return anything when the report is run. If the base is partial (such as just the base rather than the base and suffix) the function will not return anything when the report is run. If you don't enter a Balance Sheet base, you will not return a balance sheet account.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of GL Application Formula Functions

GL Account Section function(Account, "desired section") - returns a portion of an account.

GL Balance Sheet Account function(full prefix, full base) - returns a portion of an account.

GL Fiscal Entity Info function(GL fiscal entity info) - returns the Australian Business Number for reporting.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Dictionary

Listing of fields that are available throughout the system and that can be used for reporting purposes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field

A specific piece of information stored in a record. A record can contain multiple fields. For example, Accounts Payable Vendor record contains individual fields for vendor name, vendor ID, address, telephone number, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Formatting reports for export to Excel

As part of creating a successful report design, you must remove the headers, define the print options, and set single line spacing when you plan to export the report to Excel.

  1. In Report Designer, select File > Page Setup > Margins.
  2. Clear the Use system default check box, and then click [OK].
  3. Select File > Page Setup > Page Headings.
  4. Clear the Use page heading check box, and then click [OK].
  5. Using the mouse, point to [image] in the page header.
  6. When the pointer becomes a double-headed arrow, drag the pointer to the top of the page.
  7. Select the View menu and click Header to clear it.
  8. Select File > Page Setup > Print Options.
  9. In the Print Negative Numbers As area, select -999, and then click [OK].
  10. Select Design > Line Spacing > Single, and then click [OK].

About headers and footers

Changing line spacing

Customizing margins

Customizing print options

Formatting reports for export to a text file

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Formatting reports for export to text files

As part of creating a successful report design, you must remove the headers, define the print options, and set single line spacing when you plan to export the report to a text file.

  1. In Report Designer, select the Format menu and click Use Column Headings to clear the command.
  2. Select File > Page Setup > Margins.
  3. Clear the Use system default check box, and then click [OK].
  4. Select File > Page Setup > Page Headings.
  5. Clear the Use page heading check box, and then click [OK].
  6. Using the mouse, point to [image] in the page header.
  7. When the pointer becomes a double-headed arrow, drag the pointer to the top of the page.
  8. Select the View menu and click Header to clear it.
  9. Select File > Page Setup > Print Options.
  10. In the Default Output Device area, clear the System default check box.
  11. In the Default Output Device area, select the Print to File check box.
  12. In the Print Negative Numbers As area, select -999, and then click [OK].
  13. Select Design > Line Spacing > Single, and then click [OK].

About headers and footers

Changing line spacing

Customizing margins

Customizing print options

Formatting reports for export to Excel

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Design decisions

Overview

The basics of designing a report are the same whether you create a report manually or use a computer program such as Report Designer. Before designing a report, you must first decide what information you want the report to contain, how you want that information sorted, and how you want the report to look. A typical report has five areas:

  • Heading
  • Column headings
  • Body
  • Totals
  • Footer

Notes:

  • The body controls the report and what prints, therefore you must be sure to always include a body. If the report has no body and you attempt to print preview the report, "Nothing to print" displays, or, if you send the report to a printer, the report is not printed and no warning messages display.
  • If the header or footer is larger than the logical page therefore not allowing at least one line of detail from the body to print, the entire header or footer will be suppressed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Creating a new design

Overview

Create a new design. The design is a map that tells the system the contents and layout of a report and can consist of a header, body, and footer. The header, body, and footer sections of the report design are independent of each other and can therefore have fields, print controls, conditions, etc. added to each individually with no affect on the other sections.

Do not use New Design to edit or copy a previously created report design. Use Open Design instead.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Opening a design

Overview

Open a design to view, edit, copy, or print it.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Deleting a design

Overview

Delete design files from the disk. With Delete Design, you can maintain the design directory without having to change to an operating system window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Saving a design

Overview

Quickly save the current design to disk using the same design name.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Saving a new design or an existing design to a different name

Overview

Assign a name to a new design file or save an existing design to a different name.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Printing design information

Overview

Printing the design file information gives you a:

  • reference when designing a similar report
  • hard copy backup of a report design
  • check for possible errors if the report fails to meet expectations

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Printing available fields

Overview

Print a listing of selected fields from data dictionary files including:

  • the name of the record selected
  • the name of all of the fields contained in the record
  • the associated field type (e.g., numeric, alpha, date, box, option button, etc)
  • the length of each field
  • special values for option button fields, including standard abbreviations and descriptions.
  • standard sort orders for the record

A hard copy listing is helpful to have for reference purposes when creating report designs, formulas, and conditions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Using blocking

Overview

A method of selecting information in the design area for editing is to block it. Much like blocking in a word processor, blocking in Report Designer highlights an area of information on the design layout. A block is considered to be a single object for editing purposes. Because you can include more than one item (field, text, formula) in a block, blocking is an efficient way to perform a single operation on multiple items in your design at one time.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Clearing objects

Overview

Remove objects from the design and replace them with spaces so that other objects in the design in remain in their same positions. This is different from Delete which deletes both objects and spaces.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Moving objects

Overview

Move a selected object to a different location within the design area. The moved object is replaced with spaces and does not affect the placement of other objects.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Deleting objects

Overview

Remove an object from a design. After you delete an object, any remaining objects to the right of the deleted object shift to the left to take up the space that was occupied by the deleted object. If you want to remove objects from a design, but don't want remaining objects to be repositioned, use Clear instead.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Sliding objects left or right

Overview

Open or close space in a design row(s). This is similar to Move, except it moves objects only left or right and it automatically selects all objects to the right of the cursor for movement. Also, Slide cannot move objects over the top of other objects not selected.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Inserting columns

Overview

Insert one or more columns in the design. A column in the design area is the amount of space that is occupied by one space or character.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Deleting columns

Overview

Delete one or more columns from the design. A column in the design area is the amount of space that is occupied by one space or character.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Setting up design security

Overview

Design security can be set at either the group or operator level (if security is set up) or at the design level with a password. It is also possible to allow specific access rights to a user who does not have security rights, and who does not know the password, to perform a function such as printing a design and allowing modification of conditions at print time.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Selecting records for new designs

Overview

When creating a new design, one of the first steps is to select which records you need to complete the design. The records that display in the New Design window are determined by the accounting and management applications installed on your computer.

The records included in the design determine the fields that are available as report fields. Sort order, groups, and other functions, such as formulas, are also affected by the records selected.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Defining field formats

Overview

You can control how individual fields display on a report by using Field (Format menu). Depending on the type of field you are editing, you can change the length, punctuation, underlining, and other attributes that affect the appearance of the field on the report.

Each field has standard defaults for field format that are consistent with the most common use of that field. If you want to know about the attributes of a field before you include it in your report design, you can print a listing of data fields using Available Fields (Tools menu). In addition to the field type for each field, the listing includes the default field length and any special field values.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Setting print controls

Overview

Print controls dictate how often a value is repeated on a report. For example, page headings usually print once for every page and not every time a transaction is printed. On the other hand, you might want specific transaction detail to print once for each transaction, and not print once per page.

Report Designer automatically assigns print controls as design information is entered. Print controls are based on the records and fields selected and on the current sort order controls. To override the automatic settings, change Print Controls from the Design menu.

Each element of a design has a print control. Print controls can be changed field by field, or blocking can be used to highlight several elements at a time.

If you select group Print Controls (other than the group at the lowest level of detail), you have several options to repeat the selected value(s) including when the group information continues onto a new page, at the end of the group information, and at the group total level. For example, if you are printing the vendor name and address once for each vendor as a line above the invoice detail, and you mark the Reprint when the group is continued on a new page box, the vendor name and address repeats on the new page if the invoice information continues on to a new page. If you do not mark the box, invoices print on the new page without the vendor name and address.

You can display the Print Control information in the design window by selecting Print Controls from the View menu.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Suppressing blank rows

Overview

Prevents rows from printing where all the fields in the row to be suppressed are empty. The rows below the suppressed rows move up and fill the blank space.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Setting conditional print areas

Overview

You can control the printing of data on a report based on the results of a true/false formula attached to a field. Conditional printing should not be confused with Report conditions. Conditional Print Areas apply a condition to a specific area of a report, whereas Report conditions are applied to the entire report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Turning column headings on and off

Overview

You can streamline the creation of column headings in the design by using Use Column Headings which is a toggle to turn on and off column headings. When turned on, column headings are automatically added to the design whenever a field is selected. The automatic column headings can save time when creating columnar reports because you do not have to enter headings or worry about placing them correctly in the design area. If you do not want column headings for certain fields, you can turn the automatic column headings off until you have completed your field selection, then turn them on again when you want them.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Defining column heading rows

Overview

You can designate the row number where the top line of new column headings is to be placed. The second line of the heading is then placed on the row just below the first. The position of the heading within the row is determined by the placement of the report field within the body of the report.

  • Column Heading Row is available any time you have a design in memory and Use Column Headings is turned on. Use Column Heading Row to change the current column heading row at any time during the design process. Existing column headings are not moved when you change the Column Heading Row, only new column headings are moved based on the new column heading row. If you need to reposition existing column headings within the design area, you can edit them as you would any text.
  • The column heading row is stored as part of the design file. That means that the row designated as the column heading row when the design was last saved is automatically used as the column heading row when the design is reopened. If you are creating a new design, the column heading row is automatically assigned as three rows above the row on which you placed the first field.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Accessing the field list

Overview

You can display or hide the Field list thereby providing more efficient use of the design window. When you hide the Field list, more room is available in the design area to see the layout of your report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing views

Overview

You can display the different sections of the report design or a different view of the design detail in the Design window. For the views, a different color is used for each one to indicate the detail. Report Designer defaults to the View Settings specified by selecting Customize from the Tools menu.

The sections of the report design are:

  • Header
  • Body
  • Footer

The available design views are:

  • Normal - displays the standard view of the design with no special detail.
  • Print Controls - displays how often information prints on the report.
  • Suppressed Areas - displays those areas of the report design designated with the Suppress blank rows option.
  • Conditional Print Areas - displays objects designated with conditional printing in a color defined in Foreground Colors on the Colors tab (Tools menu, Customize).
  • Fonts - displays different character attributes in different colors.

After any editing, it is a good idea to change to the different views to verify that no changes or significant alterations have occurred.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Creating report totals

Overview

Although you can choose to have Report Designer make many of the totaling decisions based on the contents of your design, you also have the option to override the automatic totals and select your own with Totals from the Design menu.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Summarizing report amounts/detail

Overview

If you want to print the total for a group but do not want the detail to print, use the Summary Level to select the level of detail that you want summarized. The content of the Summary Level list is determined by the groups in your design. Non-numeric fields cannot be summarized. If Report Designer encounters non-numeric fields for a group you are summarizing, sometimes dashes (- -) print to represent the field. If this occurs, review your print controls. It may be possible to get correct results by modifying.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing line spacing

Overview

You can control the spacing between items that print on the report. For each group in the design, you can select whether items in the group are single, double, or triple-spaced. For example, if you are printing an invoice recap by vendor, you might want the individual invoices to be single-spaced, but you might also want a double-space between the last line of information for one vendor and the first line of information for another vendor.

Default spacing is assigned by Report Designer based on the most common choice for each group. If the defaults are acceptable, it is not necessary to modify them.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Determining group page breaks

Overview

You can determine when page advances occur during report printing. Because your selections are included in each design file, the page breaks you use can vary from design to design.

The software automatically breaks at the end of a page to reprint headings and leave margins according to the controls you have established in the design. In addition to these automatic page breaks, you can assign page breaks by group.

An unconditional page break advances the page based on the data that is printing. For example, if you select the Vendor record as the unconditional page break group, the paper advances each time a new vendor is encountered. As a result, the information for each vendor is printed on a separate page.

A conditional page break advances the page when there is insufficient room to print all of the information for a group on the current page. For example, if you select the Job record as the conditional page break group, the information for each job is checked before it is printed to determine if it will fit on the current page. If it will not fit on the current page, the page advances before the information is printed.

If you are using both types of page breaks in a design, the unconditional page break must be based on a group that is higher in the sort order than the group selected for the conditional page break. For example, if you are printing a list of invoices by vendor, you might select Vendor from the Unconditional Page Break list and Invoice Record from the Conditional Page Break list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Setting or changing sort orders

Overview

Provides an easy way to control the order in which information appears on your report. Based on the records and fields selected for the report design, Report Designer automatically determines the most likely sort order for the report while you design it. You do not need to access Sort Order from the Design menu unless you want to modify the order that Report Designer has assigned.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Entering custom sorts

Overview

In addition to the standard sort orders that are available, Report Designer allows you to create and modify custom sort orders through the use of a Sort List. When you print a report where a custom sort order is used, Report Designer sorts the report information according to the fields and formulas you entered on the Sort List. Report Designer sorts first by the first field on the list, then where the values in the first sort are the same, by the second field, and so on until the information is in the precise order you specified. For example, if you sort a vendor invoice report by Vendor, and then by Amount Paid, the invoices print in vendor number order first. However, when two or more invoices have the same vendor number, those invoices are sorted by the amount paid and then the vendor.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Selecting primary records

Overview

The primary record is typically the record with the most detail, and it is usually the record where the dollar amounts come from. Selecting the primary record is a critical decision. To help you with this task, follow the criteria listed below.

The primary record determines the contents of the report. For example, a report primary record can be the GL transaction record with added access to GL account information off the GL Account record. In this case, only accounts with transactions are included on the report. On the other hand, if the same report's primary record is the GL Account record with additional access to the GL transactions, then all accounts are included on the report because the primary record lists all accounts instead of only transactions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Creating report prompts

Overview

You can create custom windows which display text or prompt the operator for entry of certain data at the time of printing. There are two types of prompt windows:

  • Required - Automatically appear at print time.
  • Optional - Only displays if you click [Options] in the Print Selection window. [Options] does not display unless an Optional report prompt exists.

All prompts can be set with a default value so that they do not have to be answered each time the report is processed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing the prompt window size

Overview

To accommodate more fields or text, you may need to change the size of the Required Prompt Window or Optional Prompt Window. The size of the window can be changed only by using a mouse. The arrow keys cannot be used because there is no way to select the border with the keyboard.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Moving prompt fields and text

Overview

Moving a field or text to a new location in the prompt window can be done with a mouse or with the keyboard.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing prompt fields and text

Overview

The value of a data field or the wording of text can be changed simply by selecting it and making the desired changes. Changes to data fields or text can be done with a mouse or with the keyboard.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Deleting prompt fields and text

Overview

Any data field or text can be deleted from a prompt window with a mouse or with the keyboard.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Setting default page headings

Overview

A page heading contains information that prints on each page of the report. A typical page heading might have the company name, report title, report date, and page number. You can use some shortcuts for the creation of page headings to simplify the design process.

Certain page heading settings can be overridden prior to printing using Page Setup from the File menu.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Customizing page headings for a specific report

Overview

Page heading decisions are saved separately with each design. The controls set here override the controls set on the Page Heading tab (Tools menu, Customize). You can modify the page headings as often as you like.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Customizing report margins for a specific report

Overview

You can adjust report placement on the page through the use of margins. Because these settings override Reports tab settings (Tools menu, Options) and are saved with each design, you can use them to help meet the unique printing requirements you might have for a particular report.

When a new design is created, the default margin settings on the Reports tab (Tools menu, Options) are used to prefill the fields in the Margins window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Customizing print options for report designs

Overview

You can control various aspects of printing for each report. For example, you can control how page numbering starts, how negative numbers are presented, whether a cover page prints, and what the default font is. These controls are saved with the design. They can be changed later if required.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Customizing default preferences

Overview

You can set controls for various aspects of the report design. Included in the Customize window are controls for automatic page heading, column headings, negative number format, and several other features.

These controls can be set once and saved. They can be changed later if required. Changes apply to editing done to any design within the current session of Report Designer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Customizing Report Designer colors

Overview

You can customize the colors used for the different views available from the View menu. By having control over the colors used in the display, you can choose the colors that work best for you.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing the appearance of fonts

Overview

You can change the font for selected text.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Adding and changing design notes

Overview

Design notes can contain any type of information you might need such as a clarification of the purpose of the report, how often the report should be run, a reminder to ask someone a question about the report, contact information, and so on. Sage 300 Construction and Real Estate report designs use design notes to describe the purpose of the report, prompts or conditions attached to the report, and any special considerations. Design notes are attached to the design itself and not the report. When the report prints, the design notes do not print, except on a cover page if you choose that option.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Adding headers and/or footers to a previous versions' designs

Overview

You can add headers and footers to report designs created using earlier versions of Report Designer. However, the cut-off line for the footer is not visible in the design, and you must make a manual adjustment in order for the footer to display properly and for the report to print correctly.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Printing phrases

Example Overview

On the last page of each Open Item statement you could print the phrase, "Please pay by due date to avoid late charges". For multiple page statements, the phrase, "…continued", could be printed at the bottom of pages preceding the last page.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing the appearance of numeric fields

Overview

You can change the appearance of numeric fields by adding commas, a dollar sign or changing the number of digit decimal places.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print control examples

The following shows the fields of a simple Accounts Payable invoice report and what the most likely print control for each field might be.

Reports Elements | Print Control Print once for every | Rationale
Page Heading | Print on every page | A general heading should print at the top of each page.
Column heading text | Print on every page | The column headings should be repeated on each new page for readability.
Vendor ID, Name, Telephone | Vendor | The information is needed only once for each set of invoices.
Invoice date, Descriptions Amount | Invoice | The information should print for each invoice.
Vendor total | Vendor | The total of the invoices is needed only once for each set of invoices.
Grand total | Print at end of report | The grand totals should print only at the end of the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Quick printing an active report design

  1. Open the report design you want to print.

    2. How?

  2. Click [image] on the toolbar.
  3. If the Data File Selection window opens, select the desired file type (master, invoice, etc.).
  4. If using named files, select the desired file.
  5. The report is automatically processed and sent to the default printer.

Printing a report design

Printing from a print selection window

Printing to a file

About naming print files

Setting up printers

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Viewing headers and footers in a report design

  1. Open the existing design.

    2. How?

  2. From the View menu, select Header or Footer to display the header or footer information.
  3. View the header or footer information. To change the header or footer information, see Adding headers and/or footers to previous versions' designs.

Headers and footers (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PJ Job Contact By Role function

Use to return the contact id of a job contact based on a specific role from the specified job’s Job Contact List.

Syntax

Job Contact By Role(Job, "Desired role")

Parameters

Job = The job id.

"Desired role" = The role of the job contact whose contact id is to be retrieved.

Return

The contact id of the first contact in the specified job’s Job Contact List that matches the desired role. This bring up only the contact id, not the contact name. An additional lookup must be included in the formula to access the contact’s name.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PJ Job Contact By Role function example

Job Contact By Role(Job<PJ Job>, "Project Manager")

This formula will return the Contact Id of the first contact who has a role of "Project Manager" for the specified job.

LOOKUP(Contact name <AB Contact>, Job Contact By Role(Job<PJ Job>, "Project Manager") )

This formula will return the Contact name of the contact who has a role of "Project Manager" for the specified job.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PJ Last Job Used function

Use to return the value of the last Project Management (PJ) job that was accessed from within PJ. To use this function in Report Designer, create your formula and click [Index] to select PJ Function from the Index list. Select the PJ Last Job Used function to add it to your formula.

Syntax

In Report Designer:

Last Job Used()

In Crystal Reports:

pjLast Job Used()

Parameters

The Last Job Used function has no parameters.

Return

The job id of the last job used stored in PJ memory.

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PJ Last Job Used function example

In the formula where PJ Job = Last Job Used(), every record whose job matches the Last Job Used will return a True value.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Avg Unit Occupied SF comment

The Avg Unit Occupied SF function determines the average unit square footage value using the following criteria:

  • If the square footage remains unchanged and the occupancy changes, the square footage is based on the amount of time the unit was occupied. For example, if a unit is occupied half the month, the square footage amount that is used in determining the average occupied square footage is half of the total square footage for that month.
  • If the square footage changes and the occupancy changes, then the unoccupied period remains zero, and the occupied period is prorated for the square footage changes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Avg Unit Occupied SF example

To find the RENTABLE average unit occupied square footage between January 1, 1999 and January 31, 1999, use this function:

Avg Unit Occupied SF(Property, Unit, "RENTABLE", NEWDATE(010199),NEWDATE(013199))

This function will return 10,967.74, for property 100, Unit 15, based on the following information in the Unit Square Footage and Unit Occupancy History records:

Property | Unit | Sq Ft Type | Dates Occupied | Date | SqFt
100 | 15 | RENTABLE | 1-10-99 through 1-3-99 | 01-01-99 01-20-99 | 10,000 20,000

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Avg Unit Occupied SF function

Use to find the average occupied unit square footage for a given square footage type, for a given date range. This function also takes into account whether or not the unit is occupied.

Syntax

Avg Unit Occupied SF(Property, Unit, Square Footage Type, From Date, To Date)

Records used

Unit Square Footage and Unit Occupancy History.

Parameters

Property - the property ID.

Unit - the unit ID.

Square Footage Type - the square footage type.

From Date - the beginning date of the date range used to find the average unit square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date of the date range used to find the average unit square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Avg Unit Sq Footage example

To find the RENTABLE average unit square footage, between January 1, 1999 and March 31, 1999, use this function:

Avg Unit Sq Footage(Property, Unit, "RENTABLE",NEWDATE(010199),NEWDATE(33199))

This function will return 13,444.44, based on the following information on the Unit Square Footage record:

Property | Unit | SqFtType | Date | SqFt
100 | 15 | RENTABLE | 01-01-99 | 10,000
100 | 15 | RENTABLE | 02-01-99 | 10,000
100 | 15 | RENTABLE | 03-01-99 | 20,000

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Avg Unit Sq Footage function

Use to find the average unit square footage for a given square footage type, for a given date range. This function is commonly used in Recoverable Expense calculation methods when determining the square footage for calculating the lease's participation percent during a particular recovery period.

Syntax

Avg Unit Sq Footage(Property, Unit, Square Footage Type, From Date, To Date)

Records used

Unit Square Footage.

Parameters

Property - the property ID.

Unit - the unit ID.

Square Footage Type - the square footage type.

From Date - the beginning date of the date range used to find the average unit square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date of the date range used to find the average unit square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Days Occupied example

Days Unit Occupied example

To find the number of days a unit is occupied for the month of January, 2000, use this function:

Days Unit Occupied(NEWDATE(010100), NEWDATE(013100))

This function will return the result of 9 days for unit 100, based on the following information:

Unit | Actual Move in Date | Actual Move Out Date | From Date | To Date
100 | 12/15/1998 | 1/10/2000 | 1/1/2000 | 1/31/2000

Note: When determining the number of days occupied, the unit's move-in day is considered occupied and the unit’s move-out day is considered vacant.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Days Unit Occupied function

Use to determine the number of days a unit is occupied for a particular period. This function is used in the Reconcile Gross Potential Rent, Projected Vacancy Loss, Vacancy Loss by Month and Vacancy Loss reports.

Syntax

Days Unit Occupied(From Date, To Date)

Records used

Property and Unit

Parameters

From Date - the beginning date to be used to determine the number of days occupied. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date to be used to determine the number of days occupied. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with no decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Days Vacant example

Days Unit Vacant example

To find the number of days a unit is vacant for the month of January, 2000, use this function:

Days Unit Vacant (NEWDATE(010100), NEWDATE(013100))

This function will return the result of 22 days for unit 100, based on the following:

Unit | Actual Move In Date | Actual Move Out Date | From Date | To Date
100 | 12/15/1998 | 1/10/2000 | 1/1/2000 | 1/31/2000

Note: When determining the number of days vacant, the unit's move-in date is considered occupied and the move-out day is considered vacant.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Days Unit Vacant function

Use to determine the number of days a unit is vacant for a particular period. This function is used in the Reconcile Gross Potential Rent, Projected Vacancy Loss, Vacancy Loss by Month and Vacancy Loss reports.

Syntax

Days Unit Vacant(From Date, To Date)

Records used

Property and Unit

Parameters

From Date – the beginning date to be used to determine the number of days vacant. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date to be used to determine the number of days vacant. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with no decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect Charge Amount example

Effective Charge Amount example

To find the charge amount for RENT for a lease as of June 1, 1999, use this function:

Effective Charge Amount(Lease, 0, "RENT", Unit, NEWDATE(060199))

This function will return 1,000.00, based on the following information in the Recurring Charge Log:

Lease | Rec | Chg Type | Unit | Eff Date | Amount
100-508 | 0 | RENT | 612 | 01-01-99 | 1,000.00
100-508 | 0 | RENT | 612 | 07-01-99 | 1,200.00
100-508 | 0 | CAM | 612 | 01-01-99 | 105.00

Note: This function uses the Effective Date to determine the Charge Amount to use. For instance, in the example above, since there is no amount with an effective date of 6-1-99 for RENT, the function determines that the 1-1-99 amount is effective for 6-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effective Charge Amount function

Use to return the current charge for a charge type, as of a specific date (from the Property Management Lease Recurring Charge Log record).

Syntax

Effective Charge Amount(Lease, Revision, Charge Type, Unit, Date)

Records used

Recurring Charge and Recurring Charge Log.

Parameters

Lease - the lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type.

Unit - the unit associated with the charge type.

Date - the date used to find the effective charge amount. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effective Interest Rate example

To find the PRIME2 interest rate as of July 1, 1999, use this function:

Effective Interest Rate("PRIME2" , NEWDATE(070199))

This function will return 8.000000, based on the following information in the Interest Rate record:

Interest ID | As of Date | Rate
PRIME1 | 12-01-99 | 7.250000
PRIME2 | 12-01-99 | 7.625000
PRIME2 | 06-01-99 | 8.000000
PRIME2 | 09-01-99 | 7.825000

Note: This function uses the As of Date to determine the Interest Rate to use. For instance, in the example above, since there is no interest rate with an As of Date of 7-1-99 for PRIME2, the function determines that the 6-1-99 rate is effective on 7-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effective Interest Rate function

Use to return the effective interest rate from the Property Management Interest Rate table for an Interest ID as of a specific date.

Syntax

Effective Interest Rate(Interest ID, Date)

Records used

Interest Rate.

Parameters

Interest ID - an Interest ID from the Interest Rate table.

Date - the "as of" date for the interest rate. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 6 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effective Unit Sqr. Feet example

To find the RENTABLE unit square footage as of May 1,1999, use this function:

Effective Unit Sqr. Feet(Property, Unit, "RENTABLE", NEWDATE(050199))

This function will return 9,800.00, based on the following information in the Unit Square Footage record:

Property | Unit | Sq Ft Type | As of Date | Sq Ft
100 | 15 | RENTABLE | 01-01-99 | 9,800.00
100 | 15 | RENTABLE | 06-01-99 | 9,600.00
100 | 15 | GLA | 01-01-99 | 10,300.00

Note: This function uses the As Of Date to determine the Square Footage to use. For instance, in the example above, since there is no Square Footage with an As Of Date of 5-1-99 for RENTABLE, the function determines that the 1-1-99 amount is effective for 5-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effective Unit Sqr. Feet function

Use to return the unit square footage as of a specific date (from the Property Management Unit Square Footage table).

Syntax

Effective Unit Sqr. Feet(Property, Unit, Square Footage Type, Date)

Records used

Unit Square Footage.

Parameters

Property - the property ID.

Unit - the unit ID.

Square Footage Type - the square footage type.

Date - the date used to find the effective square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Future Charge Date example

To find the first recurring charge date following the As of Date, use this function:

Future Charge Date(lease, revision, "RENT", unit, NEWDATE(05152000), 1)

This function will return 1/1/2001, based on the following information in the Recurring Charge and Recurring Charge Log records:

Lease | Revision | Charge Type | Unit | As of Date | Amount
93001 | 0 | RENT | 12B | 1/1/1998 | 5,000.00
93001 | 0 | RENT | 12B | 1/1/1999 | 6,000.00
93001 | 0 | RENT | 12B | 1/1/2000 | 7,000.00
93001 | 0 | RENT | 12B | 1/1/2001 | 8,000.00

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Future Charge Date function

Use to return the date of future scheduled increase(s). Can be used in reports and inquiries.

Syntax

Future Charge Date(Lease, Revision, Charge Type, Unit, As of Date, Index)

Records used

Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type. If the charge type is left blank (for example, " ") all charges will be included.

Unit - the unit. If the unit is left blank (for example, " " ) all units will be included.

As of Date - the date used to determine the charges to include. Can use a date field or enter a specific date using NEWDATE(mmddyyyy).

Index – the value used to determine which date in the Recurring Charge Log to return. If you enter an index value greater than the number of valid rows a null date will be returned. For example, if there are four rows of scheduled increases in the Recurring Charge Log, and you enter an index of 5, a null date will be returned.

Return

Date.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Gross Potential Rent Amt function

Use to return the total of the charge types included in Gross Potential Rent (GPR) as of a specific date.

Syntax

Gross Potential Rent Amt(Lease, Revision, Date)

Records used

Property Charge Controls, Lease and Lease Recurring Charge.

Parameters

Lease - the lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Date - the date used to determine which charges to include. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Gross Potential Rent Amount comment

Gross Potential Rent Amt comment

The Gross Potential Rent Amt function reads through the recurring charge records for the specified lease. In addition, this function looks at the terminate date on the recurring charge record to determine which recurring charges to include. For each recurring charge, the Is Gross Potential Rent function is called, using the Property from the lease as the first parameter and the charge type from the recurring charge as the second parameter. If the Is Gross Potential Rent function returns a value of True (e.g., the charge type is included in GPR), the Effective Charge Amount function is then called. The amounts returned from Effective Charge Amount are accumulated and the sum is returned.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Gross Potential Rent Amount example

Gross Potential Rent Amt example

To determine the total of the charge types included in Gross Potential Rent as of January 31, 1999, use this function:

Gross Potential Rent Amt(Lease, 0, NEWDATE(013199))

This function will return 1,100.00 for lease 100-108 at property 255, based on the following information on the Property Charge Controls and the Lease Recurring Charge records. Notice that the charges considered GPR are determined at the property level:

Property | Charge Type | GPR
255 | <default> |
255 | CAM |
255 | RENT | ü
255 | PARK | ü

Lease | Rev | Chg Type | Unit | Eff Date | Amount
100-108 | 0 | CAM | 610 | 01-01-99 | 275.00
100-108 | 0 | RENT | 610 | 01-01-99 | 1000.00
100-108 | 0 | PARK | 610 | 06-01-98 | 100.00

Note: In the above example, RENT and PARK are monthly charges.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Is Gross Potential Rent example

To determine if CAM is included in Gross Potential Rent for a property, use this function:

Is Gross Potential Rent(Property, "CAM")

This function will return False (0), based on the following information in the Property Charge Controls record:

Property | Charge Type | GPR
255 | <default> |
255 | CAM |
255 | RENT | ü

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Is Gross Potential Rent function

Use to determine if a property charge type record is considered part of Gross Potential Rent.

Syntax

Is Gross Potential Rent(Property, Charge Type)

Records used

Property Charge Controls.

Parameters

Property - the property ID.

Charge Type - the charge type.

Return

True (1) if true; False (0) if false.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Lease Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Lease's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Balance As Of example

To find the lease balance as of the system date, based on the transaction date of the entries, use this function:

Lease Balance As Of(Lease, 0, System Date, Transaction Date)

If the lease balance is 6500.00, this function will return 2500.00 if the system date is 6/20/99:

Transaction Amount | Transaction Date
1500.00 | 6-04-99
1000.00 | 6-15-99
2000.00 | 7-01-99
2000.00 | 8-01-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Balance As Of function

Use to determine the lease balance, as of a certain date. The function starts with the current lease balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date.

Syntax

Lease Balance As Of(Lease, Revision, As Of Date, Date To Use)

Records used

Lease and Transaction.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

As Of Date -the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the of date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Dep Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Lease Dep Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Lease's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Dep Balance As Of example

To find the lease deposit balance, as of the system date, based on the transaction date of the entries, use this function:

Lease Dep Balance As Of(Lease, 0, " ", System Date, Transaction Date)

If the lease deposit balance is 800.00, this function will return 600.00 if the system date is 6/20/99:

Deposit Type | Deposit | Transaction Date
Refundable security | 500.00 | 6-04-99
Non-refundable security | 100.00 | 6-15-99
Key | 200.00 | 6-30-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Dep Balance As Of function

Use to determine the lease deposit balance, as of a certain date. The function starts with the current lease deposit balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date. You can also limit the deposits to include only those for a specific deposit type.

Syntax

Lease Dep Balance As Of (Lease, Revision, "Deposit Type", As Of Date, Date To Use)

Records used

Lease Deposit and Transaction.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Deposit Type - the deposit type (enclosed in quotes) used to determine which entries to include. The deposit type is not required. If the deposit type is left blank (for example, " ") the deposit balance reflects the total of all deposits.

As Of Date - the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Int Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Lease Int Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Lease's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Int Balance As Of example

To find the lease interest balance as of the system date, based on the transaction date of the entries, use this function:

Lease Int Balance As Of(Lease, 0, " ", System Date, Transaction Date)

If the lease interest balance is 600.00, this function will return 500.00 if the system date is 6/20/99:

Deposit Type | Interest | Transaction Date
Refundable security | 300.00 | 6-04-99
Non-refundable security | 200.00 | 6-15-99
Key | 100.00 | 6-30-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Int Balance As Of function

Use to determine the lease interest balance, as of a certain date. The function starts with the current lease interest balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date. You can also limit the interest balance to include only those for a specific deposit type.

Syntax

Lease Int Balance As Of (Lease, Revision, "Deposit Type", As Of Date, Date To Use)

Records used

Lease Deposit and Transaction.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Deposit Type - the deposit type (enclosed in quotes) used to determine which entries to include. The deposit type is not required. If the deposit type is left blank (for example, " "), the interest balance reflects the total interest for all deposits.

As Of Date - the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the type of date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Sales Volume example

To determine the total "Reported" sales volume from January 1999 to March 1999 for every lease use this function:

Lease Sales Volume(Lease, Lease Revision, Store Type, Sales Category, "Reported", " ", Todate, Fromdate)

In the example below, the lease volume function would return 91,850.84 for lease "ROS-AMI001" from January to March of 1999 by calculating (33,839.78 + 29005.54 + 29005.52); the lease sales volume for lease "ROS-BEL001" from January to March 1999 is (39,772.73 + 34,090.23 + 34,090.91) = 107,953.87. (There is no secondary Sales Type (optional) since the parameter is blank.)

Lease | Revision | Store Type | Sales Category | Sales Type | Month Year | Volume-"Reported"
ROS-AMI001 | 0 |  | Total | "Reported" | 1-1999 | 33,839.78
ROS-AMI001 | 0 |  | Total | "Reported" | 2-1999 | 29,005.54
ROS-AMI001 | 0 |  | Total | "Reported" | 3-1999 | 29,005.52
ROS-BEL001 | 0 |  | Total | "Reported" | 1-1999 | 39,772.73
ROS-BEL001 | 0 |  | Total | "Reported" | 2-1999 | 34,090.23
ROS-BEL001 | 0 |  | Total | "Reported" | 3-1999 | 34,090.91

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Sales Volume function

Use to accumulate the lease sales volume monthly amounts and return the lease sales volume amount for a given date range.

The Lease Sales Volume function (similar to the Property Sales Volume function) summarizes sales volume for each lease.

Syntax

Lease Sales Volume (Lease, Revision, Store Type, Sales Category, Sales Type, From Date, To Date)

Parameters

lease - the lease ID

revision - the lease revision number

store type - the store type to use to retrieve a total for only that store type, such as restaurant, jewelry, hardware, and so on. This parameter is optional; use blank to get all stores for property.

sales category - the sales type to use to get the total. This is required.

primary sales type - the sales type to use to get the total. This is required.

secondary sales type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

from date - the date of the beginning month to be used to determine the property sales volume. Can use a date field or enter a specific date using NEWDATE (mmddyyyy). Any day of the month may be used when entering this date since this function looks at the entire month.

to date - the date of the ending month to be used to determine the property sales volume. Can use a date field or enter a specific date using NEWDATE (mmddyyyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Numeric with 2 places.

Note: This function was designed to be used with reports that sort in property, lease, revision order.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Aging Total comments

The Lease Aging Total function reads through all of the open items in the CURRENT.PMT file for the specified lease and lease revision number and returns the sum of the charge amounts and credit amounts for all open items that meet this criteria:

  • The number of delinquent days is greater than or equal to the Start Aging Day, and is less than or equal to the End Aging Day.
  • The number of days that an open item is delinquent is calculated by subtracting the charge date from the Aging Date. To find the total amount over a certain number of days (e.g., greater than 120 days), enter zero for the End Aging Day.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Aging Total example

To determine the aging totals as of 4-20-99, create the series of formulas using this function.

Formula Name | Syntax
0-30 days | Lease Aging Total(Lease,0,0,30,NEWDATE(042099))
31-60 days | Lease Aging Total(Lease,0,30,60,NEWDATE(042099))
6 1-90 days | Lease Aging Total(Lease,0,60,90,NEWDATE(042099))
Over 90 days | Lease Aging Total(Lease,0,90,0,NEWDATE(042099))

If the CURRENT.PMT file contains the following open items for a lease, the above functions will return the aging totals shown below.

Unit ID | Charge Type | Charge Date | Charge Amount | Credit Amount
1 | RENT | 01-01-99 | 1200.00 |
1 | PARK | 01-01-99 | 350.00 | -350.00
------- | ------- | ------- | ------- | -------
1 | RENT | 02-01-99 | 1200.00 |
1 | PARK | 02-01-99 | 350.00 | -100.00
------- | ------- | ------- | ------- | -------
1 | RENT | 03-01-99 | 1200.00 |
1 | PARK | 03-01-99 | 350.00 |
------- | ------- | ------- | ------- | -------
1 | RENT | 04-01-99 | 1200.00 |
1 | PARK | 350.00 | 350.00 |

Current (3/22 - 4/20) | Over 30 (2/20 - 3/21) | Over 60 (1/20 - 2/19) | Over 90
1550.00 | 1550.00 | 1450.00 | 1200.00

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lease Aging Total function

Use to return aging period totals as of a specific date.

Syntax

Lease Aging Total(Lease, Revision, Start Aging Day, End Aging Day, Aging Date)

Records used

Open Items.

Parameters

Lease - the lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Start Aging Day - the number of days added to the aging date to determine the first day in the aging period.

End Aging Day - the number of days added to the aging date to determine the last day in the aging period.

Aging Date - the date used to determine how old the unpaid open items are. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comments

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Leased Unit Vacant As Of comment

When evaluating vacancy, the Move-In day is considered occupied and the Move-Out day is considered vacant. For the move-in and move-out dates, this function uses the following:

  • If the status of the lease is Current, Terminated or Historical, the Actual Move-In and Actual Move-Out dates are used.
  • If the status of the lease is Future, the Intended Move-In and Intended Move-Out dates are used.
  • Canceled leases are not considered.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Leased Unit Vacant As Of example

To determine whether a unit will be vacant on March 30, 2000, use this function:

Leased Unit Vacant As Of (Property, Unit, 03/30/2000)

This function will return a value of True (e.g., unit 100 will be vacant on 3/30/00), based on the following information in the Lease and Unit Lease records below:

Property | Lease | Lease Status | Unit | Actual Move In Date | Actual Move Out Date
255 | 93001 | Current | 100 | 3/1/1998 | 3/30/2000

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Leased Unit Vacant As Of function

Use to determine, at the lease level, whether a unit was, is, or will be vacant on a specific date. This can be a past, present or future date. This function is used in lease-based reports and inquiries.

Syntax

Leased Unit Vacant As Of (Property, Unit, As Of Date)

Records used

Lease and Unit Lease.

Parameters

Property - the property ID.

Unit - the unit ID.

As Of Date - the date used to determine if a unit is, was, or will be vacant. Can use a date field or enter a specific date using NEWDATE(mmddyyyy).

Return

True/False. If the function returns a value of "True", the unit will be vacant on the "As Of Date", per the lease. If the function returns a value of "False", the unit will be occupied on the "As Of Date", per the lease.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of Property Management functions

List of Property Management formula functions

Avg Unit Occupied SF(Property, Unit, Square Footage Type, From Date, To Date) - returns the average occupied unit square footage for a given square footage type, for a given date range. This function also takes into account whether or not the unit is occupied.

Avg Unit Sq Footage(Property, Unit, Square Footage Type, From Date, To Date) - returns the average unit square footage for a given square footage type, for a given date range.

Days Unit Occupied(From Date, To Date) - returns the number of days a unit is occupied for a particular period.

Days Unit Vacant(From Date, To Date) - returns the number of days a unit is vacant for a particular period.

Effective Charge Amount(Lease, Revision, Charge Type, Unit, Date) - returns the current charge for a charge type, as of a specific date.

Effective Interest Rate(interest ID, Date) - returns the effective interest rate from the Property Management Interest Rate table for an Interest ID as of a specific date.

Effective Unit Sqr. Feet(Property, Unit, Square Footage Type, Date) - returns the unit square footage as of a specific date.

Future Charge Date(Least, Revision, Charge Type, Unit, As of Date, Index) - returns the date of future scheduled increase(s).

Gross Potential Rent Amt(Lease, Revision, Date) - returns the sum of the accumulated amounts returned from the Effective Charge Amount function, as of a specific date, for those charge types included in Gross Potential Rent (GPR).

Is Gross Potential Rent(Property, Charge Type) - determines if a property charge type record is considered part of Gross Potential Rent.

Is Tenant Comparable(Lease, Revision, From Date, To Date) - determines if a lease should be included on sales comparison reports.

Lease Aging Total(Lease, Revision, Start Aging Day, End Aging Day, Aging Date) - returns aging period totals as of a specific date.

Lease Balance As Of(Lease, Revision, As Of Date, Date To Use) - determines the lease balance, as of a certain date.

Lease Dep Balance As Of(Lease, Revision, "Deposit Type", As Of Date, Date To Use) - determines lease deposit balance, as of a certain date. You can also limit the deposits to include only those for a specific deposit type.

Lease Int Balance As Of(Lease, Revision, "Deposit Type", As Of Date, Date To Use ) - determines the lease interest balance, as of a certain date. You can also limit the interest balance to include only those for a specific deposit type.

Lease Sales Volume Function(Property, Lease, Revision, Store Type, Sales Category, Sales Type, From Date, To Date) - accumulates the lease sales volume monthly amounts and returns the lease sales volume amount for a given date range.

Leased Unit Vacant As Of (Property, Unit, As Of Date) - determines, at the lease level, whether a unit was, is, or will be vacant on a specific date.

Missing Monthly Sales(Lease, Revision, Sales Category, Sales Type, Date) - determines if the sales have not yet been reported for a particular lease, sales category, sales type and date.

Projected Annual Charge(Lease, Revision, Charge Type, Unit, Date) - returns the sum of the projected annual charge amounts.

Projected Annual GPR(Lease, Revision, Charge Type, Unit, Date) - returns the sum of the projected annual charge amounts included in Gross Potential Rent.

Projected Monthly Charge(Lease, Revision, Charge Type, Unit, Date) - returns the sum of the projected monthly charge amounts.

Projected Monthly GPR(Lease, Revision, Charge Type, Unit, Date) - returns the sum of the projected monthly charge amounts included in Gross Potential Rent.

Property Sales Volume (Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date) - determines the lease sales volume amounts to determine the property totals.

Rank by Property(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date) - ranks a lease within its property.

Rank by Store Type(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date) - ranks a lease, in relation to the other leases with a similar store type, within its property.

Rank Text by Property(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date) - ranks a lease within its property, and indicates the total number of leases used for the comparison.

Rank Text by Store Type(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date) - ranks a lease, in relation to the other leases with a similar store type within its property, and indicates the total number of leases used for the comparison.

Recovery Apply Cap(Lease, Revision, charge type, Unit, Amount, Cap Amount) - applies the cap amount during the escalation and recovery processes.

Recovery Apply Stop(Lease, Revision, Charge Type, Unit, Amount, Stop Amount) - applies the stop amount during the escalation and recovery processes.

Recovery Concession Percent( ) - determines the percent of chargeable expenses for a given month, based on the concession periods of recoverable expenses.

Tenant Aging Total(Tenant, Address Type, Start Aging Day, End Aging Day, Aging Date) - returns the aging totals for the tenant, as of a specific date.

Tenant Balance As Of(Tenant, As Of Date, Date To Use) - determines the tenant balance, as of a certain date.

Tenant Dep Balance As Of(Tenant, "Deposit Type", As Of Date, Date To Use) - determines the tenant deposit balance, as of a certain date. You can also limit the deposits to include only those for a specific deposit type.

Tenant Int Balance As Of(Tenant, "Deposit Type", As Of Date, Date To Use) - determines the tenant interest on deposits, as of a certain date. You can also limit the interest balance to include only those for a specific deposit type.

Total Charge Amount(Lease, Revision, From Date, To Date) - finds the sum of the projected charges for a given date range.

Total GPR Amount(Lease, Revision, From date, To date) - finds the sum of the projected charges included in Gross Potential Rent for a given date range.

Unit Sq Ft Effective Date(Property, Unit, Square Footage Type, Date) - returns the effective date of a unit's square footage amount as of a specific date.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Missing Monthly Sales comment

The Missing Monthly Sales function compares the date you enter to the sales start and end dates, as well as to the temporary stop and restart dates. If the requested month is prior to the sales categories Sales Start Date, or on or after the Sales End Date, the function returns a value of false (which indicates that sales are not missing); If the requested month is within the Temp Sales Stop Date and Temp Sales Restart Date, the function also returns a value of false.

Note: Because this function deals only with entire (not partial) months, you can use any day of the month when entering the date parameter. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Missing Monthly Sales example

To determine if the monthly sales volume for a lease has not yet been reported for March of 1999, use this function:

Missing Monthly Sales(Lease, 0, sales category, sales type, NEWDATE(030199))

This function will return True (1) for lease 100, indicating that sales are missing for March, based on the following information:

Lease | Sales Category | Sales Type | Date
100 | Total | Reported | 02-99
123 | Total | Reported | 02-99
123 | Total | Reported | 03-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Missing Monthly Sales function

Use to determine if the sales have not yet been reported for a particular lease, sales category, sales type and date.

Syntax

Missing Monthly Sales(Lease, Revision, sales category, sales type, Date)

Records used

Lease, Lease Sales Category and Lease Sales Volume Monthly.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Sales Category - the sales category.

sales type - the sales type.

Date - the date of the month to be used to determine if the monthly sales volume record is missing. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

True (1) if true; False (0) if false. If the function returns a value of "True", that means the sales volume figures were missing. If the function returns a value of "False", that means the sales volume figures were found.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual Charge comment

When determining the charges to include, the Projected Annual Charge function uses the following criteria:

  • If the charge is Annual, the charge is used, regardless of the month or day of the Next Charge. If the charge changes during the year, the annual charge is prorated based on the change.
  • If the charge is weekly, biweekly, monthly, quarterly or semi annually, the amount that would be charged during the year is calculated, prorating for scheduled increases and termination dates, if needed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual Charge example

To find the projected annual charges, for the year ending 12-31-1999, for all charge types and units, use this function:

Projected Annual Charge(Lease, 0, " ", " ", NEWDATE(123199))

This function will return 13,600.00, based on the following information:

Charge Type | Unit | Frequency | Effective Date | Amount | Calculation
RENT | 100 | Monthly | 6-01-98 | 900.00 | 12 @ 900 = 10,800
PARK | 100 | Monthly | 6-05-98 | 200.00 | 12 @ 200 = 2,400
CAM | 100 | Quarterly | 1-01-99 | 100.00 | 4 @100 = 400
RENT | 100 | Monthly | 1-01-00 | 1000.00 |

Note: For December, 2000, this function will return 14,800.00, as the 1000.00 RENT charge becomes effective January 1, 2000.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual Charge function

Use to return the sum of the projected annual charge amounts for the 12-month period beginning on the Date parameter.

Syntax

Projected Annual Charge(Lease, Revision, Charge Type, Unit, Date)

Records used

Property, Lease, Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type. If the charge type is left blank (for example, " " ), all charges will be included.

Unit - the unit. If the unit is left blank (for example, " " ) all units will be included.

Date - the date used to determine the month and year of the charges to include (the day is ignored). Can use a date field, such as a prompt field in TS-Report, or enter a specific date using NEWDATE(mmddyy). This date is used as the starting point for the projection 12 periods into the future. For example, if March 1, 1999 is used as the Date parameter, charges for March 1999 through Feb 2000 will be included.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual GPR comment

When determining the charges to include, the Projected Annual GPR function uses the following criteria:

  • If the charge is Annual, the charge is used, regardless of the month or day of the Next Charge. If the charge changes during the year, the annual charge is prorated based on the change.
  • If the charge is weekly, biweekly, monthly, quarterly or semi annually, the amount that would be charged during the year is calculated, prorating for scheduled increases and termination dates, if needed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual GPR example

To find the projected annual charges included in GPR, for all charge types and units, use this function:

Projected Annual GPR(Lease, 0, " ", " ", NEWDATE(123199))

This function will return 13,200.00, based on the following information:

Property | Charge Type | GPR
255 | <default> |
255 | CAM |
255 | RENT | ü
255 | PARK | ü

Charge Type | Unit | Frequency | Effective Date | Amount | Calculation
RENT | 100 | Monthly | 3-01-98 | 900.00 | 12 @ 900 = 10,800
CAM | 100 | Quarterly | 3-01-98 | 100.00 | (not included)
PARK | 100 | Monthly | 3-30-98 | 200.00 | 12 @ 200 = 2,400
RENT | 100 | Monthly | 1-01-00 | 1200.00 |

Note: For December, 2000, this function will return 16,800.00, as the 1200.00 RENT charge becomes effective January 1, 2000.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Annual GPR function

Use to return the sum of the projected annual charge amounts included in Gross Potential Rent for the month and year represented by the Date parameter. Charges are considered Gross Potential Rent charges if the check box on the Property Charge Controls is checked.

Syntax

Projected Annual GPR(Lease, Revision, Charge Type, Unit, Date)

Records used

Property, Lease, Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type. If the charge type is left blank (for example, " " ) all charges will be included.

Unit - the unit. If the unit is left blank (for example, " " ) all units will be included.

Date - the date used to determine the month and year of the charges to include (the day is ignored). Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Monthly Charge comment

If the charge is quarterly, semi annually, or annually, the charge is converted to monthly by dividing by 3,6 or 12 respectively. If there is a scheduled increase, or if there is terminate date in the frequency of the charge, the charge is prorated based on the change.

If the charge is weekly or biweekly, the charge is adjusted to monthly, also taking into account scheduled increases and termination dates.

When determining the charges to include, the Projected Monthly Charge function looks at the entire month, regardless of the day entered (e.g., if you enter a date of 6/15/99, the function looks at charges for the entire month of June). If the charge changes in that month, the charge is prorated based on the change.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Monthly Change example

Projected Monthly Charge example

To find the projected monthly charges for June, 1999, for all charge types and units, use this function:

Projected Monthly Charge(Lease, 0, " ", " ", NEWDATE(063099))

This function will return 1133.33, based on the following information:

Charge Type | Unit | Frequency | Effective Date | Amount
RENT | 100 | Monthly | 6-01-99 | 900.00
PARK | 100 | Monthly | 6-05-99 | 200.00
CAM | 100 | Quarterly | 1-01-99 | 100.00
RENT | 100 | Monthly | 8-01-99 | 1000.00

Note:

  • Notice that the one third of the $100.00 quarterly CAM charge (e.g., 33.33) is used for the projected monthly charge.
  • For August, 1999, this function will return 1233.33, as the 1000.00 RENT charge becomes effective 8-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Monthly Charge function

Use to return the sum of the projected monthly charge amounts for the month and year represented by the Date parameter.

Syntax

Projected Monthly Charge(Lease, Revision, Charge Type, Unit, Date)

Records used

Property, Lease, Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type. If the charge type is left blank (for example, " " ) all charges will be included.

Unit - the unit. If the unit is left blank (for example, " " ) all units will be included.

Date - the date used to determine the month and year of the charges to include (the day is ignored). Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Project Monthly GPR comment

Projected Monthly GPR comment

If the charge is quarterly, semi annually, or annually, the charge is converted to monthly by dividing by 3,6 or 12 respectively. If there is a scheduled increase or if there is terminate date in the frequency of the charge, the charge is prorated based on the change.

If the charge is weekly or biweekly, the charge is adjusted to monthly, also taking into account scheduled increases and termination dates.

When determining the charges to include, the Projected Monthly GPR function looks at the entire month, regardless of the day entered (e.g., if you enter a date of 6/15/99, the function looks at charges for the entire month of June).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Monthly GPR example

To find the projected monthly charges included in Gross Potential Rent for June, 1999, for all charge types and units, use this function:

Projected Monthly GPR(Lease, 0, " ", " ", NEWDATE(063099))

This function will return 1100.00, based on the following information:

Property | Charge Type | GPR
255 | <default |
255 | CAM |
255 | RENT | ü
255 | PARK | ü

Charge Type | Unit | Frequency | Effective Date | Amount
RENT | 100 | Monthly | 6-01-99 | 900.00
CAM | 100 | Quarterly | 6-01-99 | 250.00
PARK | 100 | Monthly | 6-05-99 | 200.00
RENT | 100 | Monthly | 8-01-99 | 1000.00

Note: For August, 1999, this function will return 1200.00, as the 1000.00 RENT charge becomes effective 8-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Projected Monthly GPR function

Use to return the sum of the projected monthly charge amounts included in Gross Potential Rent for the month and year represented by the Date parameter. Charges are considered Gross Potential Rent charges if the check box on the Property Charge Controls is checked.

Syntax

Projected Monthly GPR(Lease, Revision, Charge Type, Unit, Date)

Records used

Property, Lease, Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type. If the charge type is left blank (for example, " " ) all charges will be included.

Unit - the unit. If the unit is left blank (for example, " " ) all units will be included.

Date - the date used to determine the month and year of the charges to include (the day is ignored). Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Property Sales Volume function

Use to accumulate the lease sales volume amounts and return the property sales volume amount, for a given date range.

Syntax

Property Sales Volume (Property, Store Type, Sales Category, Primary Sales Type, Secondary Sales Type, From Date, To Date)

Records used

Lease Sales Volume Monthly and Lease Sales Volume Calendar Year.

Parameters

Property - the property ID.

Store Type - the store type to use if you want to get a total of just that store type, such as Restaurant, Jewelry, Hardware, etc. (this is optional). Use blank (" ") to get a total of all stores for the property.

Sales Category - the sales category to use to get the total. This is required.

Primary Sales Type - the sales type to use to get the total. This is required.

Secondary Sales Type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

From Date - the date of the beginning month to be used to determine the property's sales volume. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

To Date - the date of the ending month to be used to determine the property sales volume. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Numeric with 2 places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Property Sales Volume example

To determine the total "Reported" sales volume from January 1, 1999 to January 31, 1999, for all stores for a property, use this function:

Property Sales Volume(Property , " " ,"Total", "Reported", " ",NEWDATE(010199), NEWDATE(013199))

The Property Sales Volume function would return 150,000.00 for property 123 based on the following information in the Lease Sales Volume record:

Lease | Property | Store Type | Sales Type | Date | Sales Volume
100 | 123 | Book Store | Reported | 1-31-99 | 15,000
255 | 123 | Shoe Store | Reported | 1-31-99 | 25,000
300 | 123 | Jewelry | Reported | 1-31-99 | 30,000
375 | 123 | Shoe Store | Reported | 1-31-99 | 65,000
400 | 123 | Restaurant | Reported | 1-31-99 | 15,000
100 | 123 | Book Store | Reported | 2-28-99 | 17,500
255 | 123 | Shoe Store | Reported | 2-28-99 | 18,000

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Property comment

If the "From Date" month is January and the "To Date" month is December, calendar year sales volume is used for the ranking; otherwise, monthly sales volume is used. Only leases that are "comparable" are ranked. Non-comparable leases have a ranking of zero. Refer to the Is Tenant Comparable function for more information about comparability.

The Rank by Property function deals only with entire (not partial) months. As a result, you can use any day of the month when entering the "From Date" and "To Date" parameters. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on. The function then determines the ranking, from the first day of the "From Date" month through the last day of the "To Date" month.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Property example

To determine the ranking by property of a lease, based on reported sales for the month of January, 1999, use this function:

Rank by Property(Lease,0,"Reported"," ",NEWDATE(010199),NEWDATE(013199))

If all five leases that reported sales below are "comparable," this function would return a ranking of 3 for lease 255, based on the following information:

Lease | Property | Sales Type | Sales Volume | Ranking
100 | 123 | Reported | 10,000 | 5
255 | 123 | Reported | 25,000 | 3
300 | 123 | Reported | 45,000 | 2
375 | 123 | Reported | 65,000 | 1
400 | 123 | Reported | 17,000 | 4

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Property function

Use to rank a lease within its property. For example, the lease with the top sales volume is number 1, the lease with the second highest sales volume is number 2, etc.

Syntax

Rank by Property(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date)

Records used

Property, Lease, Lease Percentage Rent Controls and Lease Sales Volume Monthly or Lease Sales Volume Calendar Year.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Primary Sales Type - the sales type to use to determine the tenant's sales volume ranking.

Secondary Sales Type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

From Date - the date of the beginning month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

To Date - the date of the ending month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Numeric with no decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Store Type comment

If the "From Date" month is January and the "To Date" month is December, calendar year sales volume is used for the ranking; otherwise, monthly sales volume is used. Only leases that are "comparable" are ranked. Non-comparable leases have a ranking of zero. Refer to the Is Tenant Comparable function for more information about comparability.

The Rank by Store Type function deals only with entire (not partial) months. As a result, you can use any day of the month when entering the "From Date" and "To Date" parameters. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on. The function then determines the ranking, from the first day of the "From Date" month through the last day of the "To Date" month.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Store Type example

To determine the ranking by store type of a lease, based on reported sales for the month of January, 1999, use this function:

Rank by Store Type(Lease,0,"Reported"," ",NEWDATE(010199),NEWDATE(013199))

If all five leases that reported sales below are "comparable," this function would return a ranking for lease 255 of "2" among the shoe stores at property 123, based on the following information:

Lease | Property | Sales Type | Store Type | Sales Volume | Ranking of Shoe Stores
100 | 123 | Reported | Book Store | 10,000 |
255 | 123 | Reported | Shoe Store | 25,000 | 2
300 | 123 | Reported | Jewelry | 45,000 |
375 | 123 | Reported | Shoe Store | 65,000 | 1
400 | 123 | Reported | Restaurant | 17,000 |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank by Store Type function

Use to return the rank of a lease, in relation to the other leases with a similar store type, within its property. For example, if there are five leases within a property, two of which are shoe stores, the shoe store lease with the top sales volume is ranked 1 and the shoe store lease with the second highest sales volume is ranked 2.

Syntax

Rank by Store Type(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date)

Records used

Property, Lease, Lease Percentage Rent Controls and Lease Sales Volume Monthly or Lease Sales Volume Calendar Year.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

Primary Sales Type - the sales type to use to determine the tenant's sales volume ranking.

Secondary Sales Type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

From Date - the date of the beginning month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

To Date - the date of the ending month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Numeric with no decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Property comment

If the "From Date" month is January and the "To Date" month is December, calendar year sales volume is used for the ranking; otherwise, monthly sales volume is used. Only leases that are "comparable" are ranked. Non-comparable leases have a ranking of zero. Refer to the Is Tenant Comparable function for more information about comparability.

The Rank Text by Property function deals only with entire (not partial) months. As a result, you can use any day of the month when entering the "From Date" and "To Date" parameters. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on. The function then determines the ranking, from the first day of the "From Date" month through the last day of the "To Date" month.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Property example

To determine the ranking by property of a lease, as well as the total number of leases to which it was compared, based on reported sales for the month of January, 1999, use this function:

Rank Text by Property(Lease,0,"reported"," ",NEWDATE(010199),NEWDATE(013199))

If all five leases that reported sales below are "comparable," this function would return a ranking of "3 of 5" for lease 255, based on the following information:

Lease | Property | Sales Type | Sales Volume | Ranking
100 | 123 | Reported | 10,000 | 5 of 5
255 | 123 | Reported | 25,000 | 3 of 5
300 | 123 | Reported | 45,000 | 2 of 5
375 | 123 | Reported | 65,000 | 1 of 5
400 | 123 | Reported | 17,000 | 4 of 5

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Property function

Use to determine the rank of a lease within its property. This function also indicates the total number of leases used for the comparison. For example, if there are five leases within a property, the lease with the top sales volume is ranked "1 of 5", the lease with the second highest sales volume is ranked "2 of 5", etc.

Syntax

Rank Text by Property(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date)

Records used

Property, Lease, Lease Percentage Rent Controls and Lease Sales Volume Monthly or Lease Sales Volume Calendar Year.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Primary Sales Type - the sales type to use to determine the tenant's sales volume ranking.

Secondary Sales Type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

From Date - the date of the beginning month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy)). Any day of the month may be used when entering this date, as this function looks at the entire month.

To Date - the date of the ending month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy)). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Alpha text.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Store Type comment

If the "From Date" month is January and the "To Date" month is December, calendar year sales volume is used for the ranking; otherwise, monthly sales volume is used. Only leases that are "comparable" are ranked. Non-comparable leases have a ranking of zero. Refer to the Is Tenant Comparable function for more information about comparability.

The Rank Text by Store Type function deals only with entire (not partial) months. As a result, you can use any day of the month when entering the "From Date" and "To Date" parameters. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on. The function then determines the ranking, from the first day of the "From Date" month through the last day of the "To Date" month.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Store Type example

To determine the ranking by store type of a lease, based on reported sales for the month of January, 1999, use this function:

Rank Text by Store Type(Lease,0,"Reported"," ",NEWDATE(010199),NEWDATE(013199))

If all five leases that reported sales below are "comparable," this function would return a ranking for lease 255 of "2of 2" among the shoe stores at property 123, based on the following information:

Lease | Property | Sales Type | Store Type | Sales Volume | Ranking of Shoe Stores
100 | 123 | Reported | Book Store | 10,000 |
255 | 123 | Reported | Shoe Store | 25,000 | 2 of 2
300 | 123 | Reported | Jewelry | 45,000 |
375 | 123 | Reported | Shoe Store | 65,000 | 1 of 2
400 | 123 | Reported | Restaurant | 17,000 |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rank Text by Store Type function

Use to return the rank of a lease, in relation to the other leases with a similar store type, within its property This function also indicates the total number of leases used for the comparison. For example, if there are five leases within a property, two of which are shoe stores, the shoe store lease with the top sales volume is ranked "1 of 2" among the shoe stores and the shoe store lease with the second highest sales volume is ranked "2 of 2."

Syntax

Rank Text by Store Type(Lease, Revision, Primary Sales Type, Secondary Sales Type, From Date, To Date)

Records used

Property, Lease, Lease Percentage Rent Controls and Lease Sales Volume Monthly or Lease Sales Volume Calendar Year.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Primary Sales Type - the sales type to use to determine the tenant's sales volume ranking.

Secondary Sales Type - the sales type to use to determine the tenant's sales volume ranking if the amount for the primary sales type is zero. Must enter a blank (for example, " ") if you do not have a secondary sales type.

From Date - the date of the beginning month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

To Date - the date of the ending month to be used to determine the tenant's sales volume ranking. Can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

Alpha text.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Cap comment

During processing, the Recovery Apply Cap formula determines the expense amount up to the cap by comparing the original amount to the cap amount.

If the original amount is less than the cap amount, the result is Amount. If the original amount is greater than or equal to the cap amount, the result is the cap.

If there is an accumulated cap amount, the result is also compared to the accumulated cap amount and the result is the amount between the accumulated cap and the cap.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Cap example

To determine the result after applying the cap, with an expense amount of 5,000.00 and a cap amount of 6,000.00, use this function:

Recovery Apply Cap(Lease, 0, charge type, unit, amount, cap)

This function will return 3,000.00,if the fields on the Lease Recovery Controls record have the following values:

Lease | Rev | Chg Type | Unit | Amount | Cap Amount | Accum Cap
100-508 | 0 | CAM | 612 | 5,000.00 | 6,000.00 | 3,000.00

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Cap function

Use to apply the cap amount during the escalation and recovery process. This is used in the Reconciliation Calc Method and the Escalation Calc Method. Calculation methods are set up and modified using the Calculation Methods command from the Setup menu.

Syntax

Recovery Apply Cap(Lease, Revision, Charge Type, Unit, Amount, Cap Amount)

Records used

Lease Recovery Controls.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type.

Unit - the unit associated with the charge type.

Amount - the dollar amount to apply the cap against. This can be an amount field or can be entered as a specific dollar amount.

Cap Amount - the dollar amount to be used as the cap amount. Must be entered as a dollar amount.

Return

Amount left; numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Stop comment

During processing, the Recovery Apply Stop formula determines the amount after the stop by comparing the original amount to the stop amount.

If the original amount is less than the stop amount, the result is zero. If the original amount is greater than or equal to the stop amount, the result is Amount minus Stop amount.

If there is an accumulated stop amount, the result is also compared to the accumulated stop amount and only the amount greater than the accumulated stop is applied, and the accumulated stop is updated.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Stop example

To determine the result after applying the stop for a lease, with an expense amount of 5,000.00 and a stop amount of 2,000.00, use this function:

Recovery Apply Stop(Lease, 0, Charge Type, Unit, Amount, Stop Amount)

This function will return 4,500.00, if the fields on the Lease Recovery Controls record have the following values:

Lease | Rev | Chg Type | Unit | Amount | Stop Amount | Accum Stop
100-508 | 0 | CAM | 612 | 5,000.00 | 2,000.00 | 1,500.00

Note: 1,500.00 has already been applied to the 2,000.00 stop so the remaining stop is 500.00.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Apply Stop function

Use to apply the stop amount during the escalation and recovery process. This is used in the Reconciliation Calc Method and the Escalation Calc Method.

Syntax

Recovery Apply Stop(Lease, Revision, Charge Type, Unit, Amount, Stop Amount)

Records used

Lease Recovery Controls.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

Charge Type - the charge type.

Unit - the unit associated with the charge type.

Amount - the dollar amount to apply the stop against. This can be an amount field or can be entered as a specific dollar amount.

Stop Amount - the dollar amount to be used as the stop amount. Must be entered as a dollar amount.

Return

Amount left; numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Concession Percent example

To determine the percent of chargeable expense for the reconciliation period. If the lease recovery has a concession period of February 1 through March 15, this function would return the information as follows:

Month | Concessions for the month | Amount returned
January | none | 1.000000 (100 percent of the expenses are chargeable)
February | entire month | 0.000000 (none of the expenses are chargeable)
March | March 1 through March 15 | 0.516129 (52 percent of the expenses are chargeable)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recovery Concession Percent function

Use to determine the percent of chargeable expenses for a given month based on the concession periods of recoverable expenses. This function is used in the reconciliation basis calculation method for recoverable expenses to adjust the expenses for concessions.

Syntax

None.

Records used

Lease Recovery Basis Results and Lease Recovery Concession Period.

Parameters

None.

Return

Numeric with 6 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Tenant Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Tenant's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Balance As Of example

To find the tenant balance, as of the system date, based on the transaction date of the entries, use this function:

Tenant Balance As Of(Tenant, System Date, Transaction Date)

If the tenant balance is 2500.00, this function will return 1500.00 if the system date is 6/20/99:

Transaction Amounts | Transaction Date
500.00 | 6-04-99
1000.00 | 6-15-99
1000.00 | 7-01-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Balance As Of function

Use to determine the tenant balance, as of a certain date. The function starts with the current tenant balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date.

Syntax

Tenant Balance As Of(Tenant, As Of Date, Date To Use)

Records used

Tenant, Tenant Lease and Transaction.

Parameters

Tenant - the ID of the tenant.

As Of Date - the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Dep Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Tenant Dep Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Tenant's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Dep Balance As Of example

To find the deposit balance, for all deposit types as of the system date, based on the transaction date, use this function:

Tenant Dep Balance As Of(Tenant, " ", System Date, Transaction Date)

If the deposit balance is 1700.00, this function will return 1500.00 if the system date is 6/20/99:

Deposit Type | Deposit | Transaction Date
Refundable security | 1000.00 | 6-04-99
Non-refundable security | 500.00 | 6-15-99
Key | 200.00 | 6-30-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Dep Balance As Of function

Use to determine the tenant deposit balance, as of a certain date. The function starts with the current tenant deposit balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date. You can also limit the deposit balance to include only those for a specific deposit type.

Syntax

Tenant Dep Balance As Of (Tenant, "Deposit Type", As Of Date, Date To Use)

Records used

Tenant Lease, Lease Deposit and Transaction.

Parameters

Tenant - the ID of the tenant.

Deposit Type - the deposit type (enclosed in quotes) used to determine which entries to include. The deposit type is not required. If the deposit type is left blank (for example, " "), the deposit balance reflects the total of all deposits.

As Of Date - the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Int Balance As Of comment

It is assumed that the current transaction file will be used to run reports that contain the Tenant Int Balance As Of function. If other named transaction files, including historical transaction files, contain entries that fall after the As of Date and affect the Tenant's balance, include these files when printing the report.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Int Balance As Of example

To find the tenant interest balance, for all deposit types as of the system date, based on the transaction date, use this function:

Tenant Int Balance As Of(Tenant, " ", System Date, Transaction Date)

If the interest balance is 370.00, this function will return 350.00 if the system date is 6/20/99:

Deposit Type | Interest | Transaction Date
Refundable security | 250.00 | 6-04-99
Non-refundable security | 100.00 | 6-15-99
Key | 20.00 | 6-30-99

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Int Balance As Of function

Use to determine the tenant interest on deposits, as of a certain date. The function starts with the current tenant interest balance and adjusts it by excluding the entries that have an Accounting Date/Transaction Date that falls after the As Of Date. You can also limit the interest balance to include only those for a specific deposit type.

Syntax

Tenant Int Balance As Of (Tenant, "Deposit Type", As Of Date, Date To Use)

Records used

Tenant Lease, Lease Deposit and Transaction.

Parameters

Tenant - the ID of the tenant.

Deposit Type - the deposit type (enclosed in quotes) used to determine which entries to include. The deposit type is not required. If the deposit type is left blank (for example, " "), the interest balance reflects the total interest for all deposits.

As Of Date - the date used to determine which entries to exclude. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Date To Use - the type of date to compare to the As Of Date. Can be either the transaction date or the accounting date.

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Aging Total comments

The Tenant Aging Total function reads through all of the open items in the CURRENT.PMT file for the specified lease and lease revision number and returns the sum of the charge amounts and credit amounts for all open items that meet this criteria:

  • The number of delinquent days is greater than or equal to the Start Aging Day, and is less than or equal to the End Aging Day.
  • The number of days that an open item is delinquent is calculated by subtracting the charge date from the Aging Date. To find the total amount over a certain number of days (e.g., greater than 120 days), enter zero for the End Aging Day.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Aging Total example

To determine the aging totals as of 4-20-99, use these functions:

Formula Name | Syntax
0-30 days | Tenant Aging Total(Tenant, Address Type,0,30,NEWDATE(042099))
31-60 days | Tenant Aging Total(Tenant, Address Type,30,60,NEWDATE(042099))
61-90 days | Tenant Aging Total(Tenant, Address Type,60,90,NEWDATE(042099))
Over 90 days | Tenant Aging Total(Tenant, Address Type,90,0,NEWDATE(042099))

If the CURRENT.PMT file contains the following open items for Brassworks, the above functions will return the aging totals shown below.

Charge Type | Charge Date | Charge Amount | Credit Amount
RENT | 01-01-99 | 1200.00 |
PARK | 02-01-99 | 350.00 | -350.00
RENT | 03-01-99 | 1200.00 |
PARK | 04-01-99 | 350.00 | -100.00
RENT | 01-01-99 | 1200.00 |
PARK | 02-01-99 | 350.00 |
RENT | 03-01-99 | 1200.00 |
PARK | 04-01-99 | 350.00 |

Current (3/22 - 4/20) | Over 30 (2/20 - 3/21) | Over 60 (1/20 - 2/19) | Over 90
1550.00 | 1550.00 | 1450.00 | 1200.00

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tenant Aging Total function

Use to return the aging totals for the tenant, as of a specific date.

Syntax

Tenant Aging Total(Tenant, Address Type, Start Aging Day, End Aging Day, Aging Date)

Records used

Open Items, Tenant Address.

Parameters

Tenant - the tenant ID.

Address Type - the Tenant Address Type field.

Start Aging Day - the number of days added to the aging date to determine the first day in the aging period.

End Aging Day - the number of days added to the aging date to determine the last day in the aging period.

Aging Date - the date used to determine how old the unpaid open items are. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Is Tenant Comparable comment

In order to be considered comparable, the lease's Total sales category must have uninterrupted sales during the date range specified. "Uninterrupted sales" means that there are sales for the entire period specified (e.g., the dates specified are within the Sales Start Date and Sales Stop Date range, and are outside the Temp Stop Date and Temp Restart Date range). And, depending on the Tenant Comparability Option selected, one of the following conditions must be met:

  • Comparable after XX months of uninterrupted sales - The lease's Total sales category must have uninterrupted sales for XX months prior to the date range specified. For example, if the "From Date" is May 1999, and the property option is "Comparable after 12 months of uninterrupted sales", there must be uninterrupted sales from May 1998 to May 1999.
  • Comparable starting in <Jan/Feb/March, etc.> following XX months of uninterrupted sales -The lease's Total sales category must have uninterrupted sales from the date that is at least XX months prior to the "From Date." For example, if the "From Date" month is May 1999, and the property's option is "Comparable starting in January after 12 months of uninterrupted sales", there must be uninterrupted sales from January 1998 to May of 1999.
  • Formula - If the formula option was selected, the formula evaluation must return "true."

Note: This function deals only with entire (not partial) months. As a result, you can use any day of the month when entering the "From Date" and "To Date" parameters. For example, you can specify January 1999 as NEWDATE(010199), NEWDATE(010299), and so on. The function then determines whether the tenant is comparable, from the first day of the "From Date" month through the last day of the "To Date" month.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Is Tenant Comparable example

To determine if a lease should be included on sales comparison reports for January 1999 through March 1999, use this function:

Is Tenant Comparable(Lease,0,NEWDATE(010199),NEWDATE(033199))

This function will return True (1) for Lease 255 (assuming the tenant compatibility option criteria has been met), based on the following information:

Lease | Sales Category | Sales Start Date | Sales Stop Date | Temp Stop Date | Temp Restart Date | Comparable?
100 | Total | 01-01-99 | 12-31-99 | 02-01-99 | 03-01-99 | No
255 | Total | 10-01-98 | 04-30-99 |  |  | Yes
400 | Total | 05-01-97 | 02-15-99 |  |  | No

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Is Tenant Comparable function

Use to determine if a lease should be included on sales comparison reports.

Syntax

Is Tenant Comparable(Lease, Revision, From Date, To Date)

Records used

Property, Lease and, Lease Sales Category. Optional records used: Lease Custom Fields (if it exists) and Lease Percentage Rent Controls.

Parameters

Lease - the Lease ID.

Revision -the revision number of the lease. The original lease has a revision number of 0.

From Date - the beginning date of the month to be used to determine if the tenant should be included on sales comparisons and ranking reports. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the date of the ending month to be used to determine if the tenant should be included on sales comparisons and ranking reports. You can use a date field or enter a specific date using NEWDATE(mmddyy). Any day of the month may be used when entering this date, as this function looks at the entire month.

Return

True (1) if true; False (0) if false

Note If the Sales Start Date and the Sales End Date are blank, the system will use the lease's Actual Start Date and Lease Termination Date to determine the uninterrupted sales timeframe.

Comment

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Total Charge Amount function

Use to find the sum of the projected charges for a given date range.

Syntax

Total Charge Amount(Lease, Revision, From Date, To Date)

Records used

Property, Lease, Recurring Charge and Recurring Charge Log.

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

From Date - the beginning date of the date range. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date of the date range. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Total Charge Amount example

To determine the sum of the projected charges for January 1, 1999 to March 31,1999, use this function:

Total Charge Amount(Lease,0,NEWDATE(010199),NEWDATE(033199))

The Total Charge Amount function would return 5,000.00 based on the following information:

Lease | Charge Type | Effective Date | Amount
255 | CAM | 3-1-98 | 500.00
255 | CAM | 3-1-99 | 700.00
255 | PARK | 1-1-99 | 100.00
255 | RENT | 4-1-98 | 1000.00
255 | RENT | 4.1.99 | 1400.00

Note: In the above example, all charges are monthly charges. As a result, the 5,000.00 is the result of CAM (2 x 500.00 + 1 x 700.00) + PARK (3 x 100.00) + RENT (3 x 1000.00).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Total GPR Amount example

To determine the sum of the projected charges included in Gross Potential Rent on a lease, for January 1, 1999 to March 31,1999, use this function:

Total GPR Amount(Lease, 0 ,NEWDATE(010199), NEWDATE(033199))

If the Is Gross Potential Rent function determines that only CAM and RENT should be included in GPR, the Total GPR Amount function would return 4,700.00, based on the following information:

Lease | Charge Type | Effective Date | Amount
255 | CAM | 3-1-98 | 500.00
255 | CAM | 3-1-99 | 700.00
255 | PARK | 1-1-99 | 1100.00
255 | RENT | 4-1-98 | 1000.00
255 | RENT | 4-1-99 | 1400.00

Note: In the above example, CAM and RENT are monthly charges. As a result, the 4,700.00 total is the result of CAM (2 X 500 + 1 x 700) + RENT (3 X 1000).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Total GPR Amount function

Use to find the sum of the projected charges included in Gross Potential Rent for a given date range. For each recurring charge, this function calls the Is Gross Potential Rent function to determine if it should be included in Gross Potential Rent.

Syntax

Total GPR Amount(Lease, Revision, From Date, To Date).

Records used

Property, Property Charge Controls, Lease, Recurring Charge and Recurring Charge Log

Parameters

Lease - the Lease ID.

Revision - the revision number of the lease. The original lease has a revision number of 0.

From Date - the beginning date of the date range. Can use a date field or enter a specific date using NEWDATE(mmddyy).

To Date - the ending date of the date range. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Numeric with 2 decimal places.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unit Sq Ft Effective Date function

Use to return the unit square footage effective date that was used to determine the unit square footage as of a specific date.

Syntax

Unit Sq Ft Effective Date(Property, Unit, Square Footage Type, Date)

Records used

Unit Square Footage.

Parameters

Property - the property ID.

Unit - the unit ID.

Square Footage Type - the square footage type.

Date - the date used to find the effective square footage. Can use a date field or enter a specific date using NEWDATE(mmddyy).

Return

Date.

Example

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unit Square Footage Effective Date example

Unit Sq Ft Effective Date example

To find the effective date for the RENTABLE unit square footage, as of May 1, 1999, use this function:

Unit Sq Ft Effective Date(Lease, Unit, "RENTABLE", NEWDATE(050199))

This function will return 01-01-99, based on the following information in the Unit Square Footage record:

Property | Unit | SqFtType | Eff. Date | Sq Ft
100 | 15 | RENTABLE | 01-01-99 | 9,800.00
100 | 15 | RENTABLE | 06-01-99 | 9,600.00
100 | 15 | GLA | 01-01-99 | 10,300.00

Note: Since there is no Square Footage with an effective date of 5-1-99 for RENTABLE, the function determines that the 1-1-99 amount is effective for 5-1-99.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Worked in Month comment

The Employee Worked in Month function determines whether the employee has taxable earnings for a pay period that includes the 12th of a given month using the following criteria:

  • This function only tests for pay periods of monthly, semi-monthly, bi-weekly, and weekly. Any employees with only an annual or semi-annual check that contains a Check Tax Record for the given state tax ID will not be counted.
  • The Check and Check Tax Records need to be available in order to use this function.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Worked in Month example

To find out whether employee 116 earned taxable ORSUI_E wages during the pay period that includes June 12, 1999, use this function:

  • IF (Employee Worked in Month ("ORSUI_E", 1999, 2, 3, "116"), "Worked", "Did not work")
  • The function searches the selected .PRT file (New, Current, or History) for a Check Tax Record for employee 116, with state tax ID "ORSUI_E", and a period end date greater than or equal to June 12, 1999, and less than July 12, 1999. If a Check Tax Record is found, the check record is retrieved to determine the number of days in that pay period. If the range from the period begin date to the period end date covers June 12, 1999, the function returns "true."

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Worked in Month function

Use to determine whether an employee has taxable earnings for a pay period that includes the 12th of a given month. This function is used on the Payroll Quarterly Employee Count Report.

This function searches the Check Tax Records looking for a record with the given state tax ID, the given employee ID, and a period end date which covers the given date. An employee will only be counted once per month, per state tax ID using this function regardless of how many checks the employee may have received for the pay period that includes the 12th of the month.

Syntax

Employee Worked in Month (State Tax ID, Year, Quarter, Month, Employee ID)

Parameters

State Tax ID - the ID of the state tax to be searched for in the Check Tax Records.

Year - the four-digit year to be tested.

Quarter - the quarter (1, 2, 3, or 4) to be tested.

Month - the month (1, 2, or 3) within the quarter to be tested.

Employee ID - the ID assigned to the employee to be tested.

Return

True (Y) or False (N).

Comment

Example

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of Payroll formula functions

Employee Worked in Month

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Account Custom Fields record (GLM)

Contains the custom fields that you have created to hold additional information on the Account record such as a corresponding prior account number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Account record (GLM)

Contains information about the accounts set up in General Ledger such as account number, current balance, future balance, activity totals by period, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Accounts Payable records

Allocation Distribution | Invoice Issue
Allocation | Invoice Payment
AP Controls | Lien Waiver
Authorization | Prefix Total
Batch | Tax Distribution Payment
Check Issue | Tax Distribution
Check | Transaction
Distribution Payment | Vendor Custom fields
Distribution | Vendor Issue
General | Vendor

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Accounts Receivable records

Activity | Customer History Totals
Activity Issue | Customer Issue
AR Settings Header | Customer Totals
Batch | Deposit
Contact | Deposit Issue
Contact Custom Fields | Deposit Item
Contact Issue | Distribution
Correspondence | Processing Controls
Correspondence Custom Fields | Status
Correspondence Issue | Status Issue
Customer | Transaction
Customer Custom Fields |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Activity Issue record (ARZ)

Contains the keys (links) to the Activity record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Activity record (ARA)

Contains activity information for Enter Cash Receipts, Enter Invoices and Adjust Receivables. Activity records are created for each invoice, cash receipt, and receivable adjustment. Multiple activity records may exist for each status record. Each activity record may have one or more distribution records that contain distribution information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add-on record (BLS)

Contains charges or deductions (called add-ons) that are added to an invoice in addition to the normal contract amounts that may be billed to clients such as: labor, materials, subcontractor costs.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add-on Table Detail record (BLS)

Contains detailed information about add-on tables which includes: type (labor, materials, etc.) multiple types can be used on the same table, standard add-on ID, cumulate (use previous add-on as the basis for calculating this percent based add-on).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add-on Table record (BLS)

Contains the add-on table ID and description and allows add-ons to be grouped so that multiple add-ons can be billed on the same invoice.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Allocation Distribution record (APS)

Contains detailed distribution information for each allocation such as the jobs, prefixes, accounts, and percentages.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Allocation record (APS)

Contains general information for each allocation table design such as name and vendor type.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Check Issue record (APZ)

Contains the keys (links) to the Check record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Check record (API, APM)

Contains information about the vendor checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Controls record (APM)

Contains general information about Accounts Payable settings such as: invoice setting information, check printing information, interfacing software settings, warning messages, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP General (APM)

Contains check run information for reprint checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Invoice Issue record (APZ)

Contains the keys (links) to the Invoice record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Transaction record (APT)

Contains transaction history for each invoice and check in Accounts Payable. This information can be used to facilitate the monthly AP to GL reconciliation process.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AP Vendor Issue record (APZ)

Contains the keys (links) to the Vendor record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


AR Settings Header (ARM)

Contains a collection of control information used by the Accounts Receivable which includes: system controls, update controls, company controls and General Ledger controls. These control options are used globally in the Accounts Receivable application to set up how information is entered and processed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Authorization record (APM)

Contains information used to track authorization IDs and names.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Auto OT Table record (PRS)

Contains information in a table format that lists the daily and hourly limits that are used when automatically calculating overtime.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Auto Reversing Entry record (GLV)

Contains information about setup instructions for the auto reversing entries task in General Ledger such as account, accounting date, amount, reversing date, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Automatic Overtime Settings Header record (PRS)

Contains information about the automatic overtime regular pay ID, levels of regular hours used to trigger overtime rates, and the overtime pay IDs to use when regular hours exceed the daily or weekly limit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Account Custom Fields record (CMM)

Contains the custom fields that you have created to enter miscellaneous information into for each bank account.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Account Issue record (CMZ)

Contains the keys (links) to the Bank Account record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Account record (CMM)

Contains information about bank accounts set up in Cash Management such as balances, maximum check amounts, address, open and unreconciled item totals, last check used, interest totals, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Bank Deposit record (PMT)

Contains summary information sent to Cash Management about deposits entered in Property Management, such as bank account, deposit date, deposit ID, accounting date, and deposit amount.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Base Account record (GLM)

Contains information about the base accounts set up in General Ledger such as account type and account title.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Base Custom Fields record (GLM)

Contains the custom fields that you have created to hold additional information on the base account record such as a corresponding prior account number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (BLT)

Contains information about batches created in Billing or an interfacing application. Each batch record contains control and proof information in dollar amounts, numbers of transactions and source information about where the batch originated.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (API, APM)

Contains information about batches created in Accounts Payable during tasks such as Enter Invoices, Record Manual Checks, or Print Checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (ART)

Contains information about batches entered in Accounts Receivable or posted from Billing. Each batch record contains control and proof information in dollar amounts, numbers of transactions, and source information about where the batch originated.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (CMT)

Contains information about batches created in Accounts Payable, Cash Management, and Payroll during tasks such as Enter Invoices, Record Manual Checks, Edit Register, Enter Time, and Print Checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (CNT)

Contains information about batches created in Contracts or an interfacing application. Each batch record contains control and proof information in dollar amounts, numbers of transactions and source information about where the batch originated.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (EQT)

Contains information about batches created in Equipment Cost or another application during tasks such as Enter Costs or Enter Revenues.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (GLT)

Contains information about batches created in General Ledger or another application such as: batch date, description, total debits and credits, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (JCT)

Contains information about batches created in Job Cost or another application during tasks such as Enter Direct Costs or Enter Commitments.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Batch record (PRT)

Contains information about batches created in Payroll during tasks such as Enter Time.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Billing Distribution Controls record (PRM)

Contains the billing distribution control options that determine how burden entries sent from Payroll to Billing are summarized.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Billing records

Add-on | Sales Tax
Add-on Table | Section
Add-on Table Detail | Section Detail
Batch | Settings Header
Invoice | Standard Add-on
Invoice Format | Standard Item
Invoice Format Detail | Standard Markup Table
Invoice Issue | Transaction
Print Time Settings Header | Work In Progress
Rate Table | Worksheet Entry Issue
Rate Table Detail | Work In Progress Issue

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Settings Header record (BLM)

Contains a collection of control options that are used globally in the Billing application to set up how information is entered and processed such as: the company level, invoice auto text and last number, accounting date source, invoice types for final printing, invoice text sources, default text and journal designs.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Budget record (GLM)

Contains information about the budgets set up in General Ledger such as: budget year, budget type, account number, annual budget amount, and budget amount by period.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Burden Detail record (PRT)

Contains information used during the Process Checks task to distribute fringe and employer taxes to Equipment Cost, General Ledger, and Job Cost.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cash Detail record (CMT)

Contains the General Ledger history for individual transactions including accounting date, cash account, amount, and batch. Used for reconciling to GL.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cash Management records

Bank Account | GL Cash Account Balance
Bank Account Custom Fields | Last Transaction
Bank Account Issue | Pending Deposit
Batch | Reconcile In Progress
Cash Detail | Transaction
CM Settings Header | Transaction Issue
Deposit Item | Withdrawal Detail
Deposit Item Detail |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Category Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each Category.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Category record (JCM)

Contains information about the categories set up in Job Cost such as JTD totals, status, cost estimates, etc. Categories make up the detail of JC Cost Code record totals.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Certified Class record (PRS)

Contains information about the Certified Classes set up in Payroll such as Certified Class ID and Description.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each Change Order.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order Issue record (CNZ)

Contains the keys (links) to the Change Order record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order Item Detail record (JCM)

Contains price, estimate, and production unit information about each individual item change made to a job as a result of a contract change order.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order Item Issue record (CNZ)

Contains the keys (links) to the Change Order Item record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order Item record (JCM)

Contains information about each individual item change made to a job as a result of a contract change order. A change order can be made up of several items each representing a specific contract change.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Order record (JCM)

Contains summary information about the contract change orders entered in Job Cost.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Deduct record (PRT)

Contains detail information about each of the deductions, such as 401K, dental, health, etc., an employee has taken from a specific check.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Form record (PRS)

Contains information about check forms created in Payroll and used during the Print Checks task.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Fringe record (PRT)

Contains detail information about each of the fringes an employer paid associated with a specific employee check such as a 401K match, dental, health, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Pay record (PRT)

Contains detail information about each of the pays an employee received for a specific check such as regular, overtime, and other pay hours and amounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Tax record (PRT)

Contains detail information about each of the taxes an employee incurred for a specific check such as FWH, SWH, and FICA amounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Check Workers' Comp record (PRT)

Contains detail information about the Workers’ Compensation an employer paid associated with a specific employee check.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


CM Entry Settings Header record (PRS)

Contains information about how Payroll should treat voided and manual check numbers sent to Cash Management.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


CM Settings Header record (CMM)

Contains general information about Cash Management controls such as: year ending date, verification and reconciliation options, journal and register report design filenames, General Ledger information, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment Change Order Item record (JCM)

Contains information about each individual item change made to a job as a result of a purchase order or subcontract change order. A change order can be made up of several items each representing a specific commitment change.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment Change Order record (JCM)

Contains summary information about the subcontract and purchase order change orders entered in Job Cost.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment CO Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each Commitment CO.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each Commitment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment Item Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each Commitment Item.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment Item record (JCM)

Contains information about each individual item made to a commitment. A commitment can be made up of several items.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Commitment record (JCM)

Contains summary information about purchase orders and subcontract agreements set up in Job Cost.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Tax Rate record (PRM)

Contains information necessary to calculate a company's tax when that tax is unique to that company.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contact Custom Fields record (ARS)

Contains the custom fields for the Contact record that can be set up for each customer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contact Issue record (ARZ)

Contains the keys (links) to the Contact record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contact record (ARS)

Contains contact information such as: contact name, customer, address, fax, phone and e-mail address.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Change Order Item record

Contains information about changes to individual items made as a result of a contract change order. A change order can be made up of several items each representing a specific contract change. Contains the contract, item, change order, amounts and units.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Change Order record

Contains summary information about contract change orders such as: contract ID, reason for change, increase and decrease in days, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Checklist record (CNC)

A sub-record of the Contract record that contains a user-definable checklist of items that will be tracked for this contract.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Contact record (CNC)

A sub-record of the Contract record that contains a list of contacts to be used for this contract.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Derived record (CNA)

Contains contracted, billed, payment and other total amounts at the contract level that are derived from contract items. This information is used to make data analysis and reporting more efficient.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Issue record (CNZ)

Contains the keys (links) to the Contract record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Checklist record (CNC)

A sub-record of the Contract Item record that contains a user-definable checklist of items that are tracked for this contract item.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Contact record (CNC)

A sub-record of the Contract Item record that contains a list of contacts to be used for this contract item.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Derived record (CNA)

Contains contracted, billed, payment and other total amounts at the contract item level. This information is used to make data analysis and reporting more efficient.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Issue record (CNZ)

Contains the keys (links) to the Contract Item record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item record (CNC)

Contains the detail of an individual item for a contract including the billing type, rate and markup tables, and customer status information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Reference Number record (CNC)

A sub-record of the Contract Item record that contains references and reference types used for this contract item. This may be used for customer jobs and purchase order numbers.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Item Text record (CNC)

A sub-record of the Contract Item record that contains long text fields to enter information that you may want to track for this contract item including: terms, conditions, exclusions, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract record (CNC)

Contains general information about contracts that are negotiated between a customer and contractor. This record contains the instructions about how each contract is processed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contracts records

Batch | Contract Item Contact
Change Order Issue | Contract Item Derived
Change Order Item Issue | Contract Item Issue
Contract | Contract Item Reference Number
Contract Checklist | Contract Item Text
Contract Change Order | Contract Reference Number
Contract Change Order Item | Contract Supporting Document
Contract Contact | Contract Text
Contract Issue | Processing Controls Header
Contract Derived | Settings Header record
Contract Item | Transaction
Contract Item Checklist |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Reference Number record (CNC)

A sub-record of the Contract record that contains references and reference types used for this contract. This may be used for customer jobs and purchase order numbers.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Supporting Document record (CNC)

A sub-record of the Contract record that contains a list of supporting documentation for this contract. This may be used to track additional documents that a client requests to be sent with billings such as: schematics, drawings, and inspection reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Contract Text record (CNC)

A sub-record of the Contract record that contains long text fields to enter information that you may want to track for this contract including: terms, conditions, exclusions, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Correspondence Custom Fields record (ARM)

Contains the custom fields for the Correspondence record that can be set up for each customer and maintained during the correspondence entry/edit process.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Correspondence Issue record (ARZ)

Contains the keys (links) to the Correspondence record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Correspondence record (ARM)

Contains customer correspondence information that can be used to track communications for each customer such as: contact, correspondence type, topic, initiated by, follow up date, and text. This record can reference customers, contracts, jobs, invoices and/or cash receipts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cost Credit Account Entry record (EQS)

Contains the criteria and accounts stored on the Cost Credit Account Table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cost Debit Account Entry record (EQS)

Contains the criteria and accounts stored on the Cost Debit Account Table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cost Rate Entry record (EQS)

Contains the values that appear on the Cost Rate Table that actually determine the cost rate certain pieces of equipment incur.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cost Rate Table record (EQS)

Contains information about the Cost Rate Tables set up within Equipment Cost and the columns that were selected to display on the table such as job, employee, shift, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer Custom Fields record (ARM)

Contains the custom fields for the Customer record that can be set up for each customer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer History Totals record (ARM)

Contains history total information that is tracked if specified in AR Settings. If the settings specify that history total information is tracked, then the age receivable balances process creates a customer history totals record for each month for each customer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer Issue record (ARZ)

Contains the keys (links) to the Customer record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer record (ARM)

Contains all of the static information for a customer which includes: general customer information, billing information required to generate invoices, credit and user-defined information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customer Totals record (ARM)

Contains accumulated customer totals for: aged balances, total billings, adjustments, cash receipts, and average days to pay.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Daily Dist record (PRT)

Contains daily information about hours entered for each employee. This information is most commonly used for Certified reporting purposes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deduction record (PRS)

Contains information about the master list of deductions that serves as a model for the actual deductions employees incur on their earnings.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Department record (PRS)

Contains information about the departments set up in Payroll such as department name and default accounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deposit Issue record (ARZ)

Contains the keys (links) to the Deposit record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deposit Item Detail record (CMT)

Contains detailed information about deposits created directly in Cash Management including GL credit and intercompany accounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deposit Item record (ARA)

Contains itemized deposit information that is entered during Enter Cash receipts such as: bank account, deposit date, deposit item, deposit item type, customer, payer, cash receipt (check number) and other reference information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deposit Item record (CMT)

Contains information about the checks that make up the deposits created directly in Cash Management including check number, check date, payer's name, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deposit record (ARA)

Contains summary information about payment deposits entered in Accounts Receivable such as: bank account, deposit date, deposit ID, deposit type, number of items, amount, items entered, amount entered and other reference information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Distribution Payment record (API, APM)

Contains information about each payment made for invoice distributions amounts such as the amount paid, retainage held, and discount taken.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Distribution record (API, APM)

Contains information about the distribution of invoice amounts such as to which jobs, accounts, and equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Distribution record (ARA)

Contains distribution information that is categorized by contract, contract item, job, extra, amount type, tax ID, and General Ledger accounts. Each activity has at least one distribution.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Draw record (JCM)

Contains accounts receivable information such as Charge Amount, Retainage Billed, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Custom Fields record (PRM)

Contains the custom fields that you have created to record miscellaneous information for each employee.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Deduction record (PRM)

Contains information used to set up a list of the miscellaneous deductions to be taken from an employee’s pay, an employee’s YTD, QTD, and MTD deduction totals by deduction. The information is also used to customize how a given deduction is calculated for an employee.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Fringe record (PRM)

Contains the fringes to be calculated for this employee and an employee’s YTD, QTD, and MTD fringe totals by fringe. Also contains information used to customize how and when a given fringe is calculated.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Pay record (PRM)

Contains the pays and auto pays an employee receives, an employee’s YTD, QTD, and MTD earning totals by pay. Also contains information used to customize how a given pay or auto pay is calculated for each employee.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee record (PRM)

Contains information about each employee set up within Payroll such as employee number, overall YTD, QTD, and MTD Totals, hire date, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee State record (PRM)

Contains information used when calculating state taxes and stores accumulated month, quarter and year-to-date pay and hours.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Tax record (PRM)

Contains the taxes that apply to an employee and an employee’s YTD, QTD, and MTD tax totals by tax. Also contains information used to customize how taxes are calculated for each employee.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Employee Timesheet Control record (RTT)

Contains information about employee-oriented timesheets including employee ID, timesheet date, total hours, and approval status.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Cost Code Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous information into for each EQ cost code.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Cost Code History Totals record (EQH)

Contains the historical cost code balances that each piece of equipment has incurred and the related to-date amounts. This information is typically used for trend analysis.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Cost Code record (EQM)

Contains information about the costs incurred for each piece of equipment and the related to-date amounts such as YTD depreciation.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Cost Code Transaction record (EQT)

Contains detail cost units, rate, and amounts entered into Equipment Cost or from another application specific to a piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous information into for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Detail record (PRT)

Contains information about Equipment Cost data such as revenue code entered in Payroll via Enter Time or Enter Checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Entry Settings Header record (PRS)

Contains information about how the cost entries sent from Payroll to Equipment Cost should be summarized.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Equipment Issue record (EQZ)

Contains Information Assistant issues linked to Equipment Cost records.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Equipment Type Issue record (EQZ)

Contains the keys (links) to the Equipment Type record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Other custom fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous other information into for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Ownership custom fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous ownership information into for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Rental custom fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous rental information into for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Specifications Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous specification information into for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard EQ Cost Code record (EQM)

Contains the master list of EQ cost codes that are available to charge costs to each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


EQ Transaction record (EQT)

Contains detail information entered into Equipment Cost or from another application specific to a piece of equipment such as accounting date, GL accounts, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Equipment Cost records

Cost Credit Account Entry | License Custom Fields
Cost Debit Account Entry | License/Permit
Cost Rate Entry | Meter History Totals
Cost Rate Table | Meter Transaction
EQ Batch | Misc. Entry Custom Fields
EQ Cost Code Custom Fields | Misc. Entry History Totals
EQ Cost Code History Totals | Misc. Entry Transaction
EQ Cost Code Transaction | Misc. Entry
EQ Cost Code | Revenue Code Custom Fields
EQ Equipment Issue | Revenue Code History Totals
EQ Other custom fields | Revenue Code Transaction
EQ Ownership custom fields | Revenue Code
EQ Rental custom fields | Revenue Credit Account Entry
EQ Specifications Custom Fields | Revenue Debit Account Entry
EQ Transaction | Revenue Rate Entry
Equipment Custom Fields | Revenue Rate Table
Equipment Type | Standard EQ Cost Code
Equipment | Standard Misc. Entry
Fiscal Date | Standard Revenue Code

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Equipment record (EQM)

Contains information about each piece of equipment set up within Equipment Cost such as Meter / Odometer readings, location, cost and revenue totals, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Equipment Type record (EQM)

Contains the master list of Equipment Types that can be used for sorting equipment reports, rate retrieval, or account retrieval.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Extra Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each extra.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Extra record (JCM)

Contains information about the extras set up in Job Cost, such as JTD, YTD, and MTD totals.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Federal Employer ID record (PRM)

Contains the Federal Employer ID number to be used on government payroll reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Federal Tax Group record (PRX)

Contains information about the Federal Taxes that are grouped together for tax calculation purposes such as which taxes are included in the US Federal tax group.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Fiscal Date record (EQM)

Contains calendar information for each fiscal calendar used in Equipment Cost.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Fringe record (PRS)

Contains information about the master list of fringes that serves as a model for the actual fringes employees earn on their earnings.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


General Ledger records

Account Custom Fields | Journal
Account | Partner
Auto Reversing Entry | Prefix A
Base Account | Prefix A Custom Fields
Base Custom Fields | Prefix B
Budget | Prefix B Custom Fields
GL Account Issue | Prefix C
GL Allocation | Prefix C Custom Fields
Batch | Recurring Entries
GL Transaction |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Account Issue record (GLZ)

Contains the keys (links) to the GL Account record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Allocation record (GLA)

Contains information about setup instructions for the expense allocation task in General Ledger such the account to be allocated, the accost to be allocated to, and their percentages.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Cash Account Balance record (CMM)

Contains the cash totals broken down by cash account.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Entry Settings Header record (PRS)

Contains information about the default settings used when creating Payroll entries for General Ledger.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


GL Transaction record (GLT)

Contains information about individual transactions that make up the account balances such as: debit or credit amount, application of origin, batch number, description, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Information Assistant records

IA Issue record (IAI)

Contains keys to Information Assistant records and to issue records for interfacing applications.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Import Table record (JCX)

Contains information about values set up on the Replacement Table for Receivables import files.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice Format Detail record (BLS)

Contains more detailed information about the invoice format which includes: invoice format, sequence (order to print on the invoice), amount type (labor, materials, etc.), and detail report name.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice Format record (BLS)

Contains the specification information for how invoices are formatted which includes: invoice format, invoice type, page orientation (portrait or landscape), sub-records selected for headers and footers, and page headers and page footers.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice Issue record (BLZ)

Contains the keys (links) to the Invoice record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice Payment record (API, APM)

Contains information about each payment made for invoices entered in Accounts Payable such as amount paid, retainage held, and discount taken.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice record (BLI)

Contains information for each invoice that is created in Billing such as: invoice number and date, customer, contract, billing amounts, retainage and sales tax information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Invoice record (API, APM)

Contains general information about each invoice entered in Accounts Payable.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Category Issue record (JCZ)

Contains the keys (links) to the Category record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Change Order Issue record (JCZ)

Contains the keys (links) to the Change Order record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Change Order Item Issue record (JCZ)

Contains the keys (links) to the Change Order Item record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Commitment Issue record (JCZ)

Contains the keys (links) to the Commitment record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Commitment Item Issue record (JCZ)

Contains the keys (links) to the Commitment Item Issue record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Cost Code Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each JC Cost Code.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Cost Code Issue record (JCZ)

Contains the keys (links) to the Cost Code record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Cost Code record (JCM)

Contains information about the cost codes set up in Job Cost such as JTD totals, status, cost estimates, etc. Cost Codes make up the detail of Job record totals.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Cost Code Workers' Comp record (PRS)

Contains information in a table format correlating JC cost codes to specific workers’ compensation codes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Draw Issue record (JCZ)

Contains the keys (links) to the Draw record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Entry Settings Header record (PRS)

Contains information about how the cost entries sent from Payroll to Job Cost should be summarized.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Extra Issue record (JCZ)

Contains the keys (links) to the Extra record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Issue record (JCZ)

Contains Information Assistant issues linked to Job Cost records.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Job Issue record (JCZ)

Contains the keys (links) to the Job record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Standard Cost Code record (JCM)

Contains information about the master list of JC cost codes that serves as models for the individual JC cost code records for each job.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


JC Transaction record (JCT)

Contains information about all detail amounts and values entered in Job Cost or from another application.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Cost records

Category Custom Fields | JC Batch
Category | JC Category Issue
Change Order Custom Fields | JC Change Order Issue
Change Order Item Detail | JC Change Order Item Issue
Change Order Item | JC Commitment Issue
Change Order | JC Cost Code Custom Fields
Commitment Change Order Item | JC Cost Code Issue
Commitment Change Order | JC Cost Code
Commitment CO Custom Fields | JC Draw Issue
Commitment Custom Fields | JC Extra Issue
Commitment Item Custom Fields | JC Job Issue
Commitment Item | JC Standard Cost Code
Commitment | JC Transaction
Draw | Job Custom Fields
Extra Custom Fields | Job
Extra | Standard Category
Import Table | View

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Custom Fields record (JCM)

Contains the custom fields that you have created to enter miscellaneous information into for each job.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Local record (PRS)

Contains information linking jobs to specific union locals.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job record (JCM)

Contains information about the jobs set up in Job Cost, such as JTD totals, customer, project manager, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Job Timesheet Control record (RTT)

Contains information about job-oriented timesheets including job ID, timesheet date, total hours, and approval status.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Journal record (GLM)

Contains information about the journals set up in General Ledger such as journal number, type, and description.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Last Transaction record (CMM)

Contains information about the last PR and AP checks printed and the last deposit, withdrawal and adjustment dates and amounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


License Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous information into for each license.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


License/Permit record (EQM)

Contains information about the licenses and permits each piece of equipment currently has such as fees and expiration dates.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Lien Waiver record (APL)

Contains information about lien waivers.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Local Employer ID record (PRM)

Contains the Local Employer ID number to be used on government payroll reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Local Tax Group record (PRX)

Contains information about the Local Taxes that are grouped together for tax calculation purposes such as workplace or residence taxes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Meter History Totals record (EQH)

Contains the historical meter reading amounts for each piece of equipment and the related to-date amounts. This information is typically used for trend analysis.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Meter Transaction record (EQT)

Contains detail meter values entered into Equipment Cost or from another application specific to a piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Misc. Entry record (EQM)

Contains information about the miscellaneous entries recorded against each piece of equipment and the related to-date amounts such as mileage, meter readings, and downtime hours.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Misc. Entry Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous information into each misc. entry.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Misc. Entry Detail record (PRT)

Contains information about Equipment Cost Misc. Entry values entered in Payroll via Enter Time or Enter Checks.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Misc. Entry History Totals record (EQH)

Contains the historical miscellaneous entry amount balances that each piece of equipment has incurred and the related to-date amounts. This information is typically used for trend analysis.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Misc. Entry Transaction record (EQT)

Contains detail miscellaneous entry values entered into Equipment Cost or from another application specific to a piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Partner record (GLM)

Contains information about partners set up in General Ledger such as name, address, and federal ID.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Pay Group record (PRS)

Contains information about the pay groups set up in Payroll such as pay group name, default accounts, and pay frequency.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Pay Rate Settings record (PRS)

Contains information about the Pay Rate Tables set up within Payroll and the criteria selected to display on the table such as job, certified class, shift, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Pay Rate Table record (PRS)

Contains the values that appear on the Pay Rate Table that actually determine the rate of pay certain employees may receive.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Pay record (PRS)

Contains information about the master list of pays that serves as a model for the actual pays employees receive with their earnings.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Payroll records

Auto OT Table | Fringe
Automatic Overtime Settings Header | GL Entry Settings Header
Batch | JC Cost Code Workers' Comp
Billing Distribution Controls | JC Entry Settings Header
Burden Detail | Job Local
Certified Class | Local Employer ID
Check | Local Tax Group
Check Deduct | Misc. Entry Detail
Check Form | Pay
Check Fringe | State Employer ID
Check Issue | Tax Account
Check Pay | Union
Check Tax | Union Class
Check Workers’ Comp | Pay Group
CM Entry Settings Header | Pay Rate Settings
Company Tax Rate | Pay Rate Table
Daily Dist | Quarterly Form
Department | State Tax Group
Deduction | Status
Employee | Tax
Employee Custom Fields | Tax Account
Employee Deduction | Tax Reciprocity
Employee Fringe | Tax Table
Employee Issue | Time
Employee Pay | Union Item
Employee State | Union Local
Employee Tax | Union Local Issue
EQ Detail | W2 Form
EQ Entry Settings Header | Workers' Comp Rate
Federal Employer ID |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Pending Deposit record (CMM)

Contains information about unposted deposits from Accounts Receivable, Job Cost, and Property Management.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Accumulator Control record (PMA)

Contains the controls that define a custom amount accumulation. Accumulators can be set up for properties, units, leases and can be stored by month on either a calendar or fiscal year basis.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Batch record (PMT)

Contains the information about the batch record which is used as an audit trail.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Calculation Method record (PMS)

Contains a list of formulas that outline the details of the calculation for index escalations and recoverable expenses.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM - Charge Type

PM Charge Type record (PMS)

Contains the list of charges and associated General Ledger account numbers.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Corporation record

PM Corporation record (PMS)

Contains information that identifies the corporate owner for leases and is used for reporting. One national corporation may be linked to many leases with different tenants.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM CPI record (PMS)

Used to store Consumer Price Index values.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Escalation Transaction record (PMT)

Contains information for escalating a lease recurring charge as a by-product of Indexed Escalations or Recoverable Expenses.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Interest Rate record

PM Interest Rate record (PMS)

Contains interest rate values used for interest on deposits.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Breakpoint Table record (PMR)

Contains the breakpoints used in the calculation of percentage rent for retail leases.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Calendar Year Accumulator record (PMA)

Stores the accumulated values for the lease over the calendar year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Charge Controls record (PML)

Contains the controls that to each charge type for the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Checklist Item record (PML)

Contains the Start Lease and Terminate Lease checklists for the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Deposit record (PML)

Contains information about deposits for a lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Fiscal Year Accumulator record (PMA)

Stores the accumulated values for the lease over the fiscal year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Index Escalation Controls record (PML)

Contains the controls for processing indexed escalations such as CPI or Porters' Wage.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Insurance record (PML)

Contains insurance information for the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Issue record (PMZ)

Contains the keys (links) to the Lease record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Late Charge Controls record (PML)

Contains the lease specific controls for processing late charges.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Offset record (PMR)

Contains the information about offsets used in the calculation of percentage rent overage for retail tenants.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Option record (PML)

Contains information that describes lease options that the tenant may have such as an option to renew or purchase.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Overage Billings (PMR)

Contains the information about the overage billings as a result of the percentage rent calculation for retail tenants.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Percent Rent Controls record (PMR)

Contains the controls necessary for calculating percentage rent for retail leases.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease record (PML)

Contains general information about the lease. Much of the lease information (recurring charges, late charge controls, etc) is stored in lease sub-records. The lease is linked to the Unit record via the Unit - Lease record in the PMP file. The lease is linked to the Tenant using the Tenant - Lease record in the PMN file.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery Basis Results record (PMV)

Contains the amounts that are defined by the calculation methods for recoverable expenses. The calculation method has a set of 30 formulas that define the calculation of the recoverable expense. The result of each formula is stored on this record for reporting.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery Concession Period record (PMV)

Contains the concession periods which are time periods when the tenant does participate in the recoverable expenses.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery Controls record (PMV)

Contains the controls for processing the recoverable expenses related to a recurring charge.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery Expense Category Amount record (PMV)

Contains the expense amounts pulled from General Ledger for each expense category for use in recoverable expenses.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery Expense Category Controls record (PMV)

Contains the lease participation percent for each expense category. It also stores the lease's share of each expense category during the last recovery processing.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery History record (PMV)

Contains the summary recoverable expense information for each recovery period over the life of the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recovery History record (PMV)

Contains the historical summary information about recoverable expenses processed for a lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recurring Charge Log record (PML)

Stores the recurring charge amounts, the charge frequency and the charge effective date.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Recurring Charge record (PML)

Contains the recurring charges for the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Sales Category record (PMR)

Contains the categories of sales or departments of a store for retail leases that pay percentage rent.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Sales Volume - Calendar Year record (PMR)

Contains the calendar year sales volume information for retail leases.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Sales Volume - Monthly record (PMR)

Contains the monthly sales volume information entered for retail leases in Enter Sales Volume.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Sales Volume - Tenant Year record (PMR)

Contains the yearly sales volume information based on the retail tenant’s fiscal year end.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Lease Straight Line Controls record (PML)

Contains the controls for the calculation of straight line rent (also called FASB 13) adjustments to General Ledger.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Ledger Adjustment Transaction record (PMT)

Contains vacancy loss and straight-line rent transactions that affect only General Ledger.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Manager Broker record (PMS)

Represents an entity who receives funds through management fees, broker commissions, or both. It sets up defaults for the Management Fee Controls and Broker Commission Controls.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Miscellaneous Income Source record (PMP)

Contains other sources of cash to the property, besides leases. For example, laundry machines, vending machines, pay telephones, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Miscellaneous Income Transaction record (PMT)

Contains transactions that are related to the Miscellaneous Income Source for the property (i.e., vending machines, conference rooms, laundry facilities).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Open Item record (PMT)

Contains the summary of the charges and payments by charge type and date. The detailed information of the charges and payments is stored on the Transaction record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Payment record (PMT)

Contains general information about the payment. The detailed information of how the payment was applied is stored on the Transaction record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Porters’ Wage record (PMS)

Used to store Porters’ Wage index values.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Processing Controls Header record (PMS)

Contains information about the last batch, payment ID and invoice number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Accumulator Calendar Record (PMA)

Stores the accumulated values for a property over the calendar year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Accumulator Fiscal Year record (PMA)

Stores the accumulated values for the property over the fiscal year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Address record (PMP)

Contains address information associated with a property.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Charge Controls record (PMP)

Contains controls that are related to the property and the charge type. Most of these controls are used as default values to the Lease record and are not used for processing.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Checklist Item record (PMP)

Contains the default checklists for Start Lease and Terminate Lease. These checklists are used as defaults for the lease checklist.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Deposit record (PMP)

Contains information for deposits held for the property. Most of this information defaults to the lease deposit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Index Escalation Controls record (PMP)

Contains default information for the indexed escalation controls (CPI or Porters' Wage) for the lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Insurance record (PMP)

Contains information about insurance held on a property.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Issue record (PMZ)

Contains the keys (links) to the Property record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Late Charge Controls record (PMP)

Contains controls for processing charge types.These controls are only used for default values for the lease Late Charge Controls and are not used for processing.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Occupancy - Calendar record (PMP)

Contains occupancy percentages (by calendar year) for those square footage types that have occupancy tracked.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Occupancy - Fiscal record (PMP)

Contains occupancy percentages (by the property’s fiscal year) for those square footage types that have occupancy tracked.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Occupancy - Monthly record (PMP)

Contains occupancy percentages (by month) for those square footage types that have occupancy tracked.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property record (PMP)

Contains general information about the property. Much of the property information (sqft, insurance information, etc.) is stored in property sub-records.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Recovery Controls record

PM Property Recovery Controls record (PMV)

Contains the default values for the controls for processing the recoverable expenses for a lease.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Recovery Expense Category Controls record (PMV)

Contains the expense category information used for calculating recoverable expenses including General Ledger accounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Square Footage record (PMP)

Contains the different square footage's associated with this property.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Property Tax record (PMP)

Contains information about the tax for properties.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Recurring Charge Log record (PML)

Contains the present, future, and historical recurring charges. Whenever a recurring charge amount is adjusted automatically (CPI Escalations, Scheduled Increases, etc.), a Recurring Charge Log record is created.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Sales Volume Transaction record (PMT)

Contains sales figures received from retail tenants. This information is used for reporting and in the calculation of percentage rent.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM SIC Code record (PMS)

Contains the list of State Industrial Code (SIC) classifications used to categorize the tenant for reporting purposes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Straight Line Adjustment record (PML)

Contains the monthly adjustment amounts that are used in creating the straight line rent (or FASB 13) adjustments to General Ledger.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM System Controls Header record (PMS)

Contains system setting information for: bad debts, interest, deposits, refunds, sales tax, general journal, cash receipts journal, rent roll journal, summarize revenue and summarize cash.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Tenant Address record (PMN)

Contains address information for a tenant.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Tenant Issue record (PMZ)

Contains the links keys (links) to the Tenant record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Tenant - Lease record (PMN)

Contains information that provides a link between leases and tenants. A lease may have many tenants, and a tenant may have many leases. Use this record in reports and inquiries to provide a list of all leases for all tenants.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Tenant record (PMN)

Contains general information about the tenant. The tenant is linked to the lease using the Tenant-Lease record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Transaction Controls Header (PMT)

Contains information about the last run and last batch.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Transaction record (PMT)

Contains detailed information of transactions affecting the lease balances and deposits.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Accumulator Calendar Year record (PMA)

Stores the accumulated values for the unit over the calendar year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Accumulator Fiscal Year record (PMA)

Stores the accumulated values for the unit over the fiscal year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Issue record (PMZ)

Contains the keys (links) to the Unit record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit - Lease record (PMP)

Contains information that provides a link between leases and units. A lease may have many units; and a unit may have many leases.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Leasing History record (PMP)

Contains a historical record of the leases for each unit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Occupancy History record (PMP)

Contains a historical record of the occupancy for each unit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit record (PMP)

Contains general information about the unit. The unit is linked to the lease using the Unit-Lease record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PM Unit Square Footage (PMP)

PM Unit Square Footage record (PMP)

Contains the size of different types of square footage measurements for the unit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PR Check Issue record (PRZ)

Contains the keys (links) to the Check record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PR Check record (PRT)

Contains information about each employee’s check that they received such as net pay, gross pay, total employee and employer taxes, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PR Employee Issue Record (PRZ)

Contains the keys (links) to the Employee record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


PR Union Local Issue record (PRZ)

Contains the keys (links) to the Union Local record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix A Custom Fields record (GLM)

Contains the custom fields that you have created to hold additional information on the Prefix A record such as: a date and state of incorporation, officer's names, or business license number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix A record (GLM)

Contains information about the prefixes set up in General Ledger such as prefix name and address. If your fiscal entity is defined at the Prefix A level, it also includes information such as: period end dates, balance sheet level, and fiscal year ending dates.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix B Custom Fields record (GLM)

Contains the custom fields that you have created to hold additional information on the Prefix B record such as: a date and state of incorporation, officer's names, or business license number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix B record (GLM)

Contains information about the prefixes set up in General Ledger such as prefix name and address. If your fiscal entity is defined at the Prefix B level, it also includes information such as: period end dates, balance sheet level, and fiscal year ending dates.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix C Custom Fields record (GLM)

Contains the custom fields that you have created to hold additional information on the Prefix C record such as: a date and state of incorporation, officer's names, or business license number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix C record (GLM)

Contains information about the prefixes set up in General Ledger such as prefix name and address. If your fiscal entity is defined at the Prefix C level, it also includes information such as: period end dates, balance sheet level, and fiscal year ending dates.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Prefix Total record (APM)

Contains information used to track 1099 amounts by prefix for each vendor.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Time Settings Header record (BLM)

Contains the invoice header and footer text that is entered during the print process.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Processing Controls Header record (CNC)

Contains global processing control options that are used to determine how contract information is processed. Contains only the batch number and is internally maintained.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Processing Controls record (ARM)

Contains controls that maintain the last batch used for standard batch processing.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Property Management Records

Accumulator Control | Open Item
Bank Deposit | Payment
Batch | Porters' Wage
Calculation Method | Processing Controls Header
Charge Type | Property Accumulator Calendar
Corporation | Property Accumulator Fiscal Year
CPI | Property Address
Escalation Transaction | Property Charge Controls
Interest Rate | Property Checklist Item
Lease Breakpoint Table | Property Deposit
Lease Calendar Year Accumulator | Property Index Escalation Controls
Lease Charge Controls | Property Insurance
Lease Checklist Item | Property Issue
Lease Deposit | Property Late Charge Controls
Lease Fiscal Year Accumulator | PM Property Occupancy - Calendar
Lease Index Escalation Controls | Property Occupancy - Fiscal
Lease Insurance | Property Occupancy - Monthly
Lease Issue | Property Recovery Controls
Lease Late Charge Controls | Property Recovery Expense Category Controls
Lease Offset | Property Square Footage
Lease Option | Property Tax
Lease Overage Billings | Property
Lease Percent Rent Controls | Recurring Charge Log
Lease Recovery Basis Results | Sales Volume Transaction
Lease Recovery Concession Period | SIC Code
Lease Recovery Controls record | System Controls Header
Lease Recovery Expense Category Amount | Tenant - Lease
Lease Recovery Expense Category Controls | Tenant Address
Lease Recovery History | Tenant Issue
Lease Recurring Charge | Tenant
Lease Sales Category | Transaction Controls Header
Lease Sales Volume - Calendar Year | Transaction
Lease Sales Volume - Monthly | Unit - Lease
Lease Sales Volume - Tenant Year | Unit Accumulator Calendar Year
Lease Straight Line Adjustment | Unit Accumulator Fiscal Year
Lease Straight Line Controls | Unit Issue
Lease | Unit Leasing History
Ledger Adjustment Transaction | Unit Occupancy History
Manager Broker | Unit Square Footage
Miscellaneous Income Source |

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Quarterly Form record (PRS)

Contains information about quarterly forms created in Payroll and used during the Print Quarterly Forms task.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rate Table Detail record (BLS)

Contains the specific criteria of each rate table as described by the column definitions on the Rate Table record. It also contains the instructions on what rates to use for the costs associated with cost-based invoices including effective dates when the table should be used and for what types of costs (e.g., labor, material, etc.). A labor rate table can be used for specific employees, certified classes, cost codes, taxes, fringes, pay ID's or pay groups. Contains markup descriptions, unit rates and percents, and also whether the cost is a pass-through cost or non-billable.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Rate Table record (BLS)

Contains the description, effective date and cost type for the rate tables as well the column instructions for the table. This record does not contain the actual rate instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Reconcile In Progress record (CMM)

Contains the information about checks, deposits, withdrawals, and adjustments that are currently being reconciled.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Recurring Entries record (GLR)

Contains information about the setup instructions of recurring entries in General Ledger such as account, description, amount, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Remote Time Entry records

Employee Timesheet Control

Category

Cost Code

Employee

Extra

Job

Pay ID

Timesheet Detail

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Code Custom Fields record (EQM)

Contains the custom fields that you have created to enter miscellaneous information into for each revenue code.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Code History Totals record (EQH)

Contains the historical revenue code balances that each piece of equipment has earned and the related to-date amounts. This information is typically used for trend analysis.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Code record (EQM)

Contains information about the revenue each piece of equipment has earned and the related to-date amounts such as YTD hourly revenue.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Code Transaction record (EQT)

Contains detail revenue units, rate, and amounts entered into Equipment Cost or from another application specific to a piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Credit Account Entry record (EQS)

Contains the criteria and accounts stored on the Revenue Credit Account Table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Debit Account Entry record (EQS)

Contains the criteria and accounts stored on the Revenue Debit Account Table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Rate Entry record (EQS)

Contains the values that appear on the Revenue Rate Table that actually determine the revenue rate certain pieces of equipment bill out at.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Revenue Rate Table record (EQS)

Contains information about the Revenue Rate Tables set up within Equipment Cost and the columns that were selected to display on the table such as job, employee, shift, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Category record (RTM)

Contains information about each category including job ID, extra ID, cost code, and a description of the category.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Cost Code record (RTM)

Contains information about each cost code including job ID and a description of the cost code.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Employee record (RTM)

Contains information about each employee including employee name, employee ID, security options, and manager's ID.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Extra record (RTM)

Contains information about each extra including job ID and a description of the extra.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Job record (RTM)

Contains information about each job including a description of the job and the employee ID of the manager responsible for each job.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


RT Pay ID record (RTM)

Contains information about each pay ID including a description of the pay.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Sales Tax record (BLS)

Contains sales tax information that is tracked with each invoice. This information is stored by contract item and tax ID.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Section Detail record (BLI)

Contains the detail of the section record. A record is created for each contract item and exempt status for the section. Contains information from the section record including the contract item and exempt status.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Section record (BLI)

Contains the detail of the invoice record. A record is created for each amount type (labor, materials, subcontracts, equipment, overhead and other) on the invoice and for the total invoice add-on amounts. Contains information such as: customer, contract, generation date, generation sequence, section, cost, billed, add-on, amount, retainage and other time and date information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Settings Header record (CNS)

Contains global settings that define how to enter, store, and retrieve contracts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Add-on record (BLS)

Contains the standard add-on information that can be referenced from Add-on tables. Contains information such as: type (charge or deduction), tax exempt status, amounts or percents.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Category record (JCM)

Contains information about the master list of categories that serves as models for the individual category records for each job.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Item record (BLS)

Contains the standard item information that you bill a client for. This record contains: the item ID, description, text, standard item type, exempt status, entry method, unit of measure, unit cost, unit price, etc. For example, you may bill a client for every standard unit entered (i.e., a door) instead of billing individually for the wood, door knob, hinges, lock, etc. The entire door is treated as a single unit and is billed at an average cost that is specified for that unit.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Markup Table record (BLS)

Contains the instructions on how cost-based invoices should be marked up such as: the markup description, dates when the table should be used, amount type (labor, materials, etc.) the percent or amount, and whether the basis of the percent markup should include prior markups.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Misc. Entry record (EQM)

Contains the master list of miscellaneous entry codes that are available for any piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Standard Revenue Code record (EQM)

Contains the master list of revenue codes that are available for revenue to be recorded for each piece of equipment.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


State Employer ID record (PRM)

Contains the State Employer ID number to be used on government payroll reports.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


State Tax Group record (PRX)

Contains information about the State Taxes that are grouped together for tax calculation purposes such as various SWH and unemployment taxes.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Status Issue record (ARZ)

Contains the keys (links) to the Status record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Status record (ARA)

Contains current status information about invoices and customer cash receipts. For example, for invoices this record contains: outstanding balance, total payments and adjustments to the invoice and the original invoice amount. For customer cash receipts, this record contains the outstanding balance for the customer. A status record is created for each invoice and one customer receipt status record is created for each customer with unapplied receipts

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Status record (PRX)

Contains information about employee state filing status.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Account record (PRS)

Contains information about the various records taxes should post to such as General Ledger accounts, JC Cost Codes, Categories, Equipment, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Distribution Payment record (API, APM)

Contains information about the payment status of invoice tax distributions amounts such as the tax paid or tax on retainage paid.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Distribution record (API, APM)

Contains information about the distribution of invoice tax amounts for each tax ID.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Group record (TXM)

Contains information about the tax rates that are grouped together for tax calculation purposes (such as various state and local sales taxes).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Rate record (TXM)

Contains information about the individual tax rates that can be applied to vendor invoices in Accounts Payable, Accounts Receivable, and Property Management charges.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Reciprocity record (PRX)

Contains the setup instructions for the reciprocity tax agreements set up within Payroll.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax record (PRX)

Contains information about the master list of taxes that serves as a model for the actual taxes employees incur with their earnings.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax records

Tax Group

Tax Rate

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Tax Table record (PRX)

Contains information about tax calculation tables set up within Payroll.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Time record (PRT)

Contains information about each employee’s hours, work performed, jobs, unions, pays, etc. recorded in Payroll during data entry.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Timesheet Detail record (RTT)

Contains information about timesheets including total hours for each employee or job, pay ID, and whether timesheet transactions were exported to Payroll or non-Sage 300 Construction and Real Estatesoftware.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Transaction Issue record (CMZ)

Contains the keys (links) to the Transaction record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Transaction record (BLT)

Contains detail information about all cost amounts and units entered in interfacing applications and posted to Billing. Contains contract, item, job, extra, cost code, category, employee, vendor and equipment information along with the cost units' rates and amounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Transaction record (ART)

Contains the transactions that are used to update interfacing applications and customer balances in Accounts Receivable. Transactions contain the most detailed history of an activity that has occurred in the Accounts Receivable or the Billing system.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Transaction record (CMT)

Contains information about the individual transactions that make up bank account balances (checks, deposits, withdrawals and adjustments) such as: transaction date, check number, deposit ID, amount, reconciliation status, application of origin, batch number, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Transaction record (CNT)

Contains detail information about billed, paid and adjusted amounts and units entered toward contracts that is accumulated from interfacing applications.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Union Class record (PRS)

Contains information used to set up a separate Union Class record, also called the Union Table, for each class within the specified local of each union.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Union Item record (PRS)

Contains information including predetermined instructions for the calculation of employee pays, deductions, and fringes during Process Checks whenever employees work for a specific union class.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Union Local record (PRS)

Contains information about the locals an employee may work for such as Address, City, State, ZIP, Contact, Telephone, and FAX.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Union record (PRS)

Contains information about the unions an employee may work for such as Address, City, State, ZIP, Contact, Telephone, and FAX.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Vendor Custom Fields record (APM)

Contains the custom fields that you have created to enter miscellaneous information into for each vendor.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Vendor record (APM)

Contains information about vendors set up in Accounts Payable such as terms, YTD totals, telephone numbers, etc.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


View record (JCM)

Contains Miscellaneous Worksheet field layout information.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


W2 Form record (PRS)

Contains information about W2 forms created in Payroll and used during the Print W2 Forms task.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Withdrawal Detail record (CMT)

Contains detailed information about withdrawals created directly in Cash Management including GL debit and intercompany accounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Work In Progress Issue record (BLZ)

Contains the keys (links) to the Work In Progress record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Work In Progress record (BLW)

Contains detailed work in progress information. This may be cost transactions that have been marked up or priced from markup and rate tables or entries created from Billing Change WIP. These records contain all of the information from the Billing transactions as well as: WIP units' rates and amounts, and billed units' rates and amounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Workers' Comp Rate record (PRM)

Contains information about the various WC States, WC Codes, and their applicable rates set up in the Workers’ Comp. Rate Table.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Worksheet Entry Issue record (BLZ)

Contains the keys (links) to the Worksheet Entry record and the associated issue number.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Worksheet Entry record (BLI)

Contains data that is created in the Worksheet Entry window which is used for contract-based invoices. A record is created for each contract item of the contract. This record stores the amounts, the percents and units billed, and the associated retainage that is withheld for the current billing period as well as contract to date.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


About the system fields record

The system fields record provides both general and specialized fields for use in quick, public, and design formulas. General system fields, such as Company Name and System Date, are available in the Formula entry windows of all applications. However, specialized system fields, such as Design Name and End of Report, are available only in the Formula entry window in Report Designer.

Click here for a list of system fields

Notes:

  • System fields can be used directly in the header, body, and footer of a report design.
  • System fields cannot be used directly in conditions or custom sorts. However, you can create a formula containing the system field and use the formula in a condition or custom sort. For example, to produce a transaction report that includes only those entries originating with the current operator, enter a new formula (Tools menu) that includes just the Operator from the system fields record. Then, add a condition (Design menu) to compare the new formula to the Operator field from the transaction record.

Adding conditions

Creating formulas

Creating an initial condition

About the components of formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Accounting method system field

This system field returns the accounting method selected in the Company Settings window (File > Company Settings > General). The accounting method values include: Accrual, Cash, Both.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Beginning of Report system field

When used in the report header, this system field returns a value of True ("X") before all objects (report fields or text) in the body are processed. When you want to print certain objects only on a report's first page, place this system field in a formula and use that formula as a conditional print area on those objects in the header.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Address 1 system field

This system field returns the first line of the address entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Address 2 system field

This system field returns the second line of the address entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company City system field

This system field returns the city entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Name system field

This system field returns the company name entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Phone system field

This system field returns the phone number entered for the current company in the Company Settings window (File > Company Settings > General).

Click here for a list of system fields.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company State system field

This system field returns the state entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Zip system field

This system field returns the zip code entered for the current company in the Company Settings window (File > Company Settings > General).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Condition Text system field

This system field returns an abbreviated description of the condition(s) specified for the current report, when used in the header or footer.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Counter 1-5 Clear, Display, Increment system fields

These system fields are used to keep a running count of a selected record or group of records based on print controls that you specify.

Click here for additional information and examples.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Author system field

This system field returns the author entered for the current report design in the Design Notes window (Design, Design Notes).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Description system field

This system field returns the description entered for the current report design in the Design Notes window (Design, Design Notes).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Name system field

This system field returns the file name of the current report design.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Note system field

This system field returns the comments entered for the current report design in the Design Notes window (Design, Design Notes).

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


End of Report system field

When used in the report header or footer, this system field returns a value of True ("X") after all objects (report fields or text) in the body are processed. When you want to print certain objects on a report's last page, place this field in a formula and use that formula as a conditional print area on those objects.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Even Page Number system field

This system field returns a value of True ("X") on even numbered pages of the current report. For example, to print your company's name on every even numbered page, place the Company Name system field in the header, body, or footer and enter a new formula (Tools menu) that includes just the Even Page Number field from the system fields record. Then, set this new formula as a conditional print area (Format menu) on the Company Name system field in the design.

About the System fields record

List of System fields

Setting conditional print areas

Creating formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of System fields

Accounting method*

Beginning of Report*

End of Report*

Company Address 1

Company Address 2

Company City

Company Name

Company Phone

Company State

Company Zip

Condition Text*

Counter 1-5 Clear, Display, Increment*

Design Author*

Design Description*

Design Name*

Design Note*

Even Page Number*

Odd Page Number*

Operator

Output file name*

Page Number*

System Date

System Time

Unconditional Page Break*

* Available only in Report Designer.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Odd Page Number system field

This system field returns a value of True ("X") on odd numbered pages of the current report. For example, to print the report design name on every odd numbered page, place the Design Name system field in the header, body, or footer and enter a new formula (Tools menu) that includes just the Odd Page Number field from the system fields record. Then, set this new formula as a conditional print area (Format menu) on the Design Name system field in the design.

About the System fields record

List of System fields

Setting conditional print areas

Creating formulas

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Operator system field

This system field returns the operator ID entered in the Operator Selection window for the current session. If you are not using security, this field returns the value "Not Used".

For example, if the value stored in the project manager field on the job record is idential to the value stored as the operator ID for the same project manager, this system field may be used to limit the transaction detail on a report to the current project manager. To do this, enter a new formula (Tools menu) that includes only the Project Manager field from the JC Job record. Then, add a condition (Design menu) to compare the new formula to the Operator field from the system fields record.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Output file name system field

This system field returns the location to which the current report is printed, such as Printer, Screen, or file name.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Number system field

This system field returns the number that corresponds to a page's location in the report output order.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


System Date system field

This system field returns the system date at the current workstation when the report is printed.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


System Time system field

This system field returns the system time at the current workstation when the report is printed.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unconditional Page Break system field

This system field returns a value of True ("X") when used in a header or footer of a report when a group upon which an Unconditional Page Break is set, breaks. Areas can be suppressed in a header or footer by using this field in a conditional formula.

Click here for more information.

Note: This system field was not designed to be used in the body of the report.

About the System fields record

List of System fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design info

Use to print the contents of a report design file. See Printing design information for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Available Fields

Use to print a listing of the fields (data dictionary) contained in the selected application records. See Printing available fields for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Quick Formula

Use to enter a quick formula in a report design. See About formula types for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security - Design Security

Use to set or change the security for a report design. See Setting up security for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Available Fields window

Use to select the record(s) you want to include in the available fields listing.

Printing available fields

Items In This Window

Records Available

Select the record(s) you want to use for the available fields listing. As you select a record, it displays under Records Selected. The list of available records that appear is based on which applications you have on your computer.

Records Selected

Displays the records selected from Records Available to be used for the available fields listing. You can remove a record by clicking the highlighted record in Records Available.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Info Selection window

Use to control which design information is included on the design printout. If you do not make any selections, all design information is included on the printout.

All boxes are marked when this window opens. Unmark the items you do not want to include on the current printout.

Printing design information

Printing from a print selection window

Items In This Window

Design screen layout

To not print the layout of the design presented in the same format as the design area display in the design window, unmark this box.

General design information

To not print general design information such as the software version under which the design was last saved, the design name (including directory and path), and the records included in the design, unmark this box.

Design options

To not print information about sort order, conditions, totals, summarization, page breaks, line spacing, print options, the automatic page heading, and margins, unmark this box.

Prompt windows

To not print information about any prompt fields that may have been set up, unmark this box.

Formulas

To not print the formulas used in the design, unmark this box.

Fields

To not print a list of the fields, their position on the report, and field format information such as the field length, display format, and abbreviation options, unmark this box.

Views

To not print information about the Print Controls, Conditional Print, and Suppress Areas, unmark this box.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Preferences tab (Customize window)

Use to include the current settings for the report preferences.

Items In This Window

Always use Auto Page Heading

To always include the automatic page heading in new report designs, mark this option. If you do not want the automatic page heading on the current design, you can remove it using Page Headings (File, Page Setup menu). You can customize the content of the automatic page heading for the current design by using Page Headings (File, Page Setup menu).

Prompt for Auto Page Heading

To open a window each time you create a new design to let you choose whether you want to include the automatic page heading, mark this option. You can customize the content of the automatic page heading for the current design by using Page Headings (File, Page Setup menu).

Never default to using Auto Page Heading

To not include Automatic page headings as a default when you create a new design, mark this option. If you decide you want to add an automatic page heading to a design after it is created, you can do so by using Page Headings (File, Page Setup menu).

Initial caps

To have the first letter of each word in the column heading printed in upper case, mark this option. All other letters in the heading are printed in lower case (e.g., Monthly Invoice Report).

All caps

To have every letter in the column heading printed in upper case (e.g., MONTHLY INVOICE REPORT), mark this option.

None

To not create column headings automatically, mark this option.

999-

To have negative numbers printed followed by a minus sign, mark this option.

-999

To have negative numbers printed preceded by a minus sign, mark this option.

(999)

To have negative numbers printed in parentheses, mark this option.

Display warning when deleting

To display a warning message when you delete a design using Delete Design (File menu) or when you use Clear or Delete (Edit menu) to remove fields or formulas from the design area, mark this box. The default is marked.

Prompt for Design Notes

To open the Design Notes window automatically when a new design is saved to allow for the entry of any notes, mark this box.

Warn on font replace

To have the system display a warning message at print time when the font is replaced in order for the report to fit on the page, mark this box.

Field list expands design window

To have the Field list display at the right edge of the design, thereby expanding the size of the design window, instead of displaying it on top of the right side of the design area, mark this box.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Colors tab (Customize window)

Use to select foreground and background colors to use in the design area.

Customizing your workstation

Items In This Window

Foreground Colors

Select the foreground color you want to use in the design area.

Background Colors

Select the background color you want to use in the design area.

[Restore Defaults]

Restores all colors selected for Foreground Colors and Background Colors to their original position.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Totals tab (Customize window)

Use to include the current settings for the totaling options.

Customizing your workstation

Items In This Window

Single asterisk

To print a single asterisk after each total amount, mark this option. This is the default total indicator setting.

No asterisk

To not print an asterisk after each total amount, mark this option.

Overlines

To print a line above each total amount, mark this option.

Drop the total if only one group prints

To have Report Designer drop the total if there is only one item in the total, mark this box.

The example that follows illustrates how totals print with the box marked or unmarked.

Drop Totals (box unmarked) | Drop Totals (box marked)
10.00 | 10.00
15.00 | 15.00
25.00 | 25.00
5.00 | 5.00
5.00 |
15.00 | 15.00
18.00 | 18.00
33.00 | 33.00

When total prints, include higher levels

To have the system apply "drop totals" only to the first total level that prints, mark this box. Drop the total if only one group prints must be marked for this field to be available.

Start grand totals on a new page

To have the page advance before it prints grand totals, mark this box. If you unmark the box, and you have included Grand Totals in the Total Levels field, grand totals print immediately after the last detail information.

Single

To print the total for a group on the line immediately after the last detail line, mark this option.

Double

To insert a double-space (leave a blank line) between the last detail line and the total that prints for the group, mark this option.

Triple

To insert a triple-space (leave two blank lines) between the last detail line and the total line that prints for the group, mark this option.

Automatically create totals

To have Report Designer automatically create controls for totaling based on groups and on the sort order you use in the design, mark this box.

The totals controls that are created are reflected in the design area as you select the fields for your report. If you do not mark this box, no totals are generated automatically during field selection. Whether this box is marked or unmarked, you can use Totals from the Design menu at any time to modify the totals controls for a design.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Page Heading tab (Customize window)

Use to include the current settings for the page heading options.

Items In This Window

Company Name

To include the company name in the page heading, mark this box. Each time you print the report, the company name that relates to this data set is retrieved. This allows you to use the report design for more than one set of data without the need to change the design each time. The default is marked.

Page Number

To include the page number in the page heading, mark this box. Report Designer numbers the report pages according to the Starting page number designated in the Print Options window and the Reset page number when the page breaks option specified in the Group Page Breaks window. The default is marked.

Design Name

To include the name of the design in the page heading, mark this box. For example, you might save a vendor list design in a file named "VLIST". If you mark this box, "Design: VLIST" prints in the heading on each page. The default is unmarked.

You can prevent confusion in your office by including the design file name in the page heading. When individuals in your office discuss a specific report design, they can refer to the design name, rather than trying to describe the report's appearance.

Output File Name

To include in the page heading "Output File Name:" along with the name of the print file for reports sent to a print file, mark this box. For reports sent to a printer or to the terminal screen, "Output File Name: printer name" or "Output File Name: Screen" print respectively.

Operator

To include in the page heading the operator ID used to initiate the current session of Report Designer, mark this box. This option can be used only if Security Administration is on. If you mark this box and security is off, "Operator: Not Used" prints in the heading.

Report Date

To print a date other than the system date in the page heading, mark this box. For example, you might want to print the period ending date rather than the date the report was actually printed. Use Report Date Format to select a format in which the date should appear in the page heading.

If you include the report date in your page headings, you are prompted for a Report Date at print time in the Print Selection window, unless you removed the Report Date from the Required Prompt Window.

Report Date Format

Select a format for the report date from the list. If you choose Use Default (the first selection in the list), the report date format defaults to the Date Format specified on the General tab (Tools menu, Options). Mm represents month, dd represents day, and yy or yyyy represents year.

System Date Format

Select a format for the system date from the list. If you choose Use Default (the first selection in the list), the system date format defaults to the Date Format specified on the General tab (Tools menu, Options). Mm represents month, dd represents day, and yy or yyyy represents year.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


View tab (Customize window)

Use to select the default views when opening or creating report designs.

About Report Designer View Options

Items In This Window

Normal

Mark this option to set the default view to normal when a report design is opened. The normal view includes the body, header, and field list.

Print Controls

Mark this option to set the default view to display designated print control areas when a report design is opened. If there are specific areas of the report that have designated print controls, they will display in a different color.

Suppressed Areas

Mark this option to set the default view to display suppressed areas when a report design is opened. Areas with suppressed blank rows display in a block of color.

Conditional Print Areas

Mark this option to set the default view to display conditional print areas when a report design is opened. Objects designated with conditional printing display in a color defined in the Customize window (Colors tab) display.

Fonts

Mark this option to set the default view to display font settings when the report design is opened.

Header

Mark this option to set the default view to display the header when a new or existing report design is opened. If this option is unmarked, the header does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in the box), the header displays when you open a new report design (File, New Design) but does not display when you open an existing report design (File, Open Design).

Footer

Mark this option to set the default view to display the footer when a new or existing report design is opened. If this option is unmarked, the footer does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in the box), the footer does not display when you open a new report design (File, New Design) or when you open an existing report design (File, Open Design).

Field List

Mark this option to set the default view to display the field list when a new or existing report design is opened. If this option is unmarked, the field list does not display when a new or existing report design is opened. If this option is set as the default (check mark with gray fill appears in box), the field list displays when a new report design is opened (File, New Design) but does not display when you open an existing report design (File, Open Design).

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Security window

Use to set up operator security for full access or only printing access for a report design. Full access allows an operator to open, change and view a design. Printing access allows an operator to print a design only. If the Allow modification of conditions at print time box is marked, the operator that is assigned print access security can also change the report conditions for the design for that print session only.

Removing passwords from designs

Setting up design security

Items In This Window

User Security ID

Enter the ID of the security operator or group who can have full access to the design. If you do not know the ID, click [List] to open the Select Security Access window, which displays a list of available operator and group IDs set up for your accounting products. Only one operator or group is allowed for each design.

[List]

Opens the Select Security Access window from which to select a Security ID. The Select Security Access window displays a list of Available groups and Available operators set up.

Design Password

Enter a password of up to ten characters as additional security for this report design. When a password is attached to a design file, any operator attempting to open the design must first enter the password.

Enable Prefix

Clearing the check box makes prefix record security unavailable for this report design. This option is available only if you are using record security (Tools > Security > Record > Activation tab) and have selected GL prefix as a secured record.

If this field is unavailable, prefix record security is not in use.

Enable Bank

Clearing the check box makes bank account record security unavailable for this report design. This option is available only if you are using record security (Tools > Security > Record > Activation tab) and have selected CM Bank account as a secured record.

If this field is unavailable, bank account record security is not in use.

Enable Job

Clearing the check box makes job record security unavailable for this report design. This option is available only if you are using record security (Tools > Security > Record > Activation tab) and have selected JC Job as a secured record.

If this field is unavailable, job record security is not in use.

Enable Property

Clearing the check box makes property record security unavailable for this report design. This option is available only if you are using record security (Tools > Security > Record > Activation tab) and have selected PM Property as a secured record.

If this field is unavailable, property record security is not in use.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


User Security ID

Enter the ID of the security operator or group who can have print access to the design. If you do not know the ID, click [List] to open the Select Security Access window which displays a list of available operator and group IDs set up for your accounting products. Only one operator or group is allowed for each design.

Items In This Window

[List]

Opens the Select Security Access window from which to select a Security ID. The Select Security Access window displays a list of Available groups and Available operators set up.

Allow modification of conditions at print time

Mark this box to allow an operator with print access to change the conditions on a design before it is printed.

[OK]

Accepts your current entries and closes this window.

[Cancel]

Closes this window without accepting any of the current entries.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


[Options]

Opens the Design Info Selection window to select controls for design information you want to print.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customize window

Use to make changes to the settings for your computer that control error message beeping, printing, toolbar and status bar options, report preferences, report colors, reports totals, report page headings and report default view options. These settings affect your computer only and no other workstations using accounting products (if any). Select from these tabs:

  • General - Includes general settings for your computer.
  • Tool Bar - Includes the settings for the toolbar displayed in the application window.
  • Status Bar - Includes the settings for the status bar displayed in the application window.
  • Preferences - Includes the current settings for the report preferences.
  • Colors:
  • Foreground - Select the colors to use in the design area for print controls and conditional print areas when displaying the Print Controls or Conditional Print Areas views. Because the number of foreground colors vary according to your design, you can control the order in which the colors are applied. For example, if there are two different Conditional Prints being used in the design and the first three colors on the Foreground Colors list are Blue, Green, and Red, blue and green are used in the display. Click [Restore Default] to restore all colors to their original positions.
  • Background - Select the colors to use in the design area for suppressed areas when displaying the Suppressed Areas view. Because the number of background colors vary according to your design, you can control the order in which the colors are applied. Click [Restore Default] to restore all colors to their original positions.
  • Totals - Includes the current settings for the totaling options.
  • Page Heading - Includes the current settings for the page heading options.
  • View - Includes the current settings for the default views for the report design.

Customizing default preferences

Customizing Report Designer colors

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Available Fields (Tools menu)

Use to print a listing of the fields (data dictionary) contained in selected application records. The field listing contains:

  • the name of the record(s) selected
  • the name of all of the fields contained in the selected(s)
  • the associated field type (e.g., numeric, alpha, date, box, option button)
  • the length of each field
  • special values for option button fields, including standard abbreviations and descriptions
  • the primary keys and the alternate keys.

Window

Data dictionary (definition)

Printing available fields

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing design security on reports

You must be an application administrator to modify report design security.

  1. Open the report design (File > Open Design).
  2. From the Tools menu, select Security > Design.
  3. In the Design Record Security box, select or clear the check boxes.
  4. Click [OK].

Note: The Design Record Security box lists all available securable records regardless of whether the report uses all the records. If record security is not on, the check box for that record will be unavailable. Ask your application administrator to check your account settings in the Security Administration tool.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Customize (Tools menu)

Use to make changes to the current settings for your computer that control error message beeping, printing, toolbar and status bar options, report preferences, report colors, reports totals, report page headings and report default view options.

Window

Customizing default preferences

Customizing Report Designer colors

Customizing your workstation

Setting default page headings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Info (Tools menu)

Use to print the contents of a report design file. Some reasons for printing the design are:

  • To reference when designing a similar report.
  • To store as a hard copy backup of the report design.
  • To use as a reference when you call Customer Support about the report.
  • To check for possible errors if the report fails to meet your expectations.

Windows

Printing design information

Printing from a print selection window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Info windows

Design Info Selection

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Design Security (Tools, Security menu)

Design Security (Tools, Design Security menu)

Allows you to set or change the security for a report design.

Removing passwords from designs

Setting up design security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Quick formula

A calculation or special function that is used as a report field and stored on the design file. Quick formulas must be recreated each time the function is needed.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Quick Formula (Tools menu)

Use to enter a quick formula in a report design. By using Quick Formula instead of Formulas, you bypass the formulas list and the naming process. Also, because placement of the formula in the design area is indicated before you select Quick Formula, you bypass selecting the formula from the field list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Report Designer Help

tr.chm version 12.1

April 11, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field List

Use to display or hide the field list in the report design area. See Accessing the field list for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Header

Use to display or hide the header section of the design. See Viewing headers and footers in a report design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Body

Use to display or hide the body section of the design. See Creating a report design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Footer

Use to display or hide the footer section of the design. See Viewing headers and footers in a report design for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Normal

Use to see the design area in its standard, normal format. See Changing views for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Control

Use to see the design area with print controls displayed. See Setting print controls for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppressed Areas

Use to view areas in the report design designated with the Suppress blank rows option. See Suppressing blank rows for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditional Print Areas

Use to display objects designated with conditional printing in a color defined on the Colors tab (Tools menu, Customize). See Viewing conditional print areas for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Fonts

Use to display different fonts in a color defined on the Colors tab (Tools menu, Customize). See Customizing Report Designer colors for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Body (View menu)

Use to display or hide the body section of the design. You can use Body to toggle the body section on and off as often as you like. If the body is displayed, a check mark appears next to the command.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Conditional Print Areas (View menu)

Use to display objects designated with conditional printing in a color defined on the Colors tab (Tools menu, Customize). The message area at the bottom of the design window displays the name of the formula used to define the print condition for the active object. After you select Conditional Print Areas, it remains active until you select another view or until you end the session.

Changing the sequence order of colors

Changing views

Customizing Report Designer colors

Clearing objects

Deleting objects

Moving objects

Sliding objects left or right

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Field List (View menu)

Use to display or hide the field list in the report design area. When you hide the field list, more room is available in the design area to see the layout of your report. If you are modifying an existing design, you need the field list to add data fields and formulas to your design.

You can use Field List to toggle the field list on and off as often as you like. If the field list is activated, a check mark displays next to the command.

Note: Whether creating a new design or opening an existing design, the field list displays based on the Initially Open Windows setting on the View tab (Tools menu, Customize).

Accessing the field list

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Fonts (View menu)

Use to display using different fonts in a color defined on the Colors tab (Tools menu, Customize). After you select Fonts, it remains active until you select another view or until you end the session.

Changing the appearance of fonts

Changing the sequence order of colors

Changing views

Customizing Report Designer colors

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Footer (View menu)

Use to display or hide the footer section of the design. You can use Footer to toggle the footer section on and off as often as you like. If the footer is displayed, a check mark appears next to the command.

Note: Whether creating a new design or opening an existing design, the footer section displays based on the Initially Open Windows setting on the View tab (Tools menu, Customize).

Headers and footers (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Header (View menu)

Use to display or hide the header section of the design. You can use Header to toggle the header section on and off as often as you like. If the header is displayed, a check mark appears next to the command.

Note Whether creating a new design or opening an existing design, the header section displays based on the Initially Open Windows setting on the View tab (Tools menu, Customize).

Headers and footers (definition)

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Normal (View menu)

Use to see the design area in its standard, normal format. The Normal view is used automatically when you start a session of Report Designer. Other views are available to display certain design detail that the Normal view does not display, e.g., Print Controls, Suppressed Areas, and Conditional Print Areas. You can choose one of these views at any time from the View menu, then return to the Normal view.

Changing views

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print control

A print control dictates how often a value is repeated on a report. For example, a page heading prints once for every page, while a grand total prints at the end of the report, and on a vendor list you would print the vendor name once for every vendor. Each object in a design has a print control.

Report Designer assigns print controls automatically as you enter design information based on the records and fields selected and on the current sort order controls. You only need to change the print controls if you want to override the automatic settings. Use Print Controls from the Design menu to change the print controls.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Controls (View menu)

Use to see the design area with print controls displayed. This view allows you to see at a glance where and how often information prints on the report. After you select Print Controls, it remains active until you select another view or until you end the session. In addition, Report Designer stops adjusting the print controls automatically for the current design after you select Print Controls. This assures you that after you have viewed a print control, it does not change.

  • When you use the Print Controls view, the affected information in the header, body, and footer displays in color with a different color for each level of print control. Objects having the same print control display in the same color. For example, if the objects in a design use two different print controls, print for every page and print once for every vendor, information printing according to the first print control displays in one color, while the remaining information displays in another color. The colors used are determined by the settings on the Colors tab (Tools menu, Customize).
  • At the bottom of the design window, the print control description (e.g., Reprint on new page? YES and Print once for every: Vendor) displays for the active field, if there is one, or for the current cursor position.

Note: If you do not have a color monitor, you can still use Print Controls. Although you cannot see colors in the design area, the print control descriptions that are assigned to the various objects in the design area still display at the bottom of the window.

Changing the sequence order of colors

Changing views

Customizing Report Designer colors

Setting print controls

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Suppressed Areas (View menu)

Use to view areas in the report design designated with the Suppress blank rows option. Areas with suppressed blank rows display in a block of color.

After you select Suppressed Areas, it remains active until you select another view or until you end the session. The color that displays for this view is determined by the settings on the Colors tab (Tools menu, Customize).

Changing the sequence order of colors

Changing views

Customizing Report Designer colors

Clearing objects

Deleting objects

Moving objects

Using blocking

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.